hmLoadTopic({
hmKeywords:"access rights,security",
hmTitle:"Access Rights",
hmDescription:"Access rights let you manage ESET PROTECT Web Console users and their permissions.",
hmPrevLink:"offline_license.html",
hmNextLink:"admin_ar_users.html",
hmParentLink:"admin.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin.html\">More<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > More > Access Rights",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Access Rights<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">Access rights let you manage ESET PROTECT Web Console <a href=\"admin_ar_users.html\" class=\"topiclink\">users<\/a> and their <a href=\"admin_ar_permissions_sets.html\" class=\"topiclink\">permissions<\/a>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><a id=\"model\" class=\"hmanchor\"><\/a><span class=\"f_Heading2\">The security model<\/span><\/h2>\n\r<p class=\"p_Normal\">These are key terms used in the security model:<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_small\" style=\"width:100%;\">\n\r<thead>\n\r<tr class=\"Table_small\">\n\r<th class=\"Table_small\" style=\"width:212px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Term<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_small\" style=\"width:1213px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Explanation<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<\/thead>\n\r<tbody>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:212px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Home Group<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1213px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Home Group is the group where all objects (devices, tasks, templates, etc.) a user creates are automatically stored. Each user must only have one home group.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:212px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Object<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1213px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Objects are located in <\/span><span class=\"f_UI\">Static Groups<\/span><span class=\"f_NormalTable\">. Access to objects is by groups, not users (providing access by group makes it easy to accommodate multiple users, for example, if one user is on holiday). <a href=\"admin_server_tasks.html\" class=\"topiclink\">Server tasks<\/a> and <a href=\"admin_ntf_notifications.html\" class=\"topiclink\">notifications<\/a> are exceptions that require an &quot;executing&quot; user.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:212px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Access Group<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1213px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\"> <\/span>Access Group sets the object\'s Static Group and access to the object based on the user\'s access rights.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:212px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Administrator<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1213px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">A user that has home group <\/span><span class=\"f_UI\">All<\/span><span class=\"f_NormalTable\"> with a full Permission Set over the group is effectively an administrator.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:212px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Access Right<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1213px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">The right to access an object or to execute a task is assigned with a Permission Set. See the <a href=\"admin_ar_permissions_list.html\" class=\"topiclink\">list<\/a> of all access rights and their functions for more details.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:212px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Permission Set<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1213px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">A Permission Set represents the permissions for users that access ESET PROTECT Web Console. They define what the user can see or do in ESET PROTECT Web Console. A user can be assigned multiple Permission Sets. <a href=\"admin_ar_permissions_sets.html\" class=\"topiclink\">Permission sets<\/a> are applied only over objects in defined groups. These <\/span><span class=\"f_UI\">Static Groups<\/span><span class=\"f_NormalTable\"> are set in the <\/span><span class=\"f_UI\">Static Groups<\/span><span class=\"f_NormalTable\"> section when creating or editing a permission set.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:212px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Functionality<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1213px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">A functionality is one type of object or action. Typically, functionalities get these values: <\/span><span class=\"f_UI\">Read<\/span><span class=\"f_NormalTable\">, <\/span><span class=\"f_UI\">Write<\/span><span class=\"f_NormalTable\">, <\/span><span class=\"f_UI\">Use<\/span><span class=\"f_NormalTable\">. The combination of functionalities applied to an Access Group is called a Permission Set.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/tbody>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">List of Access Rights related examples<\/span><\/h2>\n\r<p class=\"p_Normal\">There are various examples across Administration guide concerning access rights. This is a list of them:<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"admin_ar_permissions_sets.html#policy_duplicate\" class=\"topiclink\">How to duplicate policies<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"admin_ar_permissions_sets.html#write_vs_use\" class=\"topiclink\">Difference between Use and Write<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"admin_ar_users.html#branch_office\" class=\"topiclink\">How to create a solution for branch office admins<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"admin_ar_users.html#duplication\" class=\"topiclink\">How to share objects via duplication<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"admin_cert_authorities.html#certifi_sharing\" class=\"topiclink\">How to divide access to certificates and authorities<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"admin_installers.html#deploy_locally\" class=\"topiclink\">How to allow user to create installers<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"admin_ntf_notifications.html#notification\" class=\"topiclink\">How to remove notifications<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"admin_pol.html#create_policy\" class=\"topiclink\">How to create policies<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"admin_pol_flags.html#policy_combine\" class=\"topiclink\">Allow users to see all policies<\/a><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"admin_license_management.html#share_lic\" class=\"topiclink\">Share licenses among branch admins<\/a><\/p>"
})
