hmLoadTopic({
hmKeywords:"Client Tasks,task",
hmTitle:"Tasks",
hmDescription:"You can use Tasks to manage ESET PROTECT Server, client computers and their ESET products. Tasks can automate routine jobs. There is a set of pre-defined tasks that cover the...",
hmPrevLink:"reports_audit_log.html",
hmNextLink:"admin_ct_executions.html",
hmParentLink:"working_with_era.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Tasks",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Tasks<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">You can use <span class=\"f_UI\">Tasks<\/span> to manage ESET PROTECT Server, client computers and their ESET products. Tasks can automate routine jobs. There is a set of pre-defined tasks that cover the most common scenarios, or you can create a custom task with specific settings. Use tasks to request an action from client computers. To run a task successfully, it is required to have sufficient access rights for the task and for the objects (devices) that task uses. See the <a href=\"admin_ar_permissions_list.html\" class=\"topiclink\">list of permissions<\/a> for more information on access rights.<\/p>\n\r<p class=\"p_Normal\">There are two main task categories: <a href=\"client_tasks.html\" class=\"topiclink\">Client Tasks<\/a> and <a href=\"admin_server_tasks.html\" class=\"topiclink\">Server Tasks<\/a>.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>You can <a href=\"admin_ct_assign_task_to_computer.html\" class=\"topiclink\">assign Client Tasks<\/a> to groups or individual computers. When created, a task is executed using a <a href=\"admin_ct_executions_trigger.html\" class=\"topiclink\">Trigger<\/a>. A Client Task can have more triggers configured. Client Tasks are distributed to clients when the ESET Management Agent on a client connects to ESET PROTECT Server. For this reason, it may take some time for task execution results to be communicated to ESET PROTECT Server. You can <a href=\"https:\/\/support.eset.com\/kb7651\/\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">manage your ESET Management Agent connection interval<\/a> to reduce task execution times.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Server tasks are executed by ESET PROTECT Server on itself or other devices. Server tasks cannot be assigned to any specific client or client group. Each Server Task can have one <a href=\"admin_st_triggers.html\" class=\"topiclink\">Trigger<\/a> configured. If the task needs to be run with various events, there has to be separate server task for each trigger.<\/p>\n\r<p class=\"p_Normal\">You can create a new task in two ways:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">New<\/span><span class=\"f_NormalList\"> &gt;<\/span><img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><span class=\"f_UI\"><a href=\"client_tasks.html#ct_create\" class=\"topiclink\">Client Task<\/a><\/span><span class=\"f_NormalList\"> or <\/span><img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><span class=\"f_UI\"><a href=\"admin_server_tasks.html#st_create\" class=\"topiclink\">Server Task<\/a><\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Select the desired task type on the left and click <span class=\"f_UI\">New<\/span> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><a href=\"client_tasks.html#ct_create\" class=\"topiclink\">Client Task<\/a> or <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><a href=\"admin_server_tasks.html#st_create\" class=\"topiclink\">Server Task<\/a>.<\/p>\n\r<p class=\"p_Normal\">The following pre-defined tasks are available for your convenience (each task category contains task types):<\/p>\n\r<p class=\"p_UI\"><img id=\"toggle0186a1_ICON\" class=\"dropdown-toggle-icon\" alt=\"arrow_up_business\" width=\"21\" height=\"21\" style=\"margin:0;width:21px;height:21px;border:none\" src=\".\/images\/arrow_up_business.svg\"\/><span class=\"f_UI\"><a id=\"toggle0186a1_LINK\" class=\"dropdown-toggle\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"1\" data-icon=\"toggle0186a1_ICON\" data-src0=\".\/images\/arrow_down_business.svg\" data-src1=\".\/images\/arrow_up_business.svg\"> All Tasks<\/a><\/span><\/p>\n\r<div id=\"toggle0186a1\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 10px 18px;\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_UI\"><img id=\"toggle0186a2_ICON\" class=\"dropdown-toggle-icon\" alt=\"arrow_up_business\" width=\"21\" height=\"21\" style=\"margin:0;width:21px;height:21px;border:none\" src=\".\/images\/arrow_up_business.svg\"\/><span class=\"f_UI\"><a id=\"toggle0186a2_LINK\" class=\"dropdown-toggle\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"1\" data-icon=\"toggle0186a2_ICON\" data-src0=\".\/images\/arrow_down_business.svg\" data-src1=\".\/images\/arrow_up_business.svg\"> Client Tasks<\/a><\/span><\/p>\n\r<div id=\"toggle0186a2\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 10px 18px;\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_UI\"><img id=\"toggle0186a3_ICON\" class=\"dropdown-toggle-icon\" alt=\"arrow_up_business\" width=\"21\" height=\"21\" style=\"margin:0;width:21px;height:21px;border:none\" src=\".\/images\/arrow_up_business.svg\"\/><span class=\"f_UI\"> <a id=\"toggle0186a3_LINK\" class=\"dropdown-toggle\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"1\" data-icon=\"toggle0186a3_ICON\" data-src0=\".\/images\/arrow_down_business.svg\" data-src1=\".\/images\/arrow_up_business.svg\">ESET security product<\/a><\/span><\/p>\n\r<div id=\"toggle0186a3\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 10px 18px;\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><a href=\"client_tasks_diagnostics.html\" class=\"topiclink\">Diagnostics<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"ct_end_computer_isolation.html\" class=\"topiclink\">End computer isolation from network<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_export_configuration.html\" class=\"topiclink\">Export Managed Products Configuration<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"ct_isolate_computer.html\" class=\"topiclink\">Isolate computer from network<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_virus_db_update.html\" class=\"topiclink\">Modules Update<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_database_update_rollback.html\" class=\"topiclink\">Modules Update Rollback<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_on_demand_scan.html\" class=\"topiclink\">On-Demand Scan<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_product_activation.html\" class=\"topiclink\">Product Activation<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_quarantine_management.html\" class=\"topiclink\">Quarantine Management<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_sysinspector_script.html\" class=\"topiclink\">Run SysInspector Script<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"send_file_edtd.html\" class=\"topiclink\">Send File to ESET LiveGuard<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_task_server_scan.html\" class=\"topiclink\">Server Scan<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_software_install.html\" class=\"topiclink\">Software Install<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_sysinspector_log_request.html\" class=\"topiclink\">SysInspector Log Request (Windows only)<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_upload_file.html\" class=\"topiclink\">Upload Quarantined File<\/a><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_UI\"><img id=\"toggle0186a4_ICON\" class=\"dropdown-toggle-icon\" alt=\"arrow_up_business\" width=\"21\" height=\"21\" style=\"margin:0;width:21px;height:21px;border:none\" src=\".\/images\/arrow_up_business.svg\"\/><span class=\"f_UI\"> <a id=\"toggle0186a4_LINK\" class=\"dropdown-toggle\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"1\" data-icon=\"toggle0186a4_ICON\" data-src0=\".\/images\/arrow_down_business.svg\" data-src1=\".\/images\/arrow_up_business.svg\">ESET PROTECT<\/a><\/span><\/p>\n\r<div id=\"toggle0186a4\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 10px 18px;\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><a href=\"client_tasks_diagnostics.html\" class=\"topiclink\">Diagnostics<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_reset_agent.html\" class=\"topiclink\">Reset Cloned Agent<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_rd_sensor_database_reset.html\" class=\"topiclink\">Rogue Detection Sensor Database Reset<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_upgrade_components.html\" class=\"topiclink\">ESET PROTECT Components Upgrade<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_stop_managing_uninstall.html\" class=\"topiclink\">Stop Managing (Uninstall ESET Management Agent)<\/a><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_UI\"><img id=\"toggle0186a5_ICON\" class=\"dropdown-toggle-icon\" alt=\"arrow_up_business\" width=\"21\" height=\"21\" style=\"margin:0;width:21px;height:21px;border:none\" src=\".\/images\/arrow_up_business.svg\"\/><span class=\"f_UI\"> <a id=\"toggle0186a5_LINK\" class=\"dropdown-toggle\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"1\" data-icon=\"toggle0186a5_ICON\" data-src0=\".\/images\/arrow_down_business.svg\" data-src1=\".\/images\/arrow_up_business.svg\">Operating System<\/a><\/span><\/p>\n\r<div id=\"toggle0186a5\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 10px 18px;\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><a href=\"client_tasks_display_message.html\" class=\"topiclink\">Display Message<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_task_log_out.html\" class=\"topiclink\">Log out<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_system_update.html\" class=\"topiclink\">Operating System Update<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_run_command.html\" class=\"topiclink\">Run Command<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_task_shutdown_computer.html\" class=\"topiclink\">Shutdown computer<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_software_install.html\" class=\"topiclink\">Software Install<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_software_uninstall.html\" class=\"topiclink\">Software Uninstall<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_stop_managing_uninstall.html\" class=\"topiclink\">Stop Managing (Uninstall ESET Management Agent)<\/a><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_UI\"><img id=\"toggle0186a6_ICON\" class=\"dropdown-toggle-icon\" alt=\"arrow_up_business\" width=\"21\" height=\"21\" style=\"margin:0;width:21px;height:21px;border:none\" src=\".\/images\/arrow_up_business.svg\"\/><span class=\"f_UI\"> <a id=\"toggle0186a6_LINK\" class=\"dropdown-toggle\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"1\" data-icon=\"toggle0186a6_ICON\" data-src0=\".\/images\/arrow_down_business.svg\" data-src1=\".\/images\/arrow_up_business.svg\">Mobile<\/a><\/span><\/p>\n\r<div id=\"toggle0186a6\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 10px 18px;\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><a href=\"client_tasks_antitheft_action.html\" class=\"topiclink\">Anti-Theft Actions<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_display_message.html\" class=\"topiclink\">Display Message<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_export_configuration.html\" class=\"topiclink\">Export Managed Products Configuration<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_virus_db_update.html\" class=\"topiclink\">Modules Update<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_on_demand_scan.html\" class=\"topiclink\">On-Demand Scan<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_product_activation.html\" class=\"topiclink\">Product Activation<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_software_install.html\" class=\"topiclink\">Software Install<\/a><\/p>\n\r<p class=\"p_Normal\"><a href=\"client_tasks_stop_managing_uninstall.html\" class=\"topiclink\">Stop Managing (Uninstall ESET Management Agent)<\/a><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_UI\"><img id=\"toggle0186a7_ICON\" class=\"dropdown-toggle-icon\" alt=\"arrow_up_business\" width=\"21\" height=\"21\" style=\"margin:0;width:21px;height:21px;border:none\" src=\".\/images\/arrow_up_business.svg\"\/><span class=\"f_UI\"><a id=\"toggle0186a7_LINK\" class=\"dropdown-toggle\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"1\" data-icon=\"toggle0186a7_ICON\" data-src0=\".\/images\/arrow_down_business.svg\" data-src1=\".\/images\/arrow_up_business.svg\"> Server Tasks<\/a><\/span><\/p>\n\r<div id=\"toggle0186a7\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 10px 18px;\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><a href=\"server_tasks_agent_deployment1.html\" class=\"topiclink\">Agent Deployment<\/a> - distributes the Agent to client computers.<\/p>\n\r<p class=\"p_Normal\"><a href=\"st_delete_not_connecting_computer.html\" class=\"topiclink\">Delete Not Connecting Computers<\/a> - deletes clients that no longer connect to ESET PROTECT from Web Console.<\/p>\n\r<p class=\"p_Normal\"><a href=\"server_tasks_generate_report.html\" class=\"topiclink\">Generate Report<\/a> - used to generate reports as they are needed.<\/p>\n\r<p class=\"p_Normal\"><a href=\"st_rename_computers.html\" class=\"topiclink\">Rename Computers<\/a> - this task will periodically rename computers in groups using FQDN format.<\/p>\n\r<p class=\"p_Normal\"><a href=\"sg_server_tasks_synch.html\" class=\"topiclink\">Static Group Synchronization<\/a> - updates group information to display current data.<\/p>\n\r<p class=\"p_Normal\"><a href=\"st_user_synchronization.html\" class=\"topiclink\">User Synchronization<\/a> - updates User or User Group.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
