hmLoadTopic({
hmKeywords:"Client Task Target,Client Task Trigger,Target - Client Task,Trigger - Client Task",
hmTitle:"Client Task Triggers",
hmDescription:"A Trigger must be assigned to a Client Task for it to be executed. To create a Trigger, click Tasks > click the Client Task instance in the main table and select Run on from...",
hmPrevLink:"client_tasks.html",
hmNextLink:"admin_ct_assign_task_to_computer.html",
hmParentLink:"client_tasks.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin_ct.html\">Tasks<\/a> &gt; <a href=\"client_tasks.html\">Client Tasks<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Tasks > Client Tasks > Client Task Triggers",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Client Task Triggers<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">A Trigger must be assigned to a <a href=\"admin_ct.html\" class=\"topiclink\">Client Task<\/a> for it to be executed. To create a Trigger, click <span class=\"f_UI\">Tasks<\/span> &gt; click the Client Task instance in the main table and select <span class=\"f_UI\">Run on<\/span> from the drop-down menu. Alternatively, you can <a href=\"admin_ct_assign_task_to_computer.html\" class=\"topiclink\">assign Client Task to a Group or Computer(s)<\/a>.<\/p>\n\r<p class=\"p_Normal\">To define a Trigger, select the <span class=\"f_UI\">Target<\/span> computers or groups on which a Client Task should be executed. With your target(s) selected, set the <span class=\"f_UI\">trigger<\/span> conditions to execute the task at a specific time or event. Additionally, you can use <span class=\"f_UI\"><a href=\"admin_st_throttling.html\" class=\"topiclink\">Advanced settings - Throttling<\/a><\/span> to further fine-tune the Trigger, if required.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\">Type basic information about the <span class=\"f_UI\">Trigger in the Description<\/span> field and then click <span class=\"f_UI\">Target<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Target<\/span><\/h2>\n\r<p class=\"p_Normal\">The <span class=\"f_UI\">Target<\/span> window allows you to specify the clients (individual computers or groups) that are the recipients of this task. Click <span class=\"f_UI\">Add Targets<\/span> to display all Static and Dynamic Groups and their members and select groups or devices.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">To assign all computers in a group, assign the group instead of individual computers to prevent a Web Console slowdown.<\/p>\n\r<p class=\"p_Normal\">The Web Console displays a warning if you select a high number of computers.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"select_targets\" width=\"900\" height=\"634\" style=\"margin:0;width:900px;height:634px;border:none\" src=\".\/images\/select_targets.png\"\/><\/p>\n\r<p class=\"p_Normal\">After selection, click <span class=\"f_UI\">OK<\/span> and proceed to the <span class=\"f_UI\">Trigger<\/span> section.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Trigger<\/span><\/h2>\n\r<p class=\"p_Normal\">Trigger determines what event triggers the task.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin: 0 0 0 13px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">As Soon As Possible<\/span><span class=\"f_NormalList\"> - Executes the task as soon as the client connects to ESET PROTECT and receives the task. If the task cannot be performed until the <\/span><span class=\"f_UI\">Expiration date<\/span><span class=\"f_NormalList\">, the task will be removed from the queue - the task will not be deleted, but it will not be executed. <\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: auto; page-break-after: auto; padding-left: 13px; margin: 0 0 0 13px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Scheduled<\/span><span class=\"f_NormalList\"> - Executes the task at a selected time.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: auto; page-break-after: auto; padding-left: 13px; margin: 0 0 0 13px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Event Log Trigger<\/span><span class=\"f_NormalList\"> - Executes the task based on events specified here. This trigger is invoked when a certain event occurs in logs. Define the <\/span><span class=\"f_UI\">log type<\/span><span class=\"f_NormalList\">, <\/span><span class=\"f_UI\">logical operator<\/span><span class=\"f_NormalList\"> and <\/span><span class=\"f_UI\">filtering<\/span><span class=\"f_NormalList\"> criteria that will trigger the task.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: auto; page-break-after: avoid; padding-left: 13px; margin: 0 0 0 13px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Joined Dynamic Group Trigger<\/span><span class=\"f_NormalList\"> - This trigger executes the task when a client joins the Dynamic Group selected in the target option. If a Static Group or individual client(s) have been selected, this option will not be available.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin: 0 0 10px 13px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"cron_expression.html\" class=\"topiclink\">CRON Expression<\/a> - You can also set your trigger interval using a CRON Expression.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">For more information about triggers, proceed to the <a href=\"admin_st_triggers.html\" class=\"topiclink\">Task trigger types<\/a> chapter.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Advanced settings - Throttling<\/span><\/h2>\n\r<p class=\"p_Normal\">Throttling is used to restrict a task from being executed if a task is triggered by a frequently occurring event, for example the <span class=\"f_UI\">Event Log Trigger<\/span> or the <span class=\"f_UI\">Joined Dynamic Group Trigger<\/span> (see above). For more information, see the <a href=\"admin_st_throttling.html\" class=\"topiclink\">Advanced Settings - Throttling<\/a> chapter.<\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Finish<\/span> when you have defined the recipients of this task and the triggers that execute the task.<\/p>\n\r"
})
