hmLoadTopic({
hmKeywords:"notifications",
hmTitle:"Notifications",
hmDescription:"Notifications are essential for keeping track of the overall state of your network. When a new event occurs (based on the notification configuration), you will be notified...",
hmPrevLink:"admin_pol_override.html",
hmNextLink:"admin_ntf_manage.html",
hmParentLink:"working_with_era.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Notifications",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Notifications<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\"><span class=\"f_UI\">Notifications<\/span> are essential for keeping track of the overall state of your network. When a new event occurs (based on the notification configuration), you will be notified using a defined method (either an <a href=\"how_to_configure_snmp.html\" class=\"topiclink\">SNMP Trap<\/a>, email message or it is sent to syslog server) and you can respond accordingly. You can configure automatic notifications based on specific events such as detections, out-of-date endpoints, and more. See the Notification Description for more information about a specific notification and its trigger.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"notifications\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/notifications.png\"\/><\/p>\n\r<p class=\"p_Normal\">To create <a href=\"admin_ntf_manage.html#new\" class=\"topiclink\">a new notification<\/a>, click <span class=\"f_UI\">New notification<\/span> on the bottom of the page.<\/p>\n\r<p class=\"p_Normal\">Select an existing notification and click <span class=\"f_UI\">Actions<\/span> to <a href=\"admin_ntf_manage.html\" class=\"topiclink\">manage the notification<\/a>.<\/p>\n\r<p class=\"p_Normal\">To add filtering criteria, click <span class=\"f_UI\">Add Filter<\/span> and select item(s) from the list. Type the search string(s) or select the items from the drop-down menu in the filter field(s) and press <span class=\"f_UI\">Enter<\/span>. Active filters are highlighted in blue.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Notifications, users and permissions<\/span><\/h2>\n\r<p class=\"p_Normal\">The use of Notifications is restricted by the permissions of the current user. Every time the notification is executed, there is an executing user whose permissions are taken into account. The executing user is always the one who edited the notification last. A user can see only notifications that are contained in a group for which he has <span class=\"f_UI\">Read<\/span> permissions.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">For a notification to work well, it is necessary that the executing user has sufficient permissions for all referenced objects (devices, groups, templates). Typically, <span class=\"f_UI\">Read<\/span> and <span class=\"f_UI\">Use<\/span> permissions are required. If the user does not have these permissions, or he loses them afterward, the notification will fail. Failed notifications are highlighted with orange and will trigger an email to notify the user.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Create notification<\/span> - To create a notification the user must have <span class=\"f_UI\">Write<\/span> permissions for notifications on his home group. A new notification is created in the user\'s home group.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Modify notification<\/span> - To be able to modify a notification, the user must have <span class=\"f_UI\">Write<\/span> permissions for notifications on a group where the notification is located.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Remove notification<\/span> - To be able to delete a notification, the user must have <span class=\"f_UI\">Write<\/span> permissions for notifications on a group where the notification is located.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_example\" >\n\r<tr class=\"Table_example\">\n\r<td class=\"Table_example\" style=\"width:4px; background-color:#77BB1A;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_example\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"example\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/example.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_example\"><p class=\"p_Normal\"><a id=\"notification\" class=\"hmanchor\"><\/a><span class=\"f_Path\">John<\/span>, whose <span class=\"f_UI\">Home Group<\/span> is <span class=\"f_Path\">John’s Group<\/span>, wants to remove (or modify) <span class=\"f_Path\">Notification 1<\/span>. The notification was originally created by <span class=\"f_Path\">Larry<\/span>, therefore it is automatically contained in Larry\'s Home group, <span class=\"f_Path\">Larry\'s Group<\/span>. The following conditions must be met for <span class=\"f_Path\">John<\/span> to remove (or modify) <span class=\"f_Path\">Notification 1<\/span> :<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_Path\">John<\/span><span class=\"f_NormalList\"> must be assigned a permissions set with <\/span><span class=\"f_UI\">Write<\/span><span class=\"f_NormalList\"> permissions for <\/span><span class=\"f_UI\">notifications<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 0; margin: 0 0 10px 32px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>The permissions set must contain <span class=\"f_Path\">Larry’s Group<\/span> under <span class=\"f_UI\">Static Groups<\/span><\/p><\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Home Group<\/span> is automatically detected based on the assigned permission sets of the currently active user.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_example\" >\n\r<tr class=\"Table_example\">\n\r<td class=\"Table_example\" style=\"width:4px; background-color:#77BB1A;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_example\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"example\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/example.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_example\"><p class=\"p_Example_heading\" style=\"page-break-after: avoid;\"><span class=\"f_Example_heading\">Example scenario:<\/span><\/p>\n\r<p class=\"p_Normal\">The currently active user account has the <span class=\"f_UI\">Write<\/span> access right for <span class=\"f_UI\">Software Install Client Task<\/span> and the user account <span class=\"f_UI\">Home Group<\/span> is &quot;Department_1&quot;. When the user creates a new <span class=\"f_UI\">Software Install Client Task<\/span>, &quot;Department_1&quot; will be automatically selected as the client task <span class=\"f_UI\">Home Group<\/span>.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">If the pre-selected Home Group does not meet your expectations, you can select the Home Group manually.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Cloning and VDI<\/span><\/h2>\n\r<p class=\"p_Normal\">There are three <a href=\"vdi.html#notification\" class=\"topiclink\">prepared notifications<\/a> to notify user about cloning-related events or user can create a custom new notification.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Filters and layout customization<\/span><\/h2>\n\r<p class=\"p_Normal\">You can customize the current Web Console screen view:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\"><a href=\"filters_layout_customization.html\" class=\"topiclink\">Manage the side panel and main table<\/a>.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Add <a href=\"filters_layout_customization.html\" class=\"topiclink\">filters<\/a> and filter presets. You can use <a href=\"tags.html\" class=\"topiclink\">tags<\/a> for filtering the displayed items. <\/p>"
})
