hmLoadTopic({
hmKeywords:"Calendar on iOS,Contacts on iOS,Create a Policy for iOS MDM,Exchange ActiveSync on iOS,iOS Mail account,LDAP account on iOS,Mail account on iOS",
hmTitle:"Create a Policy for iOS MDM - Exchange ActiveSync Account",
hmDescription:"This policy governs all settings for iOS device. These settings apply for both ABM and non-ABM iOS devices.",
hmPrevLink:"individual_enrollment_as_a_do.html",
hmNextLink:"admin_pol_for_mdc_apns.html",
hmParentLink:"mobile_device_management.html",
hmBreadCrumbs:"<a href=\"mobile_device_management.html\">Mobile Device Management<\/a> &gt; Example Policy Settings",
hmTitlePath:"Mobile Device Management > Example Policy Settings > Create a Policy for iOS MDM - Exchange ActiveSync Account",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Create a Policy for iOS MDM - Exchange ActiveSync Account<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">This policy governs all settings for iOS device. These settings apply for both ABM and non-ABM iOS devices.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">The ABM-only settings are denoted with a ABM icon <\/span><img alt=\"icon_abm\" width=\"49\" height=\"21\" style=\"margin:0;width:49px;height:21px;border:none\" src=\".\/images\/icon_abm.png\"\/><span class=\"f_NormalList\">. These settings will only apply to iOS devices enrolled in the Apple ABM portal. We recommend that you do not customize these ABM-only settings when creating a policy for non-ABM iOS devices. <\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Some settings can only be applied to an iOS device with a certain version of iOS. These settings are marked by an icon representing the iOS version.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 45px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span> iOS version 9.0 and later <img alt=\"icon_iOS_9\" width=\"56\" height=\"28\" style=\"margin:0;width:56px;height:28px;border:none\" src=\".\/images\/icon_ios_9.png\"\/><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 45px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span> iOS version 9.3 and later <img alt=\"icon_iOS_93\" width=\"58\" height=\"28\" style=\"margin:0;width:58px;height:28px;border:none\" src=\".\/images\/icon_ios_93.png\"\/><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 45px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span> iOS version 8.1.3 and later <img alt=\"icon_iOS_813\" width=\"67\" height=\"29\" style=\"margin:0;width:67px;height:29px;border:none\" src=\".\/images\/icon_ios_813.png\"\/><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 45px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span>iOS version 11.0 and later <img alt=\"icon_iOS_11\" width=\"62\" height=\"28\" style=\"margin:0;width:62px;height:28px;border:none\" src=\".\/images\/icon_ios_11.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">If both of the icons (ABM icon and iOS version icon) are present next to a specific setting, the device must meet both requirements or management of the setting will fail.<\/span><\/p>\n\r<p class=\"p_Normal\">See the sample scenario below which explains how to use the iOS MDM policy when you want to set up a Microsoft Exchange Mail account:<\/p>\n\r<p class=\"p_Normal\">You can use this policy to configure a Microsoft Exchange Mail account, Contacts and Calendar on user\'s iOS mobile devices. The advantage of using such a policy is that you only need to create one policy which you can then apply to many iOS mobile devices without the need to configure each separately. This is possible using Active Directory user attributes. You need to specify a variable, for example <span class=\"f_CodeHighlighted\">\${exchange_login\/exchange}<\/span> and this will be replaced with a value from the AD for a specific user.<\/p>\n\r<p class=\"p_Normal\">If you do not use Microsoft Exchange or Exchange ActiveSync, you can manually configure each service (<span class=\"f_UI\">Mail Accounts<\/span>, <span class=\"f_UI\">Contacts Accounts<\/span>, <span class=\"f_UI\">LDAP Accounts<\/span>, <span class=\"f_UI\">Calendar Accounts<\/span> and <span class=\"f_UI\">Subscribed Calendar Accounts<\/span>).<\/p>\n\r<p class=\"p_Normal\">The following is an example of how to create and apply a new policy to automatically set up Mail, Contacts and Calendar for each user on iOS mobile device using Exchange ActiveSync (EAS) protocol to synchronize these services.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">Before you begin setting this policy up, make sure you have already performed the steps described under <a href=\"mobile_device_management.html\" class=\"topiclink\">Mobile Device Management<\/a>.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\">Type a <span class=\"f_UI\">Name<\/span> for this policy. The <span class=\"f_UI\">Description<\/span> field is optional.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Settings<\/span><\/h2>\n\r<p class=\"p_Normal\">Select <span class=\"f_UI\">ESET MDM for iOS\/iPadOS<\/span> from the drop-down list, click <span class=\"f_UI\">Others<\/span> to expand categories and then click <span class=\"f_UI\">Edit<\/span> next to <span class=\"f_UI\">Exchange ActiveSync Accounts<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"Create_a_Policy_for_iOS_MDM_01\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/create_a_policy_for_ios_mdm_01.png\"\/><\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Add<\/span> and specify the details of your Exchange ActiveSync account. You can use variables for certain fields (select from the drop-down list), such as User or Email Address. These will be replaced with actual values from <a href=\"admin_user_management_edit_users.html\" class=\"topiclink\">Computer Users<\/a> when a policy is applied.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"Create_a_Policy_for_iOS_MDM_02\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/create_a_policy_for_ios_mdm_02.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Account name<\/span><span class=\"f_NormalList\"> - Type the name of the Exchange account.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Exchange ActiveSync Host<\/span><span class=\"f_NormalList\"> - Specify the Exchange Server hostname or its IP address.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Use SSL<\/span><span class=\"f_NormalList\"> - This option is enabled by default. It specifies whether the Exchange Server uses Secure Sockets Layer (SSL) for authentication.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Domain<\/span><span class=\"f_NormalList\"> - This field is optional. You can type the domain this account belongs to.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">User<\/span><span class=\"f_NormalList\"> - Exchange login name. Select the appropriate variable from the drop-down list to use attribute from your Active Directory for each user.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Email Address<\/span><span class=\"f_NormalList\"> - Select the appropriate variable from the drop-down list to use an attribute from your Active Directory for each user.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Password<\/span><span class=\"f_NormalList\"> - Optional. We recommend that you leave this field empty. If it is left empty users will be prompted to create their own passwords.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Past Days of Mail to Sync<\/span><span class=\"f_NormalList\"> - Select the number of past days of mail to sync from the drop-down list.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Identity certificate<\/span><span class=\"f_NormalList\"> - Credentials for connection to ActiveSync.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Allow messages to be moved<\/span><span class=\"f_NormalList\"> - If enabled, messages can be moved from one account to another.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Allow recent addresses to be synced<\/span><span class=\"f_NormalList\"> - If this option is enabled, the user is allowed to sync recently used addresses across devices.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Use Only in Mail<\/span><span class=\"f_NormalList\"> - Enable this option if you want to allow only the Mail app to send outgoing email messages from this account.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Use S\/MIME<\/span><span class=\"f_NormalList\"> - Enable this option to use S\/MIME encryption for outgoing email messages.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Signing Certificate<\/span><span class=\"f_NormalList\"> - Credentials for signing MIME data.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Encryption Certificate<\/span><span class=\"f_NormalList\"> - Credentials for encryption MIME data.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Enable per-message encryption toggle<\/span> - Allow the user to choose whether to encrypt each message.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">If you do not specify a value and leave the field blank, mobile device users will be prompted to type this value. For example a <span class=\"f_UI\">Password<\/span>.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"Create_a_Policy_for_iOS_MDM_03\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/create_a_policy_for_ios_mdm_03.png\"\/><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Add certificate<\/span> - You can add specific Exchange certificates (User Identity, Digital Signature or Encryption Certificate) if required.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">Using the steps above, you can add multiple Exchange ActiveSync Accounts, if desired. This way, there will be more accounts configured on one mobile device. You can also edit existing accounts if necessary.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Assign<\/span><\/h2>\n\r<p class=\"p_Normal\">Specify the clients (individual computers\/mobile devices or whole groups) that are the recipients of this policy.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_pol_assign\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/admin_pol_assign.png\"\/><\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Assign<\/span> to display all Static and Dynamic Groups and their members. Select your desired computers or groups and click <span class=\"f_UI\">OK<\/span>.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">To assign all computers in a group, assign the group instead of individual computers to prevent a Web Console slowdown.<\/p>\n\r<p class=\"p_Normal\">The Web Console displays a warning if you select a high number of computers.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"select_targets\" width=\"900\" height=\"634\" style=\"margin:0;width:900px;height:634px;border:none\" src=\".\/images\/select_targets.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\">Review the settings for this policy and click <span class=\"f_UI\">Finish<\/span>. The policy gets applied on the targets after their next connection to ESET PROTECT Server (depending on the Agent connection interval).<\/p>\n\r"
})
