hmLoadTopic({
hmKeywords:"restrictions on iOS,Wi-Fi connection iOS",
hmTitle:"Create a Policy to enforce restrictions on iOS and add Wi-Fi connection",
hmDescription:"You can create a policy for iOS mobile devices to enforce certain restrictions. You can also define multiple Wi-Fi connections so that, for example, users will automatically be...",
hmPrevLink:"admin_pol_for_mdc_apns.html",
hmNextLink:"mobile_device_profiles.html",
hmParentLink:"mobile_device_management.html",
hmBreadCrumbs:"<a href=\"mobile_device_management.html\">Mobile Device Management<\/a> &gt; Example Policy Settings",
hmTitlePath:"Mobile Device Management > Example Policy Settings > Create a Policy to enforce restrictions on iOS and add Wi-Fi connection",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Create a Policy to enforce restrictions on iOS and add Wi-Fi connection<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">You can create a policy for iOS mobile devices to enforce certain restrictions. You can also define multiple Wi-Fi connections so that, for example, users will automatically be connected to the corporate Wi-Fi network at different office locations. The same applies to <a href=\"mobile_device_profiles.html\" class=\"topiclink\">VPN connections<\/a>.<\/p>\n\r<p class=\"p_Normal\">Restrictions that you can apply to iOS mobile device are listed in categories. For example, you can disable FaceTime and the use of camera, disable certain iCloud features, fine-tune Security and Privacy options or disable selected applications.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">Restrictions that can or cannot be applied depend on the version of iOS used by client devices. iOS 8.x and later are supported.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">The following is an example of how to disable the <span class=\"f_UI\">camera<\/span> and <span class=\"f_UI\">FaceTime apps<\/span> and add Wi-Fi connection details to the list to have the iOS mobile device connect to a Wi-Fi network whenever the network is is detected. If you use the auto Join option, iOS mobile devices will connect to this network by default. The policy setting will override a user\'s manual selection of a Wi-Fi network.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\">Type a <span class=\"f_UI\">Name<\/span> for this policy. The <span class=\"f_UI\">Description<\/span> field is optional.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Settings<\/span><\/h2>\n\r<p class=\"p_Normal\">Select <span class=\"f_UI\">ESET Mobile Device Management for iOS<\/span>, click <span class=\"f_UI\">Restrictions<\/span> to see categories. Use the toggle next to <span class=\"f_UI\">Allow use of camera<\/span> to disable it. Since the camera is disabled, FaceTime will automatically be disabled as well. If you want to disable FaceTime only, leave the camera enabled and use the toggle next to <span class=\"f_UI\">Allow FaceTime<\/span> to disable it.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"Create_a_Policy_for_iOS_MDM_restrictions\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/create_a_policy_for_ios_mdm_restrictions.png\"\/><\/p>\n\r<p class=\"p_Normal\">After you have configured <span class=\"f_UI\">Restrictions<\/span>, click <span class=\"f_UI\">Others<\/span> and then click <span class=\"f_UI\">Edit<\/span> next to <span class=\"f_UI\">Wi-Fi connection list<\/span>. A window with the list of Wi-Fi connections will open. Click <span class=\"f_UI\">Add<\/span> and specify connection details for the Wi-Fi network you want to add. Click <span class=\"f_UI\">Save<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"Create_a_Policy_for_iOS_MDM_WiFi\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/create_a_policy_for_ios_mdm_wifi.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Service Set Identifier (SSID)<\/span><span class=\"f_NormalList\"> - SSID of the Wi-FI network to be used.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Auto Join<\/span> - Optional (enabled by default), device automatically joins this network.<\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_UI\">Security<\/span><span class=\"f_NormalList\"> <\/span><span class=\"f_UI\">settings:<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Encryption Type<\/span><span class=\"f_NormalList\"> - Select appropriate encryption from the drop-down list, make sure this value exactly matches the capabilities of the Wi-Fi network.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Password<\/span> - Type the password that will be used to authenticate when connecting to the Wi-Fi network.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Proxy settings<\/span> - Optional. If your network uses a Proxy, specify values accordingly.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Assign<\/span><\/h2>\n\r<p class=\"p_Normal\">Specify the clients (individual computers\/mobile devices or whole groups) that are the recipients of this policy.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_pol_assign\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/admin_pol_assign.png\"\/><\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Assign<\/span> to display all Static and Dynamic Groups and their members. Select your desired computers or groups and click <span class=\"f_UI\">OK<\/span>.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">To assign all computers in a group, assign the group instead of individual computers to prevent a Web Console slowdown.<\/p>\n\r<p class=\"p_Normal\">The Web Console displays a warning if you select a high number of computers.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"select_targets\" width=\"900\" height=\"634\" style=\"margin:0;width:900px;height:634px;border:none\" src=\".\/images\/select_targets.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\">Review the settings for this policy and click <span class=\"f_UI\">Finish<\/span>. The policy gets applied on the targets after their next connection to ESET PROTECT Server (depending on the Agent connection interval).<\/p>\n\r"
})
