hmLoadTopic({
hmKeywords:"Activate APNS,Activate iOS device Enrollment,APNS,DEP,Policy for DEP,Policy for MDC",
hmTitle:"Create a Policy for MDC to activate APN\/ABM for iOS enrollment",
hmDescription:"When changing the https certificate used in your policy for MDC, follow the steps below to avoid disconnecting mobile devices from your MDM:",
hmPrevLink:"admin_pol_for_ios_mdm.html",
hmNextLink:"admin_pol_for_ios_mdm_restrictions.html",
hmParentLink:"mobile_device_management.html",
hmBreadCrumbs:"<a href=\"mobile_device_management.html\">Mobile Device Management<\/a> &gt; Example Policy Settings",
hmTitlePath:"Mobile Device Management > Example Policy Settings > Create a Policy for MDC to activate APN\/ABM for iOS enrollment",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Create a Policy for MDC to activate APN\/ABM for iOS enrollment<\/span><\/h1>\n\r",
hmBody:"<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">When changing the https certificate used in your policy for MDC, follow the steps below to avoid disconnecting mobile devices from your MDM:<\/p>\n\r<p class=\"p_Normal\">1. Create and apply the new policy that uses the new https certificate.<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 10px 19px;\">2. Allow devices to check in to the MDM server and receive the new policy.<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 10px 19px;\">3. Verify that devices are using the new https certificate (the https certificate exchange is completed).<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 10px 19px;\">4. Allow at least 72 hours for your devices to receive the new policy. After all devices have received the new policy (MDM Core alert &quot;HTTPS certificate change still in progress. The old certificate is still being used &quot; is no longer displayed in the Alerts tab), you can delete the old policy.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">This is an example of how to create a new policy for ESET Mobile Device Connector to activate APNS (Apple Push Notification Services) and iOS Device Enrollment Program feature. This is required for <a href=\"enrollment_device_ios.html\" class=\"topiclink\">iOS device Enrollment<\/a>. Before configuring this policy, <a href=\"apn_certificate.html\" class=\"topiclink\">create a new APN certificate<\/a> and have it signed by Apple on the Apple Push Certificates Portal so that it becomes a signed certificate or <span class=\"f_UI\">APNS Certificate<\/span>. For step-by-step instructions, see the <a href=\"apn_certificate.html\" class=\"topiclink\">APN certificate<\/a> section.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\">Type in a <span class=\"f_UI\">Name<\/span> for this policy. The <span class=\"f_UI\">Description<\/span> field is optional.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Settings<\/span><\/h2>\n\r<p class=\"p_Normal\">Select <span class=\"f_UI\">ESET Mobile Device Connector<\/span> from the drop-down list.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">If you installed MDM Server with All-in-One Installer (Not as a standalone and not as a component), the HTTPS certificate was generated automatically during the installation. For all other cases, you need to apply a custom HTTPS certificate. You can find more information annotated following step one of <a href=\"mdm_setup_and_settings.html\" class=\"topiclink\">Mobile Device Management topic<\/a>.<\/p>\n\r<p class=\"p_Normal\">You can use the ESET PROTECT certificate (signed by ESET PROTECT CA) or your custom certificate. You can also specify the date for <span class=\"f_UI\">Force certificate change<\/span>. Click the tooltip next to this setting for more information.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">Type your actual organization\'s name over the <span class=\"f_UI\">Organization<\/span> string. This is used by the enrollment profile generator to include this information in the profile.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"admin_pol_mdc_apn_cert_https\" width=\"901\" height=\"364\" style=\"margin:0;width:901px;height:364px;border:none\" src=\".\/images\/admin_pol_mdc_apn_cert_https.png\"\/><span class=\"f_NormalList\"> <\/span><\/p>\n\r<p class=\"p_Normal\">Under <img alt=\"icon_section\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_section.png\"\/><span class=\"f_UI\">General<\/span>, you can optionally upload your HTTPS certificate for enrollment into the <span class=\"f_UI\">Enrollment profile signing certificate<\/span> (this affects only non-ABM enrollment). This will allow the enrollment page for iOS devices they visit during enrollment process to be signed and that they will be visible in the <span class=\"f_UI\">Signed by<\/span> filed based on the certificate.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"mdm_ios_enrollment_signed\" width=\"346\" height=\"614\" style=\"margin:0;width:346px;height:614px;border:none\" src=\".\/images\/mdm_ios_enrollment_signed.png\"\/><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Upload the Apple certificates for iOS enrollment<\/span> – navigate to the Apple Push Notification Service and upload the APNS Certificate and a APNS Private Key.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_pol_mdc_apn_cert\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/admin_pol_mdc_apn_cert.png\"\/><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">APNS Certificate (signed by Apple)<\/span> - click the folder icon and browse for the APNS Certificate to upload it. The APNS Certificate is the file you downloaded from Apple Push Certificates Portal.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">APNS Private Key<\/span> - click the folder icon and browse for the APNS Private Key to upload it. The APNS Private Key is the file you downloaded during <a href=\"apn_certificate.html\" class=\"topiclink\">APN\/ABM Certificate<\/a> creation.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_pol_mdc_apn_cert_push\" width=\"510\" height=\"182\" style=\"margin:0;width:510px;height:182px;border:none\" src=\".\/images\/admin_pol_mdc_apn_cert_push.png\"\/><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Product Improvement Program<\/span> - Enable or disable transmission of crash reports and anonymous telemetry data to ESET.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Trace log verbosity<\/span> - Set the log verbosity to determine the level of information that will be collected and logged, from <span class=\"f_UI\">Trace<\/span> (informational) to <span class=\"f_UI\">Fatal<\/span> (most important critical information).<\/p>\n\r<p class=\"p_Normal\">If you are creating this policy for iOS enrollment with Apple ABM, navigate to the <img alt=\"icon_section\" width=\"13\" height=\"13\" style=\"margin:0;width:13px;height:13px;border:none\" src=\".\/images\/icon_section.png\"\/><span class=\"f_UI\">Apple Business Manager (ABM)<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"icon_section\" width=\"13\" height=\"13\" style=\"margin:0;width:13px;height:13px;border:none\" src=\".\/images\/icon_section.png\"\/><span class=\"f_UI\">Apple Business Manager (ABM)<\/span> - these settings are ABM-only.<img alt=\"icon_abm\" width=\"49\" height=\"21\" style=\"margin:0;width:49px;height:21px;border:none\" src=\".\/images\/icon_abm.png\"\/><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_warning\" >\n\r<tr class=\"Table_warning\">\n\r<td class=\"Table_warning\" style=\"width:4px; background-color:#E04239;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_warning\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"warning\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/warning.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_warning\"><p class=\"p_Normal\">After the initial configuration, if any of these settings will be changed, to apply the changes, you will need to factory-reset and re-enroll all the affected iOS devices.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Upload authorization token<\/span> - click the folder icon and browse for the ABM server token. The ABM server token is the file you downloaded when you created the virtual MDM server on the Apple ABM portal.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Mandatory Installation<\/span> - the user will not be able to use the device without installing the MDM profile.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Allow user to remove MDM profile<\/span> - device must be in supervised mode to prevent the user from removing the MDM profile.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Require domain login<\/span> - user must use valid domain credentials in the device Setup Wizard.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Skip Setup Items<\/span> - this setting allows you to choose which of the initial setup steps during the initial iOS setup will be skipped. You can find more information about each of these steps in the <a href=\"https:\/\/support.apple.com\/en-us\/HT202033\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Apple Knowledgebase Article<\/a>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Assign<\/span><\/h2>\n\r<p class=\"p_Normal\">Select the device that is hosting the MDM server the policy is targeted on.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_pol_assign\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/admin_pol_assign.png\"\/><\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Assign<\/span> to display all Static and Dynamic Groups and their members. Select the Mobile Device Connector instance that you want to apply the policy on and click <span class=\"f_UI\">OK<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\">Review the settings for this policy and click <span class=\"f_UI\">Finish<\/span>.<\/p>\n\r"
})
