hmLoadTopic({
hmKeywords:"merge policies",
hmTitle:"Merging Policies",
hmDescription:"When you apply a policy to an ESET security product where another policy is already applied, the overlapping policy settings are merged. Policies are merged one by one. When...",
hmPrevLink:"admin_pol_enumerating_policies.html",
hmNextLink:"admin_pol_merging_example.html",
hmParentLink:"admin_pol_how_policies_are_applied.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin_pol.html\">Policies<\/a> &gt; <a href=\"admin_pol_how_policies_are_applied.html\">How Policies are applied to clients<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Policies > How Policies are applied to clients > Merging Policies",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Merging Policies<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">When you apply a policy to an ESET security product where another policy is already applied, the overlapping policy settings are merged. Policies are merged one by one. When merging policies, the general rule is that the later policy always replaces the settings set by the former one. To change this behavior, you can use <a href=\"admin_pol_flags.html\" class=\"topiclink\">policy flags<\/a> (available for every setting). Some settings have another <a href=\"admin_pol_merging.html#merging\" class=\"topiclink\">rule<\/a> (replace \/ append \/ prepend) that you can configure.<\/p>\n\r<p class=\"p_Normal\">Keep in mind that the structure of the <a href=\"admin_groups.html\" class=\"topiclink\">groups<\/a> (their hierarchy) and the sequence of the policies determines how the policies are merged. Merging of any two policies may have different results depending on their order.<\/p>\n\r<p class=\"p_Normal\"><a id=\"merging\" class=\"hmanchor\"><\/a>When creating policies, you will notice that some settings have additional rules that you can configure. These rules allow you to arrange the same settings in various policies.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Replace<\/span><span class=\"f_NormalList\">: The default rule which is used when merging policies. It replaces the settings set by the former policy.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Append<\/span><span class=\"f_NormalList\">: When applying the same setting in more than one policy, you can append the settings with this rule. The setting will be placed at the end of the list that was created by merging policies.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Prepend<\/span><span class=\"f_NormalList\">: When applying the same setting in more than one policy, you can prepend the settings with this rule. The setting will be placed at the beginning of the list that was created by merging policies. <\/span><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Merging of local and remote lists<\/span><\/h2>\n\r<p class=\"p_Normal\">The recent ESET security products (see supported versions in table below) support merging of local settings with the remote policies in a new way. If the setting is a list (for example, a list of websites) and a remote policy is conflicting with an existing local setting, the remote policy overwrites it. You can choose how to combine local and remote lists. You can select different merging rules for:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><img alt=\"flow_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/flow_default.png\"\/><span class=\"f_NormalList\"> Merging settings for remote policies.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><img alt=\"icon_computer\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_computer.png\"\/><span class=\"f_NormalList\"> Merging of remote and local policies - local settings with the resulting remote policy.<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<br \/>\n\rOptions are the same as mentioned above: <span class=\"f_UI\">Replace<\/span>, <span class=\"f_UI\">Append<\/span>, <span class=\"f_UI\">Prepend<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"policy_merging\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/policy_merging.png\"\/><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Important_heading\" style=\"page-break-after: avoid;\"><span class=\"f_Important_heading\">Policy removal in ESET security products version 7 and later<\/span><\/p>\n\r<p class=\"p_Normal\">When a policy is removed, the configuration will automatically revert back to the previous policy that was applied to the clients.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"icon_no_apply_policy\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_no_apply_policy.png\"\/> <span class=\"f_UI\">Not apply<\/span> flag turns individual policy settings to the default state on client computers.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
