hmLoadTopic({
hmKeywords:"group order,ordering groups",
hmTitle:"Ordering Groups",
hmDescription:"Policies can be assigned to groups, and are applied in a specific order. Rules written below determine in which order policies are applied to clients.",
hmPrevLink:"admin_pol_how_policies_are_applied.html",
hmNextLink:"admin_pol_enumerating_policies.html",
hmParentLink:"admin_pol_how_policies_are_applied.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin_pol.html\">Policies<\/a> &gt; <a href=\"admin_pol_how_policies_are_applied.html\">How Policies are applied to clients<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Policies > How Policies are applied to clients > Ordering Groups",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Ordering Groups<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">Policies can be assigned to groups, <span class=\"f_UI\">and are applied in a specific order. Rules written below determine in which order policies are applied to clients<\/span>.<\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_UI\">Rule 1<\/span><span class=\"f_NormalList\">: Static Groups are traversed from the root Static Group (<\/span><span class=\"f_UI\">All<\/span><span class=\"f_NormalList\">).<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_UI\">Rule 2<\/span><span class=\"f_NormalList\">: On every level, the Static Groups of that level are traversed first in the order they appear in the tree (this is also called &quot;breadth-first&quot; search).<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_UI\">Rule 3<\/span><span class=\"f_NormalList\">: After all Static Groups at a certain level are accounted for, Dynamic Groups are traversed.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_UI\">Rule 4<\/span><span class=\"f_NormalList\">: In every Dynamic Group, all its children are traversed in the order that they appear in the list.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_UI\">Rule 5<\/span><span class=\"f_NormalList\">: At any level of a Dynamic Group, any child will be listed and searched for its children. When there are no more children, the next Dynamic Groups at the parent level are listed (this is also called &quot;depth-first&quot; search).<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_UI\">Rule 6<\/span><span class=\"f_NormalList\">: Traversal ends at a computer.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">&nbsp;<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">The policy is applied to the computer. This means that traversal ends at the computer which you want to apply the policy on.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"Admin_policies_and_groups\" width=\"540\" height=\"780\" style=\"margin:0;width:540px;height:780px;border:none\" src=\".\/images\/admin_policies_and_groups.png\"\/><\/p>\n\r<p class=\"p_Normal\">Using the rules written above, the order in which policies will be applied on individual computers would be as follows:<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_small\" >\n\r<thead>\n\r<tr class=\"Table_small\">\n\r<th class=\"Table_small\" style=\"width:100px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">PC1:<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_small\" style=\"width:100px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">PC2:<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_small\" style=\"width:100px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">PC3:<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_small\" style=\"width:100px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">PC4:<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<\/thead>\n\r<tbody>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:100px;\"><p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">1.<\/span><span class=\"f_NormalTable\">ALL<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">2.<\/span><span class=\"f_NormalTable\">SG1<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">3.<\/span><span class=\"f_NormalTable\">PC1<\/span><\/p><\/td>\n\r<td class=\"Table_small\" style=\"width:100px;\"><p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">1.<\/span><span class=\"f_NormalTable\">ALL<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">2.<\/span><span class=\"f_NormalTable\">SG2<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">3.<\/span><span class=\"f_NormalTable\">DG1<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">4.<\/span><span class=\"f_NormalTable\">DG3<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">5.<\/span><span class=\"f_NormalTable\">PC2<\/span><\/p><\/td>\n\r<td class=\"Table_small\" style=\"width:100px;\"><p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">1.<\/span><span class=\"f_NormalTable\">ALL<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">2.<\/span><span class=\"f_NormalTable\">SG2<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">3.<\/span><span class=\"f_NormalTable\">SG3<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">4.<\/span><span class=\"f_NormalTable\">PC3<\/span><\/p><\/td>\n\r<td class=\"Table_small\" style=\"width:100px;\"><p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">1.<\/span><span class=\"f_NormalTable\">ALL<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">2.<\/span><span class=\"f_NormalTable\">SG2<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">3.<\/span><span class=\"f_NormalTable\">SG3<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">4.<\/span><span class=\"f_NormalTable\">DG4<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">5.<\/span><span class=\"f_NormalTable\">DG5<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">6.<\/span><span class=\"f_NormalTable\">DG6<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"display:inline-block;width:20px;margin-left:-20px\">7.<\/span><span class=\"f_NormalTable\">PC4<\/span><\/p><\/td>\n\r<\/tr>\n\r<\/tbody>\n\r<\/table>\n\r<\/div>\n\r"
})
