hmLoadTopic({
hmKeywords:"password protection",
hmTitle:"Create a Policy to enable ESET Management Agent Password protection",
hmDescription:"Follow the steps below to create a new policy that will enforce a password to protect the ESET Management Agent. When Password protected setup is used, ESET Management Agent...",
hmPrevLink:"admin_pol_planed_for_migration.html",
hmNextLink:"fs_agent_connection_troubleshooting.html",
hmParentLink:"agent_settings.html",
hmBreadCrumbs:"<a href=\"fs_deployment.html\">ESET Management Agent Deployment<\/a> &gt; <a href=\"agent_settings.html\">ESET Management Agent settings<\/a>",
hmTitlePath:"ESET Management Agent Deployment > ESET Management Agent settings > Create a Policy to enable ESET Management Agent Password protection",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Create a Policy to enable ESET Management Agent Password protection<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">Follow the steps below to create a new policy that will enforce a password to protect the ESET Management Agent. When <span class=\"f_UI\">Password protected setup<\/span> is used, ESET Management Agent cannot be uninstalled or repaired unless a password is provided. See <a href=\"fs_agent_deploy_password_protection.html\" class=\"topiclink\">Agent protection<\/a> for more details.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\">Type a <span class=\"f_UI\">Name<\/span> for this policy. The <span class=\"f_UI\">Description<\/span> field is optional.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Settings<\/span><\/h2>\n\r<p class=\"p_Normal\">Select <span class=\"f_UI\">ESET Management Agent<\/span> from the drop-down list &gt; expand <span class=\"f_UI\">Setup<\/span> &gt; click <span class=\"f_UI\">Set<\/span> next to <span class=\"f_UI\">Password protected setup<\/span> and type the password. This password will be required if someone is trying to uninstall or repair ESET Management Agent on a client computer.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">Record the password in a safe place. If the ESET Management Agent is password-protected, you must provide the password to uninstall, repair or upgrade (with changes).<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Assign<\/span><\/h2>\n\r<p class=\"p_Normal\">Specify the clients (individual computers\/mobile devices or whole groups) that are the recipients of this policy.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_pol_assign\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/admin_pol_assign.png\"\/><\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Assign<\/span> to display all Static and Dynamic Groups and their members. Select your desired computers or groups and click <span class=\"f_UI\">OK<\/span>.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">To assign all computers in a group, assign the group instead of individual computers to prevent a Web Console slowdown.<\/p>\n\r<p class=\"p_Normal\">The Web Console displays a warning if you select a high number of computers.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"select_targets\" width=\"900\" height=\"634\" style=\"margin:0;width:900px;height:634px;border:none\" src=\".\/images\/select_targets.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\">Review the settings for this policy and click <span class=\"f_UI\">Finish<\/span>. The policy gets applied on the targets after their next connection to ESET PROTECT Server (depending on the Agent connection interval).<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">To apply the policy immediately, you can run the <span class=\"f_UI\">Send Wake-Up Call<\/span> action on targets in the <span class=\"f_UI\">Computers<\/span> sections.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
