hmLoadTopic({
hmKeywords:"connect to the new ESET PROTECT Server",
hmTitle:"Create a Policy for ESET Management Agent to connect to the new ESET PROTECT Server",
hmDescription:"This policy lets you change the behavior of ESET Management Agent by modifying its settings. The following is especially useful when migrating client machines to a new ESET...",
hmPrevLink:"fs_create_new_policy.html",
hmNextLink:"admin_pol_password_protection.html",
hmParentLink:"agent_settings.html",
hmBreadCrumbs:"<a href=\"fs_deployment.html\">ESET Management Agent Deployment<\/a> &gt; <a href=\"agent_settings.html\">ESET Management Agent settings<\/a>",
hmTitlePath:"ESET Management Agent Deployment > ESET Management Agent settings > Create a Policy for ESET Management Agent to connect to the new ESET PROTECT Server",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Create a Policy for ESET Management Agent to connect to the new ESET PROTECT Server<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">This policy lets you change the behavior of ESET Management Agent by modifying its settings. The following is especially useful when migrating client machines to a new ESET PROTECT Server.<\/p>\n\r<p class=\"p_Normal\">Create new policy to set new ESET PROTECT Server IP address and assign the policy to all client computers. Select <span class=\"f_UI\">Policies<\/span> &gt; create <span class=\"f_UI\">New<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\">Type a <span class=\"f_UI\">Name<\/span> for your policy. The <span class=\"f_UI\">Description<\/span> field is optional.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Settings<\/span><\/h2>\n\r<p class=\"p_Normal\">Select <span class=\"f_UI\">ESET Management Agent<\/span> from the drop-down menu, expand <span class=\"f_UI\">Connection<\/span> and click <span class=\"f_UI\">Edit server list<\/span> next to <span class=\"f_UI\">Servers to connect to<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_policies_wizard4\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/admin_policies_wizard4.png\"\/><\/p>\n\r<p class=\"p_Normal\">A window will open with a list of ESET PROTECT Server addresses the ESET Management Agent can connect to. Click <span class=\"f_UI\">Add<\/span> and type the IP address of your new ESET PROTECT Server into the <span class=\"f_UI\">Host<\/span> field. If you are using a different port than the default ESET PROTECT Server port 2222, specify your custom port number.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"policy_connection_server\" width=\"495\" height=\"489\" style=\"margin:0;width:495px;height:489px;border:none\" src=\".\/images\/policy_connection_server.png\"\/><\/p>\n\r<p class=\"p_Normal\">Use the arrow buttons to change the priority of ESET PROTECT Servers if you have multiple entries in the list. Make sure your new ESET PROTECT Server is at the top by clicking <span class=\"f_UI\">double-up arrow<\/span> button and then click <span class=\"f_UI\">Save<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Assign<\/span><\/h2>\n\r<p class=\"p_Normal\">Specify the clients (individual computers\/mobile devices or whole groups) that are the recipients of this policy.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_pol_assign\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/admin_pol_assign.png\"\/><\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Assign<\/span> to display all Static and Dynamic Groups and their members. Select your desired computers or groups and click <span class=\"f_UI\">OK<\/span>.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">To assign all computers in a group, assign the group instead of individual computers to prevent a Web Console slowdown.<\/p>\n\r<p class=\"p_Normal\">The Web Console displays a warning if you select a high number of computers.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"select_targets\" width=\"900\" height=\"634\" style=\"margin:0;width:900px;height:634px;border:none\" src=\".\/images\/select_targets.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\">Review the settings for this policy and click <span class=\"f_UI\">Finish<\/span>. The policy gets applied on the targets after their next connection to ESET PROTECT Server (depending on the Agent connection interval).<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">To apply the policy immediately, you can run the <span class=\"f_UI\">Send Wake-Up Call<\/span> action on targets in the <span class=\"f_UI\">Computers<\/span> sections.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
