hmLoadTopic({
hmKeywords:"server tasks",
hmTitle:"Server Tasks",
hmDescription:"Server tasks are executed by ESET PROTECT Server on itself or other devices. Server tasks cannot be assigned to any specific client or client group. Each Server Task can have...",
hmPrevLink:"client_tasks_upload_file.html",
hmNextLink:"server_tasks_agent_deployment1.html",
hmParentLink:"admin_ct.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin_ct.html\">Tasks<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Tasks > Server Tasks",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Server Tasks<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">Server tasks are executed by ESET PROTECT Server on itself or other devices. Server tasks cannot be assigned to any specific client or client group. Each Server Task can have one <a href=\"admin_st_triggers.html\" class=\"topiclink\">Trigger<\/a> configured. If the task needs to be run with various events, there has to be separate server task for each trigger.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Server tasks and permissions<\/span><\/h2>\n\r<p class=\"p_Normal\">The task and trigger both need an executing user. This is the user who modifies the task (and trigger). This user must have sufficient permissions for the chosen action. During execution, the task always takes the executing user from the trigger. If the task is run using the <span class=\"f_UI\">Run task immediately after finish<\/span> setting, the executing user is the user logged into the ESET PROTECT Web Console. A user has permissions (<span class=\"f_UI\">Read<\/span>, <span class=\"f_UI\">Use<\/span>, <span class=\"f_UI\">Write<\/span>) for the selected <span class=\"f_UI\">server task<\/span> instance if it has those permissions selected in its permission set (<span class=\"f_UI\">More<\/span> &gt; <span class=\"f_UI\">Permission Sets<\/span>) and has these permissions set for that Static Group where the server task is located. See the <a href=\"admin_ar_permissions_list.html\" class=\"topiclink\">list of permissions<\/a> for more information on access rights.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_example\" >\n\r<tr class=\"Table_example\">\n\r<td class=\"Table_example\" style=\"width:4px; background-color:#77BB1A;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_example\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"example\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/example.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_example\"><p class=\"p_Normal\"><span class=\"f_Path\">John<\/span>, whose home group is <span class=\"f_Path\">John’s Group<\/span>, wants to remove <span class=\"f_Path\">Server Task 1:<\/span> <span class=\"f_UI\">Generate Report<\/span>. The task was originally created by <span class=\"f_Path\">Larry<\/span>, therefore the task is automatically contained in Larry\'s home group, <span class=\"f_Path\">Larry\'s Group<\/span>. The following conditions must be met for <span class=\"f_Path\">John<\/span> to remove the task:<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin: 0 0 10px 32px;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_Path\">John<\/span> must be assigned a permission set with <span class=\"f_UI\">write<\/span> permissions for <span class=\"f_UI\">Server Tasks &amp; Triggers<\/span> - <span class=\"f_UI\">Generate Reports<\/span>.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin: 0 0 10px 32px;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>The permission set must contain <span class=\"f_Path\">Larry’s Group<\/span> under <span class=\"f_UI\">Static Groups<\/span>.<\/p><\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Permissions needed for certain server task actions<\/span><\/h2>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">To create a new server task, the user needs <\/span><span class=\"f_UI\">write<\/span><span class=\"f_NormalList\"> permission for the selected task type and proper access rights for the referenced objects (computers, licenses, groups).<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">To modify a server task, the user needs <\/span><span class=\"f_UI\">write<\/span><span class=\"f_NormalList\"> permission for the selected server task instance and proper access rights for the referenced objects (computers, licenses, groups).<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">To remove a server task, the user needs <\/span><span class=\"f_UI\">write<\/span><span class=\"f_NormalList\"> permission for the selected server task instance.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>To run a server task, the user needs <span class=\"f_UI\">use<\/span> permission for the selected server task instance.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><a id=\"st_create\" class=\"hmanchor\"><\/a><span class=\"f_Heading2\">Create a new server task<\/span><\/h2>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">1.<\/span><span class=\"f_NormalList\"> <\/span>To create a new Server Task, click <span class=\"f_UI\">Tasks<\/span> &gt; <span class=\"f_UI\">New<\/span> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><span class=\"f_UI\">Server Task<\/span> or select the desired task type on the left and click <span class=\"f_UI\">New<\/span> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><span class=\"f_UI\">Server Task<\/span>.<span class=\"f_NormalList\"> &nbsp;<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">2.<\/span><span class=\"f_NormalList\"> <\/span>In the <span class=\"f_UI\">Basic<\/span> section, type basic information about the task, such as a <span class=\"f_UI\">Name and Description (optional)<\/span>. Click <span class=\"f_UI\">Select tags<\/span> to <a href=\"tags.html#assign_tags\" class=\"topiclink\">assign tags<\/a>.<br \/>\n\rIn the <span class=\"f_UI\">Task<\/span> drop-down menu, select the task type you want to create and configure. If you have selected a specific task type before creating a new task, <span class=\"f_UI\">Task<\/span> is pre-selected based on your previous choice. <span class=\"f_UI\">Task<\/span> (see <a href=\"admin_ct.html\" class=\"topiclink\">the list of all Tasks<\/a>) defines the settings and the behavior for the task.<span class=\"f_NormalList\"> <\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid; margin: 0 0 0 39px;\"><span class=\"f_NormalList\"> <\/span>You can also select from the following task trigger settings:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Run task immediately after finish<\/span><span class=\"f_NormalList\"> - Select this option to have the task run automatically after you click Finish.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Configure trigger<\/span><span class=\"f_NormalList\"> - Select this option to enable the <a href=\"admin_st_triggers.html\" class=\"topiclink\">Trigger<\/a> section, where you can configure trigger settings.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">To set the trigger later, leave the check boxes deselected. <\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">3.<\/span><span class=\"f_NormalList\">Configure the task settings in the <\/span><span class=\"f_UI\">Settings<\/span><span class=\"f_NormalList\"> section.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">4.<\/span><span class=\"f_NormalList\">Set the trigger in the <\/span><span class=\"f_UI\">Trigger<\/span><span class=\"f_NormalList\"> section, if it is available.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">5.<\/span>Verify all the settings for this task in the <span class=\"f_UI\">Summary<\/span> section and then click <span class=\"f_UI\">Finish<\/span>.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">It is recommended for users who are regularly using Server tasks to create their own tasks rather than sharing them with other users. Each time the task is run it uses the permissions of the executing user. This can confuse some users.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
