hmLoadTopic({
hmKeywords:"trigger throttling",
hmTitle:"Task trigger types",
hmDescription:"Triggers are essentially sensors that react to certain events in a pre-defined way. They are used to execute the task they are assigned to. They can be activated by the...",
hmPrevLink:"st_user_synchronization.html",
hmNextLink:"cron_expression.html",
hmParentLink:"admin_ct.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin_ct.html\">Tasks<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Tasks > Task trigger types",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Task trigger types<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">Triggers are essentially sensors that react to certain events in a pre-defined way. They are used to execute the task they are assigned to. They can be activated by the scheduler (time events) or when a certain system event occurs.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">You cannot reuse a trigger. Each task must be triggered with a separate trigger. Each trigger can run only one task.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">The trigger does not run newly assigned tasks immediately (except the ASAP trigger) — the task is run as soon as the trigger is fired. Trigger sensitivity to events can be reduced further using <a href=\"admin_st_throttling.html\" class=\"topiclink\">throttling<\/a>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Trigger types:<\/span><\/h2>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">As soon as possible<\/span><span class=\"f_NormalList\"> - Available only for Client Tasks. The task will run as soon as you click <\/span><span class=\"f_UI\">Finish<\/span><span class=\"f_NormalList\">. The <\/span><span class=\"f_UI\">Expiration Date<\/span><span class=\"f_NormalList\"> value specifies the date after which the task will no longer be executed. <\/span><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Scheduled<\/span><\/h2>\n\r<p class=\"p_Normal\">Scheduled Trigger will run the task based on date and time settings. Tasks can be scheduled to <span class=\"f_UI\">run once<\/span>, on a recurring basis, or on <a href=\"cron_expression.html\" class=\"topiclink\">CRON expression<\/a>.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Schedule Once<\/span><span class=\"f_NormalList\"> - This trigger is invoked once on the scheduled date and time. It can be delayed by random interval.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Daily<\/span><span class=\"f_NormalList\"> - This trigger is invoked every selected day. You can set the start and end of the interval. For example, you can run a task for ten consecutive weekends.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Weekly<\/span><span class=\"f_NormalList\"> - This trigger is invoked on a selected day of the week. For example, run a task every Monday and Friday between July 1 and August 31.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Monthly<\/span><span class=\"f_NormalList\"> - This trigger is invoked on selected days in the selected week of a month, for the selected period of time. The <\/span><span class=\"f_UI\">Repeat on<\/span><span class=\"f_NormalList\"> value sets the weekday in the month (for example, the second Monday) on which the task should run.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Yearly<\/span> - This trigger is invoked every year (or more years, if so configured) on the specified <span class=\"f_UI\">start<\/span> date.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\"><span class=\"f_UI\">Random delay interval<\/span> setting is available for Scheduled type triggers. It defines the range of maximum delay for task execution. Randomizing can prevent overloading the server.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_example\" >\n\r<tr class=\"Table_example\">\n\r<td class=\"Table_example\" style=\"width:4px; background-color:#77BB1A;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_example\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"example\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/example.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_example\"><p class=\"p_Normal\">If <span class=\"f_Path\">John<\/span> set the <span class=\"f_UI\">task<\/span> to trigger <span class=\"f_UI\">Weekly<\/span> on <span class=\"f_Path\">Monday<\/span> and <span class=\"f_UI\">Start<\/span> on <span class=\"f_Path\">2017 Feb 10 8:00:00<\/span>, with <span class=\"f_UI\">Random delay interval<\/span> set to<span class=\"f_Path\"> 1 hour<\/span> and <span class=\"f_UI\">end by set to<\/span> <span class=\"f_Path\">2017 Apr 6 00:00:00, <\/span>the task would run with a randomized one-hour delay between 8:00 and 9:00 every Monday until the specified end date.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Select the check box <span class=\"f_UI\">Invoke ASAP if Event Missed<\/span> to run the task immediately if it did not run at the defined time.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span> When configuring a trigger, ESET PROTECT Web Console time zone is used by default. Alternatively, you can select the check box <span class=\"f_UI\">Use Target Local Time<\/span> to use local time zone of the target device instead of ESET PROTECT Console time zone for the trigger.<\/p><\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Dynamic Group<\/span><\/h2>\n\r<p class=\"p_Normal\">Dynamic Group triggers are available only for Server Tasks:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Dynamic Group Members Changed<\/span><span class=\"f_NormalList\"> - This trigger is invoked when the contents of a Dynamic Group change. For example, if clients join or leave a specific Dynamic Group.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Dynamic Group Size Changed According to Threshold<\/span><span class=\"f_NormalList\"> - This trigger is invoked when the number of clients in a Dynamic Group becomes higher or lower than the specified threshold. For example, if more than 100 computers are in a given group.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Dynamic Group Size Changed Over the Time Period<\/span><span class=\"f_NormalList\"> - This trigger is invoked when the number of clients in a Dynamic Group changes over a defined time period. For example, if the number of computers in a given group increases by 10% in an hour.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Dynamic Group Size Changed According to Compared Group<\/span> - This trigger is invoked when the number of clients in an observed Dynamic Group change according to a compared group (static or dynamic). For example, if more than 10% of all computers are infected (the group <span class=\"f_UI\">All<\/span> compared to the group <span class=\"f_UI\">Infected<\/span>).<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Other<\/span><\/h2>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Server Started<\/span><span class=\"f_NormalList\"> - Available only for Server Tasks. Is invoked when the server starts. For example, this trigger is used for the <a href=\"sg_server_tasks_synch.html\" class=\"topiclink\">Static Group Synchronization<\/a> task.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Joined Dynamic Group Trigger<\/span><span class=\"f_NormalList\"> - Available only for Client Tasks. This trigger is invoked every time a device joins the dynamic group.<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding: 0 0 0 0; margin: 0 0 0 19px;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\"><span class=\"f_UI\">Joined Dynamic Group Trigger<\/span> is available only if a dynamic group is selected in the Target section. The trigger will run the task only on devices that join the dynamic group after the trigger is created. For all the devices already in the dynamic group, you will have to execute the task manually.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Event Log Trigger<\/span><span class=\"f_NormalList\"> - This trigger is invoked when a certain event occurs in logs. For example, if there is a detection in the <\/span><span class=\"f_UI\">Scan<\/span><span class=\"f_NormalList\"> log. This type of trigger provides a set of special settings in the <a href=\"admin_st_throttling.html#event_log_throttling\" class=\"topiclink\">Throttling settings<\/a>. <\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\"><a href=\"cron_expression.html\" class=\"topiclink\">CRON Expression<\/a><\/span><span class=\"f_NormalList\"> - This trigger is invoked at a certain time and date.<\/span><\/p>"
})
