hmLoadTopic({
hmKeywords:"ESET Management Agent settings",
hmTitle:"ESET Management Agent settings",
hmDescription:"You can configure specific settings for ESET Management Agent using a ESET Management Agent policy. There are pre-defined policies for the ESET Management Agent. For example,...",
hmPrevLink:"fs_agent_deploy_password_protection.html",
hmNextLink:"fs_create_new_policy.html",
hmParentLink:"fs_deployment.html",
hmBreadCrumbs:"<a href=\"fs_deployment.html\">ESET Management Agent Deployment<\/a>",
hmTitlePath:"ESET Management Agent Deployment > ESET Management Agent settings",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">ESET Management Agent settings<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">You can configure specific settings for ESET Management Agent using a ESET Management Agent policy. There are pre-defined policies for the ESET Management Agent. For example, <span class=\"f_UI\">Connection<\/span> - Connect every (Agent connection interval) or <span class=\"f_UI\">Application reporting<\/span> - Report all installed applications (not only ESET applications). For more information on how to enforce location-based policy, read the <a href=\"admin_how_to_automate.html#policy\" class=\"topiclink\">example<\/a>.<\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Policies<\/span> and expand <span class=\"f_UI\">Built-in Policies &gt;<\/span> <span class=\"f_UI\">ESET Management Agent<\/span> to edit an existing policy or create a new one.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><img alt=\"icon_section\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_section.png\"\/><span class=\"f_Heading2\">Connection<\/span><\/h2>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Servers to connect to<\/span><span class=\"f_NormalList\"> - To add ESET PROTECT Server connection details (hostname\/IP and a port number), click Edit server list. Multiple ESET PROTECT Servers can be specified. This can be useful if, for example, you have <a href=\"admin_pol_planed_for_migration.html\" class=\"topiclink\">changed the IP address of your ESET PROTECT Server<\/a> or are doing a migration.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Data limit<\/span><span class=\"f_NormalList\"> - Choose the maximum number of bytes for sending data. <\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Connection interval<\/span><span class=\"f_NormalList\"> - Choose Regular interval and specify a time value for the connection interval (or you can use a <a href=\"cron_expression.html\" class=\"topiclink\">CRON expression<\/a>).<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Certificate<\/span> - You can manage Peer certificates for ESET Management Agent. Click <span class=\"f_UI\">Change certificate<\/span> and select which ESET Management Agent certificate should be used by ESET Management Agent. For more information, see <a href=\"admin_cert_peers.html\" class=\"topiclink\">Peer Certificates<\/a>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><img alt=\"icon_section\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_section.png\"\/><span class=\"f_Heading2\">Updates<\/span><\/h2>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Update interval<\/span><span class=\"f_NormalList\"> - Interval at which updates will be received. Select a Regular interval and configure the settings (or you can use a <a href=\"cron_expression.html\" class=\"topiclink\">CRON expression<\/a>).<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Update server<\/span><span class=\"f_NormalList\"> - Update server from which the ESET Management Agent receives module updates.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Update type<\/span><span class=\"f_NormalList\"> - Select the type of updates you want to receive. Choose either Regular or Pre-release update. We do not recommend that you select Pre-release updates for production systems, as this is a risk.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Enable automatic upgrade<\/span> - This option applies to ESET Management Agent 8.1 and later. By default, <a href=\"agent_autoupgrade.html\" class=\"topiclink\">ESET Management Agent gets automatically upgraded<\/a> to the latest compatible version. You can turn this option off to disable the automatic upgrade of ESET Management Agent.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><img alt=\"icon_section\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_section.png\"\/><span class=\"f_Heading2\">Setup<\/span><\/h2>\n\r<p class=\"p_Normal\">The <a href=\"fs_agent_deploy_password_protection.html\" class=\"topiclink\">password-protected setup<\/a> is a protection feature of ESET Management Agent (Windows only). Click <span class=\"f_UI\">Set<\/span> next to <span class=\"f_UI\">Password protected setup<\/span> to enable the ESET Management Agent setup password protection.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>The password-protected setup was enhanced in version 10.1. Set the password separately for Agent version 10.0 and earlier and 10.1 and later.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Record the password in a safe place. If the ESET Management Agent is password-protected, you must provide the password to uninstall, repair or upgrade (with changes).<\/p><\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><img alt=\"icon_section\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_section.png\"\/><span class=\"f_Heading2\">Advanced Settings<\/span><\/h2>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a id=\"proxy\" class=\"hmanchor\"><\/a><span class=\"f_UI\">HTTP Proxy<\/span><span class=\"f_NormalList\"> - Use a proxy server to facilitate internet traffic to clients on your network and Agent replication to ESET PROTECT Server.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_UI\">Proxy Configuration Type<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 39px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#9642;<\/span><span class=\"f_UI\">Global Proxy<\/span><span class=\"f_NormalList\"> - Use one proxy server for Agent replication and for caching of ESET services (for example, updates).<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 39px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#9642;<\/span><span class=\"f_UI\">Different Proxy Per Service<\/span><span class=\"f_NormalList\"> - Use one proxy for Agent replication and another for caching of ESET services (for example, updates).<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 45px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_UI\">Global Proxy<\/span> - This option is only available if you select it in <span class=\"f_UI\">Proxy Configuration Type<\/span>. Click <span class=\"f_UI\">Edit<\/span> and set up your proxy settings.<\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">The two options below are only available if you select <\/span><span class=\"f_UI\">Different Proxy Per Service<\/span><span class=\"f_NormalList\">. You can also use only one of the proxy settings, for example set up only <\/span><span class=\"f_UI\">ESET Services<\/span><span class=\"f_NormalList\"> and leave <\/span><span class=\"f_UI\">Replication<\/span><span class=\"f_NormalList\"> off. Select or unselect the <\/span><span class=\"f_UI\">Use direct connection if HTTP proxy is not available<\/span><span class=\"f_NormalList\"> check box to enable or disable this fallback option.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_UI\">Replication (to ESET management Server)<\/span><span class=\"f_NormalList\"> - Configure connection settings for a <a href=\"https:\/\/help.eset.com\/getHelp?product=protect_install&amp;version=10.1&amp;lang=en-US&amp;topic=arch_proxy\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">proxy<\/a> that connects Agent to Server.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_UI\">ESET Services<\/span><span class=\"f_NormalList\"> - Configure connection settings for a proxy that will cache ESET services.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Wake-Up Call<\/span><span class=\"f_NormalList\"> - ESET PROTECT Server can run instant replication of the ESET Management Agent on a client machine via <\/span><a href=\"epns.html\" class=\"topiclink\">EPNS<\/a><span class=\"f_NormalList\">. This is useful when you do not want to wait for the regular interval when the ESET Management Agent connects to the ESET PROTECT Server. For example when you want a <\/span><a href=\"admin_ct.html\" class=\"topiclink\">Task<\/a><span class=\"f_NormalList\"> to be run immediately on client(s) or if you want a <a href=\"admin_pol.html\" class=\"topiclink\">Policy<\/a> to be applied right away.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Compatibility<\/span><span class=\"f_NormalList\"> - To allow for management of ESET products version 5 or earlier by ESET Management Agent, a specific listening port must be set. Also, ESET products need to be configured to report to this port and the ESET PROTECT Server address must be set to <\/span><span class=\"f_UI\">localhost<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a id=\"operating_system\" class=\"hmanchor\"><\/a><span class=\"f_UI\">Operating System<\/span><span class=\"f_NormalList\"> - Use the toggles to report certain information or issues on the client computer. For example, enable <\/span><span class=\"f_UI\">Report non-ESET-installed applications<\/span><span class=\"f_NormalList\"> to enable reporting of the installed third-party applications.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Repository<\/span> - Location of the repository where all installation files are stored.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding: 0 0 0 0; margin: 0 0 0 19px;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">The default repository is <span class=\"f_UI\">AUTOSELECT<\/span>.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">&nbsp;<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Product Improvement Program<\/span><span class=\"f_NormalList\"> - Enable or disable transmission of crash reports and anonymous telemetry data to ESET.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Logging<\/span> - Set the log verbosity to determine the level of information that will be collected and logged, from <span class=\"f_UI\">Trace<\/span> (informational) to <span class=\"f_UI\">Fatal<\/span> (most important critical information). The latest ESET Management Agent <a href=\"fs_agent_connection_troubleshooting.html\" class=\"topiclink\">log file<\/a> can be found on a client computer.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Assign<\/span><\/h2>\n\r<p class=\"p_Normal\">Specify the clients that will receive this policy. Click <span class=\"f_UI\">Assign<\/span> to display all Static and Dynamic Groups and their members. Select the computer that you want to apply a policy on and click <span class=\"f_UI\">OK<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 0;\">Review the settings for this policy and click <span class=\"f_UI\">Finish<\/span>.<\/p>\n\r"
})
