hmLoadTopic({
hmKeywords:"APN certificate,DEP certificate",
hmTitle:"APN\/ABM certificate",
hmDescription:"An APN (Apple Push Notification) \/ ABM (Apple Business Manager) certificate is used by ESET PROTECT MDM for iOS device enrollment. You must create an Apple-provided push...",
hmPrevLink:"export_certificate.html",
hmNextLink:"certificate_revocation.html",
hmParentLink:"admin_cert_peers.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin.html\">More<\/a> &gt; <a href=\"admin_certificates.html\">Certificates<\/a> &gt; <a href=\"admin_cert_peers.html\">Peer Certificates<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > More > Certificates > Peer Certificates > APN\/ABM certificate",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">APN\/ABM certificate<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">An APN (Apple Push Notification) \/ ABM (Apple Business Manager) certificate is used by ESET PROTECT MDM for iOS device enrollment. You must create an <span class=\"f_UI\">Apple-provided push certificate<\/span> and get it signed by Apple before you can enroll iOS devices in ESET PROTECT. Also make sure you have a valid license for ESET PROTECT.<\/p>\n\r<p class=\"p_Normal\">Click the <span class=\"f_UI\">More<\/span> tab &gt; <span class=\"f_UI\">Peer Certificates<\/span>, click <span class=\"f_UI\">New and then<\/span> select <span class=\"f_UI\">APN\/ABM Certificate<\/span>.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">To acquire an APN certificate, you will need an <a href=\"https:\/\/appleid.apple.com\/\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Apple ID<\/a>. This ID is required for Apple to sign the certificate.<\/p>\n\r<p class=\"p_Normal\">APN Certificate has 1-year validity. If your certificate is close to expiring, follow the steps below and in the Certificate part step 2, select <span class=\"f_UI\">Renew<\/span>.<\/p>\n\r<p class=\"p_Normal\">To acquire a ABM enrollment token, you will need an <a href=\"https:\/\/business.apple.com\/\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Apple ABM Account<\/a>.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Create Request<\/span><\/h2>\n\r<p class=\"p_Normal\">Specify the certificate attributes (Country code, Organization name, etc.) and click <span class=\"f_UI\">Submit Request<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"APN_certificate\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/apn_certificate.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Download<\/span><\/h2>\n\r<p class=\"p_Normal\">Download your <span class=\"f_UI\">CSR<\/span> (Certification Signing Request) and <span class=\"f_UI\">Private Key<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"APN_certificate_download\" width=\"707\" height=\"170\" style=\"margin:0;width:707px;height:170px;border:none\" src=\".\/images\/apn_certificate_download.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Certificate<\/span><\/h2>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin: 0 0 10px 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">1.<\/span><span class=\"f_NormalList\">Open the <a href=\"https:\/\/identity.apple.com\/pushcert\/\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Apple Push Certificates Portal<\/a> and log in using your <a href=\"https:\/\/appleid.apple.com\/\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Apple ID<\/a>. <\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin: 0 0 10px 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">2.<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">Create a Certificate<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">3.<\/span>Fill in the note (optional). Click <span class=\"f_UI\">Choose File<\/span>, upload the CSR file you downloaded in the previous step and then click <span class=\"f_UI\">Upload<\/span>.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 26px; margin: 0 0 10px 13px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">4.<\/span>After some time, you will see a new confirmation screen with the notification that your APNS certificate for ESET Mobile Device Management server was successfully created.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 26px; margin: 0 0 10px 13px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">5.<\/span>Click <span class=\"f_UI\">Download<\/span> and save the <span class=\"f_Path\">.pem<\/span> file to your computer. <\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 26px; margin: 0 0 10px 13px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">6.<\/span>Close the Apple Push Certificate Portal and continue to the Upload section below.<\/p>\n\r<p class=\"p_UI\"><img alt=\"APN_certificate_certificate\" width=\"862\" height=\"262\" style=\"margin:0;width:862px;height:262px;border:none\" src=\".\/images\/apn_certificate_certificate.png\"\/><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">APNS certificate is required for both ABM and non-ABM MDC policy.<\/p>\n\r<p class=\"p_Normal\">Follow <a href=\"enrollment_device_ios_dep_mdm.html#enroll_ios_dep_fromcert\" class=\"topiclink\">these instructions<\/a> to create an ABM Enrollment certificate.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"apns_cert\" width=\"900\" height=\"244\" style=\"margin:0;width:900px;height:244px;border:none\" src=\".\/images\/apns_cert.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Upload<\/span><\/h2>\n\r<p class=\"p_Normal\">After you have completed the steps above, you can create a <a href=\"admin_pol_for_mdc_apns.html\" class=\"topiclink\">Policy for MDC to activate APNS for iOS enrollment<\/a>. You can then <a href=\"client_tasks_enrollment_device.html\" class=\"topiclink\">Enroll any iOS device<\/a> by visiting <span class=\"f_Path\">https:\/\/&lt;mdmcore&gt;:&lt;enrollmentport&gt;\/unique_enrollment_token<\/span> from the device\'s browser.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"APN_certificate_upload\" width=\"880\" height=\"182\" style=\"margin:0;width:880px;height:182px;border:none\" src=\".\/images\/apn_certificate_upload.png\"\/><\/p>\n\r"
})
