hmLoadTopic({
hmKeywords:"Certificate replacement,Expiring Certificate notification",
hmTitle:"Expiring Certificate - reporting and replacement",
hmDescription:"ESET PROTECT is able to notify you about a Certificate or a Certification Authority that is going to expire. There are pre-defined Notifications for both ESET PROTECT...",
hmPrevLink:"use_custom_certificates.html",
hmNextLink:"admin_cert_authorities.html",
hmParentLink:"admin_cert_peers.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin.html\">More<\/a> &gt; <a href=\"admin_certificates.html\">Certificates<\/a> &gt; <a href=\"admin_cert_peers.html\">Peer Certificates<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > More > Certificates > Peer Certificates > Expiring Certificate - reporting and replacement",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Expiring Certificate - reporting and replacement<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">ESET PROTECT is able to notify you about a Certificate or a Certification Authority that is going to expire. There are pre-defined <span class=\"f_UI\">Notifications<\/span> for both ESET PROTECT Certificate and ESET PROTECT Certification Authority in the <span class=\"f_UI\">Notifications<\/span> tab.<\/p>\n\r<p class=\"p_Normal\">To activate this feature, click <span class=\"f_UI\">Edit Notification<\/span> and specify details in the <a href=\"admin_ntf_manage.html\" class=\"topiclink\">Distribution<\/a> section, such as email address or SNMP trap. Each user is able to see notifications only for those certificates which are in their home group (given the user has assigned <span class=\"f_UI\">Read<\/span> permissions for <span class=\"f_UI\">Certificates<\/span>).<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">Make sure you have configured <a href=\"smtp_server.html\" class=\"topiclink\">SMTP connection settings<\/a> in <span class=\"f_UI\">More<\/span> &gt; <span class=\"f_UI\">Settings<\/span> first. When done, you can <a href=\"admin_ntf_manage.html\" class=\"topiclink\">edit notification<\/a> to add Distribution email address.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">The ESET PROTECT Web Console reports a warning if a certificate or Certification Authority is about to expire in less than 90 days. The warning appears in <a href=\"computers.html\" class=\"topiclink\">Computers<\/a>, <a href=\"fs_post_installation_tasks.html\" class=\"topiclink\">Status Overview<\/a>, <a href=\"admin_cert_peers.html\" class=\"topiclink\">Peer Certificates<\/a> and <a href=\"admin_cert_authorities.html\" class=\"topiclink\">Certification Authorities<\/a>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"cert_expire\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/cert_expire.png\"\/><\/p>\n\r<p class=\"p_Normal\">To replace an expiring Certification Authority or Certificate, follow these steps:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin: 0 0 10px 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">1.<\/span><span class=\"f_NormalList\"><a href=\"create_a_new_cert_authority.html\" class=\"topiclink\">Create new Certification Authority<\/a> with a new validity period (if the old one is going to expire), ideally setting it to be valid immediately.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin: 0 0 10px 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">2.<\/span><span class=\"f_NormalList\">Create a new <a href=\"certificates_certificate_era.html\" class=\"topiclink\">Peer Certificates<\/a> for ESET PROTECT Server and other components (Agent\/MDM) within the validity period of your new Certification Authority.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin: 0 0 10px 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">3.<\/span><span class=\"f_NormalList\">Create policies to set new Peer Certificates. Apply the policies to ESET PROTECT components, MDM and to ESET Management Agent on all client computers in your network.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">4.<\/span>Wait until the new Certification Authority and Peer Certificates are applied and the clients were replicated.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">We recommend that you wait 24 hours or check if all of your ESET PROTECT components (Agents) have replicated at least twice. You can enforce Agent replication in <span class=\"f_UI\">Computers<\/span> by clicking the computer and selecting <span class=\"f_UI\">Send Wake-Up Call<\/span>.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin: 0 0 10px 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">5.<\/span><span class=\"f_NormalList\">Replace <a href=\"set_new_era_server_certificate.html\" class=\"topiclink\">Server certificate in ESET PROTECT Server Settings<\/a> so that clients are able to authenticate using their new Peer Certificates.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin: 0 0 10px 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">6.<\/span><span class=\"f_NormalList\"><a href=\"https:\/\/support.eset.com\/kb7729\/\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Restart<\/a> the ESET PROTECT Server service.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin: 0 0 10px 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">7.<\/span><span class=\"f_NormalList\">After you have completed all the steps above, every client is connecting to ESET PROTECT and all is working as expected, <a href=\"certificate_revocation.html\" class=\"topiclink\">revoke<\/a> old Peer Certificates and delete the old Certification Authority.<\/span><\/p>"
})
