hmLoadTopic({
hmKeywords:"certificate - new",
hmTitle:"Create a new Certificate",
hmDescription:"As part of the installation process, ESET PROTECT requires that you create a Peer certificate for Agents. These certificates are used to authenticate communication between the...",
hmPrevLink:"admin_cert_peers.html",
hmNextLink:"export_certificate.html",
hmParentLink:"admin_cert_peers.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin.html\">More<\/a> &gt; <a href=\"admin_certificates.html\">Certificates<\/a> &gt; <a href=\"admin_cert_peers.html\">Peer Certificates<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > More > Certificates > Peer Certificates > Create a new Certificate",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Create a new Certificate<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">As part of the installation process, ESET PROTECT requires that you create a Peer certificate for Agents. These certificates are used to authenticate communication between the Agent on client device and ESET PROTECT Server.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">There is one exception, an <span class=\"f_UI\">Agent certificate for server assisted installation<\/span> cannot be created manually. This certificate is generated during server installation, provided that <span class=\"f_UI\">Generate certificates<\/span> is selected.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">To create a new certificate in the <span class=\"f_UI\">ESET PROTECT Web Console<\/span>, navigate to <span class=\"f_UI\">More<\/span> &gt; <span class=\"f_UI\">Peer Certificates<\/span> and click <span class=\"f_UI\">Actions<\/span> &gt; <span class=\"f_UI\">New<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Description<\/span> - Type description for the certificate.<\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Select tags<\/span> to <a href=\"tags.html#assign_tags\" class=\"topiclink\">assign tags<\/a>.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Product<\/span> - Select the type of certificate you want to create from the drop-down menu.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Host<\/span> - Leave the <span class=\"f_UI\">default value (an asterisk) in the Host field<\/span> to allow for distribution of this certificate with no association to a specific DNS name or IP address.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">When creating the MDM certificate, fill in the IP address or Hostname of the MDM Host device. The default value (an asterisk) is not valid for this type of certificate.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Passphrase<\/span> - We recommend that you leave this field blank, but you can set a passphrase for the certificate that will be required when clients attempt to activate.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_warning\" >\n\r<tr class=\"Table_warning\">\n\r<td class=\"Table_warning\" style=\"width:4px; background-color:#E04239;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_warning\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"warning\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/warning.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_warning\"><p class=\"p_Normal\">The certificate passphrase must not contain the following characters: <span class=\"f_CodeHighlighted\">&quot; \\<\/span> These characters cause a critical error during the initialization of the Agent.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Attributes (subject)<\/span><\/h2>\n\r<p class=\"p_Normal\">These fields are not mandatory, but you can use them to include more detailed information about this certificate.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Common name<\/span> - This value should contain the string &quot;Agent&quot; or &quot;Server&quot;, according to the selected <span class=\"f_UI\">Product<\/span>. If you want, you can type descriptive information about the certificate. Type the <span class=\"f_UI\">Valid from<\/span> and <span class=\"f_UI\">Value to<\/span> values to ensure that the certificate is valid.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">For all Certificates and Certification Authorities created during installation of ESET PROTECT components, the Valid from value is set to 2 days before certificate creation.<\/p>\n\r<p class=\"p_Normal\">For all Certificates and Certification Authorities created in the ESET PROTECT Web Console, the Valid from value is set to 1 day before certificate creation. The reason for this is to cover all possible time discrepancies between affected systems.<\/p>\n\r<p class=\"p_Normal\">For example, a Certification Authority and Certificate, created 2017 Jan 12 during installation will have a pre-defined Valid from value of 2017 Jan 10 00:00:00, and a Certificate Authority and Certificate created 2017 Jan 12 in ESET PROTECT Web Console will have a pre-defined Valid from value of 2017 Jan 11 00:00:00.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Sign<\/span><\/h2>\n\r<p class=\"p_Normal\">Select from two signing methods:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Certification Authority<\/span><span class=\"f_NormalList\"> - If you would like to sign using the <\/span><span class=\"f_UI\">ESET PROTECT Certification Authority<\/span><span class=\"f_NormalList\"> (created CA during ESET PROTECT installation).<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_NormalList\">Select the <\/span><span class=\"f_UI\">ESET PROTECT Certification Authority<\/span><span class=\"f_NormalList\"> from the list of certification authorities<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 45px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span>Create a <a href=\"create_a_new_cert_authority.html\" class=\"topiclink\">new Certification Authority<\/a><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Custom pfx file<\/span><span class=\"f_NormalList\"> - To use a custom <\/span><span class=\"f_Path\">.pfx<\/span><span class=\"f_NormalList\"> file, click <\/span><span class=\"f_UI\">Browse<\/span><span class=\"f_NormalList\">, navigate to your custom <\/span><span class=\"f_Path\">.pfx<\/span><span class=\"f_NormalList\"> file and click <\/span><span class=\"f_UI\">OK<\/span><span class=\"f_NormalList\">. Select <\/span><span class=\"f_UI\">Upload<\/span><span class=\"f_NormalList\"> to upload this certificate to the Server. You cannot use the <a href=\"custom_certificates.html\" class=\"topiclink\">custom made certificate<\/a>.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">&nbsp;<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">If you would like to sign a new certificate using the ESET PROTECT CA (created during ESET PROTECT installation) in ESET PROTECT Virtual Appliance, you need to type a <span class=\"f_UI\">Certification Authority Passphrase. This is<\/span> the password you specified during <a href=\"https:\/\/help.eset.com\/getHelp?product=protect_deploy_va&amp;version=10.1&amp;lang=en-US&amp;topic=config_va\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">ESET PROTECT VA configuration<\/a>.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\">Review the certificate information you provided and click <span class=\"f_UI\">Finish<\/span>. The certificate is now successfully created and will be available in the <span class=\"f_UI\">Certificates<\/span> list to use when installing the Agent. The certificate will be created in your home group.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">As an alternative to creating a new certificate, you can <a href=\"import_a_public_key.html\" class=\"topiclink\">Import a Public Key<\/a>, <a href=\"export_a_public_key.html\" class=\"topiclink\">Export a Public Key<\/a> or <a href=\"export_certificate.html\" class=\"topiclink\">Export a Peer Certificate<\/a>.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
