hmLoadTopic({
hmKeywords:"",
hmTitle:"Anti-Theft Actions",
hmDescription:"The Anti-Theft feature protects a mobile device from unauthorized access.",
hmPrevLink:"admin_ct_assign_task_to_computer.html",
hmNextLink:"client_tasks_diagnostics.html",
hmParentLink:"client_tasks.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin_ct.html\">Tasks<\/a> &gt; <a href=\"client_tasks.html\">Client Tasks<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Tasks > Client Tasks > Anti-Theft Actions",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Anti-Theft Actions<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">The <span class=\"f_UI\">Anti-Theft<\/span> feature protects a mobile device from unauthorized access.<\/p>\n\r<p class=\"p_Normal\">If a mobile device (enrolled and managed by ESET PROTECT) is lost or stolen, some actions are triggered automatically while other actions can be performed using a Client Task.<\/p>\n\r<p class=\"p_Normal\">If an unauthorized person replaces a trusted SIM card with an untrusted SIM, the device will automatically be <span class=\"f_UI\">locked<\/span> by ESET Endpoint Security for Android and an alert SMS will be sent to user-defined phone number(s). This message will include the following information:<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin: 0 0 10px 13px;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>the mobile device number of the SIM card currently in use<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin: 0 0 10px 13px;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>the <span class=\"f_UI\">IMSI<\/span> (International Mobile Subscriber Identity) number<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin: 0 0 10px 13px;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>the mobile device\'s <span class=\"f_UI\">IMEI<\/span> (International Mobile Equipment Identity) number<\/p>\n\r<p class=\"p_Normal\">The unauthorized user will not be aware that this message has been sent because it will automatically be deleted from the device\'s messaging threads. You can also request the <span class=\"f_UI\">GPS<\/span> coordinates of the lost mobile device or remotely erase all data stored on the device using a Client Task.<\/p>\n\r<p class=\"p_Normal\">Select one of the following options to create a new Client Task:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">Tasks<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">New<\/span><span class=\"f_NormalList\"> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><\/span><span class=\"f_UI\">Client Task<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">Tasks<\/span><span class=\"f_NormalList\"> &gt; select the desired task type and click <\/span><span class=\"f_UI\">New<\/span><span class=\"f_NormalList\"> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><\/span><span class=\"f_UI\">Client Task<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Click the target device in <span class=\"f_UI\">Computers<\/span> and select <img alt=\"icon_tasks\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_tasks.png\"\/> <span class=\"f_UI\">Tasks<\/span> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><span class=\"f_UI\">New Task<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\">In the <span class=\"f_UI\">Basic<\/span> section, type basic information about the task, such as a <span class=\"f_UI\">Name and Description (optional)<\/span>. Click <span class=\"f_UI\">Select tags<\/span> to <a href=\"tags.html#assign_tags\" class=\"topiclink\">assign tags<\/a>.<br \/>\n\rIn the <span class=\"f_UI\">Task<\/span> drop-down menu, select the task type you want to create and configure. If you have selected a specific task type before creating a new task, <span class=\"f_UI\">Task<\/span> is pre-selected based on your previous choice. <span class=\"f_UI\">Task<\/span> (see <a href=\"admin_ct.html\" class=\"topiclink\">the list of all Tasks<\/a>) defines the settings and the behavior for the task.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Settings<\/span><\/h2>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_big\" style=\"width:100%;\">\n\r<thead>\n\r<tr class=\"Table_big\">\n\r<th class=\"Table_big\" style=\"width:141px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Action<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_big\" style=\"width:106px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Behavior on mobile OS<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_big\" style=\"width:1056px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Description<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<\/thead>\n\r<tbody>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" rowspan=\"2\"  style=\"vertical-align:middle; width:141px;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Find<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"android_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/android_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">The device will reply with a text message containing its GPS coordinates. If a more precise location is available after 10 minutes, the device will re-send the message. Received information is displayed under <a href=\"computer_details.html#location\" class=\"topiclink\">device details<\/a>.<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding: 0 0 0 0; margin: 0 6px 0 8px;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\"><span class=\"f_UI\">Find<\/span> works only if GPS on the device is enabled.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"apple_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/apple_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"validation-status-icon-warning\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/validation-status-icon-warning.png\"\/><span class=\"f_NormalTable\"> Not supported.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" rowspan=\"2\"  style=\"vertical-align:middle; width:141px;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Lock<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"android_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/android_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">The device will be locked. The device can be unlocked using the Administrator password or the <\/span><span class=\"f_UI\">unlock<\/span><span class=\"f_NormalTable\"> command.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"apple_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/apple_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">The device will be locked. The passcode can be removed with the <\/span><span class=\"f_UI\">clear passcode<\/span><span class=\"f_NormalTable\"> command.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" rowspan=\"2\"  style=\"vertical-align:middle; width:141px;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Unlock<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"android_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/android_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">The device will be unlocked so it can be used again. The SIM card currently in the device will be saved as a Trusted SIM.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"apple_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/apple_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"validation-status-icon-warning\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/validation-status-icon-warning.png\"\/><span class=\"f_NormalTable\"> Not supported.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" rowspan=\"2\"  style=\"vertical-align:middle; width:141px;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Siren \/ Lost Mode sound<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"android_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/android_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">The device will be locked and it will play a very loud sound for 5 minutes (or until unlocked).<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"apple_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/apple_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"validation-status-icon-warning\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/validation-status-icon-warning.png\"\/><span class=\"f_NormalTable\"> Not supported.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" rowspan=\"2\"  style=\"vertical-align:middle;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Clear passcode<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"android_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/android_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"validation-status-icon-warning\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/validation-status-icon-warning.png\"\/><span class=\"f_NormalTable\"> Not supported.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"apple_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/apple_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Removes the passcode from the device. User will be prompted to setup a new passcode when the device is turned on.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" rowspan=\"2\"  style=\"vertical-align:middle; width:141px;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Factory Reset<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"android_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/android_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">All accessible data on the device will be erased (file headers will be destroyed) and the device will be reset to its default factory settings. This can take several minutes.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"apple_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/apple_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">All settings and information will be removed and the device will be set to its default factory settings. This can take several minutes.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:141px;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Turn on Lost Mode &amp; Find<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"apple_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/apple_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Supported on iOS ABM only. The device will switch to the &quot;lost mode&quot;, lock down and can only be unlocked by executing the <\/span><span class=\"f_UI\">Turn off lost mode<\/span><span class=\"f_NormalTable\"> task from the ESET PROTECT . You can customize the phone number, message and footnote that will be displayed on the lost device screen. Protection status of the device will be changed to <\/span><span class=\"f_UI\">Lost<\/span><span class=\"f_NormalTable\">.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_big\">\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:141px; background-color:#F4F5F4;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Turn off lost mode<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"vertical-align:middle; width:106px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"text-align: center; page-break-inside: avoid; page-break-after: avoid;\"><img alt=\"apple_icon\" width=\"16\" height=\"16\" style=\"margin:0 auto 0 auto;width:16px;height:16px;border:none\" src=\".\/images\/apple_icon.png\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_big\" style=\"width:1056px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Supported on iOS ABM only. Protection status of the device will change and the device will be returned to its regular service state.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/tbody>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"antitheft_action_settings\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/antitheft_action_settings.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\">Review the summary of configured settings and click <span class=\"f_UI\">Finish<\/span>. The Client Task is now created, and a small window will open:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Click <a href=\"admin_ct_executions_trigger.html\" class=\"topiclink\">Create Trigger<\/a> (recommended) to specify Client Task Targets (computers or groups) and the Trigger.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>If you click <span class=\"f_UI\">Close<\/span>, you can create a <a href=\"admin_ct_executions_trigger.html\" class=\"topiclink\">Trigger<\/a> later—Click the Client Task instance and select <img alt=\"restart_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/restart_default.png\"\/> <span class=\"f_UI\">Run on<\/span> from the drop-down menu.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"client_task_finish\" width=\"482\" height=\"157\" style=\"margin:0;width:482px;height:157px;border:none\" src=\".\/images\/client_task_finish.png\"\/><\/p>\n\r<p class=\"p_Normal\">You can see the <a href=\"admin_ct_executions_progress.html\" class=\"topiclink\">progress indicator bar<\/a>, <a href=\"admin_ct_executions_status_icon.html\" class=\"topiclink\">status icon<\/a> and <a href=\"admin_ct_executions_drill_down.html\" class=\"topiclink\">details<\/a> for each created task in <span class=\"f_UI\">Tasks<\/span>.<\/p>\n\r"
})
