hmLoadTopic({
hmKeywords:"device enrollment,enroll mobile devices,mobile device enrollment",
hmTitle:"Device Enrollment",
hmDescription:"Mobile devices can be managed via ESET PROTECT and an ESET security product running on the mobile device. To start managing mobile devices, you need to enroll them in ESET...",
hmPrevLink:"mdm_setup_and_settings.html",
hmNextLink:"enrollment_device_android.html",
hmParentLink:"mobile_device_management.html",
hmBreadCrumbs:"<a href=\"mobile_device_management.html\">Mobile Device Management<\/a>",
hmTitlePath:"Mobile Device Management > Device Enrollment",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Device Enrollment<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">Mobile devices can be managed via ESET PROTECT and an ESET security product running on the mobile device. To start managing mobile devices, you need to enroll them in ESET PROTECT (it is no longer necessary to type IMEI or other identification numbers into the mobile device).<\/p>\n\r<p class=\"p_Normal\">The diagram below illustrates how a Mobile Device communicates with Mobile Device Connector during the enrollment process:<\/p>\n\r<p class=\"p_Normal\"><img alt=\"MD_enrollment_diagram\" width=\"617\" height=\"536\" style=\"margin:0;width:617px;height:536px;border:none\" src=\".\/images\/md_enrollment_diagram.png\"\/><\/p>\n\r<p class=\"p_Normal\">This diagram explains when enrollment, re-enrollment and unenrollment can be used and explains the difference between managed and unmanaged devices.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"MD_enroll\" width=\"602\" height=\"455\" style=\"margin:0;width:602px;height:455px;border:none\" src=\".\/images\/md_enroll.png\"\/><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Enrollment<\/span>: Enrollment can only be used when the device is not managed by MDM. In this case, the device does not exist in the <span class=\"f_UI\">Computers<\/span> section. Deleting a device from the Web Console does not make it unmanaged and the device will appear in the Web Console after a successful replication. Only the unenrollment process can remove a device from managed status. Each enrollment token is unique and one-time-only so it can be used only once. When the token is used, it cannot be used again.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Re-enrollment<\/span>: Re-enrollment can only be used if the device is managed. The re-enrollment token is always different from the enrollment token and it can also be used only once. <br \/>\n\rTo re-enroll a device, open the <span class=\"f_UI\">Computers<\/span> section and select the mobile device you want to re-enroll. Open the <span class=\"f_UI\">Computer<\/span> menu and select <span class=\"f_UI\">Mobile &gt; Re-enroll<\/span>.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Unenrollment<\/span>: Unenrollment is the correct way to stop managing a device. Unenrollment is performed using a <a href=\"client_tasks_stop_managing_uninstall.html\" class=\"topiclink\">Stop managing Client Task<\/a>. If the device is not responding, it can take up to 3 days until the device is actually removed. If you want to remove the device just to enroll it again, use re-enrollment instead.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">Follow <a href=\"enrollment_device_ios_dep_mdm.html\" class=\"topiclink\">these instructions<\/a> to perform iOS Device enrollment with the Apple Business Manager (ABM).<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">You can enroll mobile devices in the <span class=\"f_UI\">Computers<\/span> section. Select the <span class=\"f_UI\">Static Group<\/span> that you want to add mobile devices to, click <span class=\"f_UI\">Add Device<\/span> &gt; <span class=\"f_UI\">Mobile devices<\/span> and then select one of the following enrollment methods:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Android or iOS\/iPadOS<\/span><span class=\"f_NormalList\"> - There are two enrollment methods:<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 45px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><a href=\"enrollment_via_email.html\" class=\"topiclink\">Send email<\/a> - mass enrollment of mobile devices via email. This option is best suited if you need to enroll a large number of mobile devices or if you have existing mobile devices that you do not have physical access to. Using this option requires active participation from the user\/owner of the mobile device.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 45px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><a href=\"mobile_device_add.html\" class=\"topiclink\">Scan QR code<\/a> - single mobile device enrollment. You will be able to enroll one mobile device at a time and will need to repeat the same process for each device. We recommend that you use this option only when you have a smaller number of mobile devices to enroll. This option is suitable if you do not want users\/mobile device owners to do anything and must perform all enrollment tasks yourself. Also, you can use this option if you have new mobile devices which will be handed over to users when the devices are all set up.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\"><a href=\"individual_enrollment_as_a_do.html\" class=\"topiclink\">Android Device Owner (only Android 7 and later)<\/a><\/span> - single mobile device enrollment for Android devices only. You will be able to enroll one mobile device at a time and will need to repeat the same process for each mobile device. This enrollment process is possible only on mobile devices that are new (out-of-the-box) or after wipe\/factory reset. This enrollment process will provide elevated management rights to the administrator over the management rights of the mobile device user.<\/p>"
})
