hmLoadTopic({
hmKeywords:"software install",
hmTitle:"Software Install",
hmDescription:"Use the Software Install task to install software on your client computers:",
hmPrevLink:"client_task_shutdown_computer.html",
hmNextLink:"using_safetica_software.html",
hmParentLink:"client_tasks.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin_ct.html\">Tasks<\/a> &gt; <a href=\"client_tasks.html\">Client Tasks<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Tasks > Client Tasks > Software Install",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Software Install<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">Use the <span class=\"f_UI\">Software Install<\/span> task to install software on your client computers:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Install ESET security products. Alternatively, you can use the context menu in <\/span><span class=\"f_UI\">Computers<\/span><span class=\"f_NormalList\">. <\/span>Click a computer and select <img alt=\"icon_eset\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_eset.png\"\/> <span class=\"f_UI\">Solutions<\/span> &gt; <img alt=\"icon_antivirus\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_antivirus.png\"\/><span class=\"f_UI\">Deploy security product <\/span>to deploy an ESET security product to the computer.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Upgrade ESET security products. Run the task using the latest installer package to install the latest version over your existing solution. You can run an immediate ESET security product upgrade from <\/span><span class=\"f_UI\">Dashboard<\/span><span class=\"f_NormalList\"> using <a href=\"https:\/\/support.eset.com\/kb7708\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">one-click actions<\/a>. See <a href=\"https:\/\/help.eset.com\/getHelp?product=eshp&amp;version=latest&amp;lang=en-US&amp;topic=installation_upgrade_era\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">upgrade instructions for ESET Security for Microsoft SharePoint<\/a> to complete this upgrade.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"client_tasks_software_install.html#third-party\" class=\"topiclink\">Install third-party software<\/a>.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">Both ESET PROTECT Server and ESET Management Agent require access to the internet to access the repository and perform installations. If you do not have internet access, you must install the client software locally because the remote installation will fail, or <a href=\"https:\/\/help.eset.com\/getHelp?product=protect_install&amp;version=10.1&amp;lang=en-US&amp;topic=offline-repository\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">create an offline repository<\/a>. To prevent installation failure, ESET Management Agent performs the following checks before installing or upgrading ESET products:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">if the repository is accessible<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>if there is enough (1 GB) free space on the client machine (not available for Linux)<\/p>\n\r<p class=\"p_Normal\"> <\/p>\n\r<p class=\"p_Normal\">When performing a Software Install task on computers in a domain with ESET Management Agent running, the user must have <span class=\"f_Path\">read<\/span> permission for the folder where the installers are stored. Follow the steps below to grant these permissions if necessary.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">1.<\/span><span class=\"f_NormalList\">Add an Active Directory computer account on the computer executing the task (for example <\/span><span class=\"f_Path\">NewComputer\$<\/span><span class=\"f_NormalList\">).<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">2.<\/span>Grant <span class=\"f_UI\">Read<\/span> permissions to <span class=\"f_Path\">NewComputer\$<\/span> by right-clicking the folder where installers are located and selecting <span class=\"f_UI\">Properties<\/span> &gt; <span class=\"f_UI\">Sharing<\/span> &gt; <span class=\"f_UI\">Share from the context menu<\/span>. Note that the &quot;\$&quot; symbol needs to be present at the end of the computer name string.<\/p>\n\r<p class=\"p_Normal\">Installation from a shared location is only possible if the client machine is in a domain.<\/p>\n\r<p class=\"p_Normal\">Do not use a Software Install task to upgrade ESET PROTECT components (Agent, Server, MDM). Use the <a href=\"client_tasks_upgrade_components.html\" class=\"topiclink\">Components Upgrade task<\/a> instead. You can use a Software Install task to upgrade only the Rogue Detection Sensor component.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">Select one of the following options to create a new Client Task:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">Tasks<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">New<\/span><span class=\"f_NormalList\"> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><\/span><span class=\"f_UI\">Client Task<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">Tasks<\/span><span class=\"f_NormalList\"> &gt; select the desired task type and click <\/span><span class=\"f_UI\">New<\/span><span class=\"f_NormalList\"> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><\/span><span class=\"f_UI\">Client Task<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Click the target device in <span class=\"f_UI\">Computers<\/span> and select <img alt=\"icon_tasks\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_tasks.png\"\/> <span class=\"f_UI\">Tasks<\/span> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><span class=\"f_UI\">New Task<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\">In the <span class=\"f_UI\">Basic<\/span> section, type basic information about the task, such as a <span class=\"f_UI\">Name and Description (optional)<\/span>. Click <span class=\"f_UI\">Select tags<\/span> to <a href=\"tags.html#assign_tags\" class=\"topiclink\">assign tags<\/a>.<br \/>\n\rIn the <span class=\"f_UI\">Task<\/span> drop-down menu, select the task type you want to create and configure. If you have selected a specific task type before creating a new task, <span class=\"f_UI\">Task<\/span> is pre-selected based on your previous choice. <span class=\"f_UI\">Task<\/span> (see <a href=\"admin_ct.html\" class=\"topiclink\">the list of all Tasks<\/a>) defines the settings and the behavior for the task.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Settings<\/span><\/h2>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Package to install<\/span>—There are two options:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Install package from repository<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_UI\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_UI\">Choose operating system<\/span><span class=\"f_NormalList\">—Select the operating system for the product installation.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_UI\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_UI\">Choose package from repository<\/span><span class=\"f_NormalList\">—Click <\/span><span class=\"f_UI\">Select<\/span><span class=\"f_NormalList\"> and select an ESET security product installer package from the repository (for example, ESET Endpoint Security). <\/span>Select the language from the <span class=\"f_UI\">Language<\/span> drop-down menu.<span class=\"f_NormalList\"> <\/span>By default, the latest version is pre-selected (recommended). You can select an earlier version.<span class=\"f_NormalList\"> To upgrade an ESET product, select the latest version available. Optionally, click <\/span><span class=\"f_UI\">Customize more settings<\/span><span class=\"f_NormalList\"> and select the ESET product version. &nbsp;Click <\/span><span class=\"f_UI\">View changelog<\/span><span class=\"f_NormalList\"> to see the changelog of the selected product version. Click <\/span><span class=\"f_UI\">OK<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 45px; margin-left: 0;\"><span class=\"f_UI\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_UI\">Install the latest version<\/span>—Select the check box to install the latest ESET product version if the product EULA is already accepted.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Install by direct package URL<\/span>—To specify a URL with the installation package, type or copy and paste the URL into the text field (do not use a URL that requires authentication):<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_Path\">http:\/\/server_address\/ees_nt64_ENU.msi<\/span><span class=\"f_NormalList\"> —If you are installing from a public web server or your HTTP server.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_Path\">file:\/\/\\\\pc22\\install\\ees_nt64_ENU.msi<\/span><span class=\"f_NormalList\">—If you are installing from a network path.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 45px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_Path\">file:\/\/C:\\installs\\ees_nt64_ENU.msi<\/span>—If you are installing from the local path.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">ESET License<\/span>—Select the appropriate product license from the list of available licenses. The license will activate the ESET security product during installation. The available licenses list does not show expired and overused licenses (those in the <span class=\"f_UI\">Error<\/span> or <span class=\"f_UI\">Obsolete<\/span> state). If you do not select a license, you can install the ESET security product without the license and <a href=\"https:\/\/help.eset.com\/getHelp?product=protect_admin&amp;version=10.1&amp;lang=en-US&amp;topic=client_tasks_product_activation\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">activate the product later<\/a>. You can add a license using one of the methods described in <a href=\"admin_license_management.html#add_license\" class=\"topiclink\">License Management<\/a>. License addition\/removal is restricted to the Administrator whose home group is <span class=\"f_UI\">All<\/span> and who has the <span class=\"f_UI\">Write<\/span> permission on licenses.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Only select a license when installing or upgrading products that are not activated, or if you want to change the license currently in use to a different license.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Do not select a license when upgrading an already activated product.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">&nbsp;<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Activate ESET LiveGuard<\/span>—The check box is available if you have an ESET LiveGuard Advanced license and you have selected an ESET security product <a href=\"https:\/\/help.eset.com\/getHelp?product=elga&amp;lang=en-US&amp;topic=req_and_supported\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">compatible with ESET LiveGuard Advanced<\/a> and the product license. Select the check box to activate ESET LiveGuard Advanced on target computers of the Software Install task. After the activation, you can manage ESET LiveGuard Advanced settings using a <a href=\"https:\/\/help.eset.com\/getHelp?product=elga&amp;lang=en-US&amp;topic=policy_management\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">policy<\/a>.<\/p>\n\r<p class=\"p_Normal\">Select the check box <span class=\"f_UI\">I accept the terms of the application End User License Agreement and acknowledge the Privacy Policy<\/span>. See <a href=\"https:\/\/help.eset.com\/privacy-policy\/?segment=business&amp;lang=en-US\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">End User License Agreement (EULA), Terms of Use and Privacy Policy for ESET products<\/a>.<\/p>\n\r<p class=\"p_Normal\">If you have selected an ESET security product for Windows—Select the check box beside the setting to enable it for the installer: <\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_UI\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_UI\">Enable The ESET LiveGrid® feedback system (recommended)<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_UI\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_UI\">Enable detection of potentially unwanted applications<\/span><span class=\"f_NormalList\"> - Read more in our <a href=\"https:\/\/support.eset.com\/kb2629\/\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Knowledgebase article<\/a>.<\/span><\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Installation parameters<\/span> (optional):<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Use command-line installation parameters only with the <\/span><span class=\"f_UI\">reduced<\/span><span class=\"f_NormalList\">, <\/span><span class=\"f_UI\">basic<\/span><span class=\"f_NormalList\">, and <\/span><span class=\"f_UI\">none<\/span><span class=\"f_NormalList\"> user interface settings.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">See <a href=\"https:\/\/msdn.microsoft.com\/en-us\/library\/aa367988\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">documentation<\/a> for the <\/span><span class=\"f_UI\">msiexec<\/span><span class=\"f_NormalList\"> version used for the appropriate command-line switches.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Read the respective Online Help for command-line installation of <span class=\"f_NormalList\"><a href=\"https:\/\/help.eset.com\/getHelp?product=ees&amp;version=latest&amp;lang=en-US&amp;topic=installation_command_line\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">ESET Endpoint products<\/a><\/span> and <a href=\"https:\/\/help.eset.com\/getHelp?product=emsx&amp;version=latest&amp;lang=en-US&amp;topic=installation_cmd\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">ESET Server products<\/a>.<\/p>\n\r<p class=\"p_Normal\">Select the check box next to <span class=\"f_UI\">Automatically reboot when needed<\/span> to force an automatic reboot of the client computer after installation. Alternatively, you can leave this option deselected and manually restart the client computer(s). You can <a href=\"https:\/\/support.eset.com\/kb8279\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">configure the managed computers\' restart\/shutdown behavior<\/a>. The computers must run ESET Management Agent 9.1 and later and an ESET security product that supports this setting.<\/p>\n\r<h3 class=\"p_Heading3\" style=\"page-break-after: avoid;\"><img id=\"toggle0186a1_ICON\" class=\"dropdown-toggle-icon\" alt=\"arrow_down_business\" width=\"21\" height=\"21\" style=\"margin:0;width:21px;height:21px;border:none\" src=\".\/images\/arrow_down_business.svg\"\/><span class=\"f_Heading3\"> <a id=\"third-party\" class=\"hmanchor\"><\/a><a id=\"toggle0186a1_LINK\" class=\"dropdown-toggle\" href=\"javascript:void(0)\" data-type=\"dropdown\" data-state=\"0\" data-icon=\"toggle0186a1_ICON\" data-src0=\".\/images\/arrow_down_business.svg\" data-src1=\".\/images\/arrow_up_business.svg\">Installation of third-party software<\/a><\/span><\/h3>\n\r<div id=\"toggle0186a1\" class=\"dropdown-toggle-body\" style=\"text-align: left; padding: 0 0 0 0; margin: 0 0 10px 18px;display:none\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\">You can use the <span class=\"f_UI\">Software Install<\/span> task to install non-ESET (third-party) software.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_small\" >\n\r<thead>\n\r<tr class=\"Table_small\">\n\r<th class=\"Table_small\" style=\"width:136px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Operating system<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_small\" style=\"width:236px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Supported installation file types<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_small\" style=\"width:1096px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Support for installation parameters<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<\/thead>\n\r<tbody>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:136px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Windows<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:236px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Path\">.msi<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1096px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">The Software Install task always performs silent installation of the <\/span><span class=\"f_Path\">.msi<\/span><span class=\"f_NormalTable\"> packages.<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">You cannot specify msiexec parameters. You can specify only parameters used by the installation package itself (unique for each software installation package).<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:136px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Linux<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:236px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Path\">.deb<\/span><span class=\"f_NormalTable\">, <\/span><span class=\"f_Path\">.rpm<\/span><span class=\"f_NormalTable\">, <\/span><span class=\"f_Path\">.sh<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1096px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">You can use parameters only with <\/span><span class=\"f_Path\">.sh<\/span><span class=\"f_NormalTable\"> files (<\/span><span class=\"f_Path\">.deb<\/span><span class=\"f_NormalTable\"> and <\/span><span class=\"f_Path\">.rpm<\/span><span class=\"f_NormalTable\"> do not support parameters).<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:136px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">macOS<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:236px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Path\">.pkg<\/span><span class=\"f_NormalTable\">, <\/span><span class=\"f_Path\">.dmg<\/span><span class=\"f_NormalTable\"> (containing <\/span><span class=\"f_Path\">.pkg<\/span><span class=\"f_NormalTable\"> file)<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1096px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Installation parameters are not supported.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:136px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Android<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:236px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Path\">.apk<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1096px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Installation parameters are not supported.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"width:136px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">iOS<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:236px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Path\">.ipa<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1096px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Installation parameters are not supported.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/tbody>\n\r<\/table>\n\r<\/div>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_example\" >\n\r<tr class=\"Table_example\">\n\r<td class=\"Table_example\" style=\"width:4px; background-color:#77BB1A;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_example\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"example\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/example.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_example\"><p class=\"p_Normal\">You want to install software on Linux using the file <span class=\"f_Path\">install_script.sh<\/span> with two parameters: <span class=\"f_CodeHighlighted\">-a<\/span> is the first parameter, <span class=\"f_CodeHighlighted\">-b<\/span> is the second parameter.<\/p>\n\r<p class=\"p_Normal\">Installation in terminal (as root user in folder where <span class=\"f_Path\">install_script.sh is located<\/span>):<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 10px 19px;\"><span class=\"f_CodeHighlighted\">.\/install_script.sh -a parameter_1 -b parameter_2<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 10px 19px;\">Installation using the Software Install task:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_Path\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Type the file path in <\/span><span class=\"f_UI\">Install by direct package URL<\/span><span class=\"f_NormalList\">, for example: <\/span><span class=\"f_Path\">file:\/\/\/home\/user\/Desktop\/install_script.sh<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_Path\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Type the <span class=\"f_UI\">Installation parameters<\/span>: <span class=\"f_CodeHighlighted\">-a parameter_1 -b parameter_2<\/span>.<\/p><\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\">Review the summary of configured settings and click <span class=\"f_UI\">Finish<\/span>. The Client Task is now created, and a small window will open:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Click <a href=\"admin_ct_executions_trigger.html\" class=\"topiclink\">Create Trigger<\/a> (recommended) to specify Client Task Targets (computers or groups) and the Trigger.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>If you click <span class=\"f_UI\">Close<\/span>, you can create a <a href=\"admin_ct_executions_trigger.html\" class=\"topiclink\">Trigger<\/a> later—Click the Client Task instance and select <img alt=\"restart_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/restart_default.png\"\/> <span class=\"f_UI\">Run on<\/span> from the drop-down menu.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"client_task_finish\" width=\"482\" height=\"157\" style=\"margin:0;width:482px;height:157px;border:none\" src=\".\/images\/client_task_finish.png\"\/><\/p>\n\r<p class=\"p_Normal\">You can see the <a href=\"admin_ct_executions_progress.html\" class=\"topiclink\">progress indicator bar<\/a>, <a href=\"admin_ct_executions_status_icon.html\" class=\"topiclink\">status icon<\/a> and <a href=\"admin_ct_executions_drill_down.html\" class=\"topiclink\">details<\/a> for each created task in <span class=\"f_UI\">Tasks<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">List of problems when installation fails<\/span><\/h2>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Installation package not found.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">A later version of the Windows Installer Service is required.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Another version or conflicting product is already installed.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Another installation is already in progress. Complete that installation before proceeding with this install.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Installation or uninstallation finished successfully, but computer restart is required.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Task failed - there was an error. You need to look at the <a href=\"fs_agent_connection_troubleshooting.html\" class=\"topiclink\">Agent trace log<\/a> and check the return code of the installer.<\/span><\/p>"
})
