hmLoadTopic({
hmKeywords:"operating system update",
hmTitle:"Operating System Update",
hmDescription:"The Operating System Update task is used to update the operating system of the client computer. This task can trigger the operating system update on Windows, macOS and Linux...",
hmPrevLink:"client_tasks_on_demand_scan.html",
hmNextLink:"client_tasks_quarantine_management.html",
hmParentLink:"client_tasks.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin_ct.html\">Tasks<\/a> &gt; <a href=\"client_tasks.html\">Client Tasks<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Tasks > Client Tasks > Operating System Update",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Operating System Update<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\"><span class=\"f_UI\">The Operating System Update<\/span> task is used to update the operating system of the client computer. This task can trigger the operating system update on Windows, macOS and Linux operating systems.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">macOS<\/span><span class=\"f_NormalList\"> - Task installs all updates (the upgrade of all packages) using command:<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding: 0 0 0 0; margin: 0 0 0 32px;\"><table class=\"Table_code\" >\n\r<tr class=\"Table_code\">\n\r<td class=\"Table_code\" style=\"height:15px;\"><p class=\"p_Code\" style=\"page-break-inside: avoid;\"><span class=\"f_Code\">\/usr\/sbin\/softwareupdate&nbsp;--install&nbsp;--all<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Linux<\/span><span class=\"f_NormalList\"> - Task installs all updates (the upgrade of all packages). It is checking various package managers, so it covers most distributions. It runs the following commands:<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid; margin: 0 0 0 32px;\"><span class=\"f_NormalList\">Debian\/Ubuntu:<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding: 0 0 0 0; margin: 0 0 0 32px;\"><table class=\"Table_code\" >\n\r<tr class=\"Table_code\">\n\r<td class=\"Table_code\"><p class=\"p_Code\" style=\"page-break-inside: avoid;\"><span class=\"f_Code\">apt-get&nbsp;update&nbsp;--assume-no&nbsp;&amp;&amp;&nbsp;apt-get&nbsp;dist-upgrade&nbsp;--assume-yes<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid; margin: 0 0 0 32px;\"><span class=\"f_NormalList\">CentOS\/Red Hat:<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding: 0 0 0 0; margin: 0 0 0 32px;\"><table class=\"Table_code\" >\n\r<tr class=\"Table_code\">\n\r<td class=\"Table_code\"><p class=\"p_Code\" style=\"page-break-inside: avoid;\"><span class=\"f_Code\">yum&nbsp;update&nbsp;-y<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid; margin: 0 0 0 32px;\"><span class=\"f_NormalList\">SLES\/SLED:<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding: 0 0 0 0; margin: 0 0 0 32px;\"><table class=\"Table_code\" >\n\r<tr class=\"Table_code\">\n\r<td class=\"Table_code\"><p class=\"p_Code\" style=\"page-break-inside: avoid;\"><span class=\"f_Code\">zypper&nbsp;--non-interactive&nbsp;update&nbsp;-t&nbsp;patch<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Windows<\/span><span class=\"f_NormalList\"> - The task installs OS updates by calling an internal Windows API. It does not install the feature updates, which upgrade your Windows to a later version.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">&nbsp;<\/span><\/p>\n\r<p class=\"p_Normal\">Select one of the following options to create a new Client Task:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">Tasks<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">New<\/span><span class=\"f_NormalList\"> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><\/span><span class=\"f_UI\">Client Task<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">Tasks<\/span><span class=\"f_NormalList\"> &gt; select the desired task type and click <\/span><span class=\"f_UI\">New<\/span><span class=\"f_NormalList\"> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><\/span><span class=\"f_UI\">Client Task<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Click the target device in <span class=\"f_UI\">Computers<\/span> and select <img alt=\"icon_tasks\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_tasks.png\"\/> <span class=\"f_UI\">Tasks<\/span> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><span class=\"f_UI\">New Task<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\">In the <span class=\"f_UI\">Basic<\/span> section, type basic information about the task, such as a <span class=\"f_UI\">Name and Description (optional)<\/span>. Click <span class=\"f_UI\">Select tags<\/span> to <a href=\"tags.html#assign_tags\" class=\"topiclink\">assign tags<\/a>.<br \/>\n\rIn the <span class=\"f_UI\">Task<\/span> drop-down menu, select the task type you want to create and configure. If you have selected a specific task type before creating a new task, <span class=\"f_UI\">Task<\/span> is pre-selected based on your previous choice. <span class=\"f_UI\">Task<\/span> (see <a href=\"admin_ct.html\" class=\"topiclink\">the list of all Tasks<\/a>) defines the settings and the behavior for the task.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Settings<\/span><\/h2>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Automatically accept EULA<\/span> (Windows only) - Select this check box if you want to accept the EULA automatically. No text will be displayed to the user. If you do not enable accepting EULA, the task skips updates requiring EULA acceptance.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Install optional updates<\/span> (Windows only) - Updates that are marked as optional and do not require user action will also be installed.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Allow reboot<\/span> (Windows and macOS) - Force the client computer to restart after installing updates that require a restart.<\/p>\n\r<p class=\"p_Normal\">You can <a href=\"https:\/\/support.eset.com\/kb8279\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">configure the managed computers\' restart\/shutdown behavior<\/a>. The computers must run ESET Management Agent 9.1 and later and an ESET security product that supports this setting. If the managed computer does not support the configuration of the restart behavior:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_NormalList\">Windows will notify the computer user about the planned forced restart 4 hours before the restart and 10 minutes before the restart.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 45px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span>macOS will restart immediately after the update.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Updates that require a restart will be installed even if you do not select the <span class=\"f_UI\">Allow reboot<\/span> check box.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Settings<\/span> do not influence the task if the target device is running an unsupported OS type.<\/p><\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\">Review the summary of configured settings and click <span class=\"f_UI\">Finish<\/span>. The Client Task is now created, and a small window will open:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Click <a href=\"admin_ct_executions_trigger.html\" class=\"topiclink\">Create Trigger<\/a> (recommended) to specify Client Task Targets (computers or groups) and the Trigger.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>If you click <span class=\"f_UI\">Close<\/span>, you can create a <a href=\"admin_ct_executions_trigger.html\" class=\"topiclink\">Trigger<\/a> later—Click the Client Task instance and select <img alt=\"restart_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/restart_default.png\"\/> <span class=\"f_UI\">Run on<\/span> from the drop-down menu.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"client_task_finish\" width=\"482\" height=\"157\" style=\"margin:0;width:482px;height:157px;border:none\" src=\".\/images\/client_task_finish.png\"\/><\/p>\n\r<p class=\"p_Normal\">You can see the <a href=\"admin_ct_executions_progress.html\" class=\"topiclink\">progress indicator bar<\/a>, <a href=\"admin_ct_executions_status_icon.html\" class=\"topiclink\">status icon<\/a> and <a href=\"admin_ct_executions_drill_down.html\" class=\"topiclink\">details<\/a> for each created task in <span class=\"f_UI\">Tasks<\/span>.<\/p>\n\r"
})
