hmLoadTopic({
hmKeywords:"using custom certificates,windows PKI",
hmTitle:"Custom certificates with ESET PROTECT",
hmDescription:"If you have your own PKI (public key infrastructure) and want ESET PROTECT to use your custom certificates for communication between components, see the example below. This...",
hmPrevLink:"set_new_era_server_certificate.html",
hmNextLink:"use_custom_certificates.html",
hmParentLink:"admin_cert_peers.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin.html\">More<\/a> &gt; <a href=\"admin_certificates.html\">Certificates<\/a> &gt; <a href=\"admin_cert_peers.html\">Peer Certificates<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > More > Certificates > Peer Certificates > Custom certificates with ESET PROTECT",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Custom certificates with ESET PROTECT<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">If you have your own PKI (public key infrastructure) and want ESET PROTECT to use your custom certificates for communication between components, see the example below. This example is performed on Windows Server 2012 R2. Screen shots may vary on other versions of Windows, however the general procedure is unchanged.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_warning\" >\n\r<tr class=\"Table_warning\">\n\r<td class=\"Table_warning\" style=\"width:4px; background-color:#E04239;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_warning\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"warning\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/warning.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_warning\"><p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Do not use certificates with a short validity (for example, Let\'s Encrypt that are valid for 90 days) to avoid the complex procedure of their frequent replacement.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 13px; margin-left: 0;\"><span class=\"f_Normal\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>If you manage mobile devices, we do not recommend using self-signed certificates (including certificates signed by the ESET PROTECT CA) because not all mobile devices let users accept self-signed certificates. We recommend using a custom certificate provided by a third-party Certification Authority.<\/p><\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">You can use OpenSSL to create new self-signed certificates. For more information, see our <a href=\"https:\/\/support.eset.com\/kb8274\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Knowledgebase article<\/a>.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_UI\"><span class=\"f_UI\">Required server roles:<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Active Directory Domain Services.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Active Directory Certificate Services with the Standalone Root CA installed.<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin-left: 0;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">1.<\/span>Open <span class=\"f_UI\">Management Console<\/span> and add <span class=\"f_UI\">Certificates<\/span> Snap-ins:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">a)<\/span><span class=\"f_NormalList\">Log on to the server as a member of the local Administrator group.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">b)<\/span><span class=\"f_NormalList\">Run mmc.exe to open Management Console.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">c)<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">File<\/span><span class=\"f_NormalList\"> and select <\/span><span class=\"f_UI\">Add\/Remove Snap-in…<\/span><span class=\"f_NormalList\"> (or press <\/span><span class=\"f_UI\">CTRL+M<\/span><span class=\"f_NormalList\">).<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">d)<\/span>Select <span class=\"f_UI\">Certificates<\/span> in the left pane and click <span class=\"f_UI\">Add<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_02\" width=\"688\" height=\"484\" style=\"margin:0;width:688px;height:484px;border:none\" src=\".\/images\/using_custom_certificate_02.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">e)<\/span><span class=\"f_NormalList\">Select <\/span><span class=\"f_UI\">Computer Account<\/span><span class=\"f_NormalList\"> and click <\/span><span class=\"f_UI\">Next<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">f)<\/span><span class=\"f_NormalList\">Make sure <\/span><span class=\"f_UI\">Local Computer<\/span><span class=\"f_NormalList\"> is selected (default) and click <\/span><span class=\"f_UI\">Finish<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">g)<\/span>Click <span class=\"f_UI\">OK<\/span>.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin-left: 0;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">2.<\/span>Create a <span class=\"f_UI\">Custom Certificate Request<\/span>:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">a)<\/span><span class=\"f_NormalList\">Double-click <\/span><span class=\"f_UI\">Certificates (Local Computer)<\/span><span class=\"f_NormalList\"> to expand it.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">b)<\/span>Double-click Personal to expand it. Right-click Certificates and select All Tasks &gt; Advanced Operations and choose Create Custom Request.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_05\" width=\"900\" height=\"554\" style=\"margin:0;width:900px;height:554px;border:none\" src=\".\/images\/using_custom_certificate_05.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">c)<\/span><span class=\"f_NormalList\">The Certificate Enrollment wizard window will open, click <\/span><span class=\"f_UI\">Next<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">d)<\/span>Select <span class=\"f_UI\">Proceed without enrollment policy<\/span> and click <span class=\"f_UI\">Next<\/span> to continue.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_06\" width=\"643\" height=\"466\" style=\"margin:0;width:643px;height:466px;border:none\" src=\".\/images\/using_custom_certificate_06.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">e)<\/span><span class=\"f_NormalList\">Choose <\/span><span class=\"f_UI\">(No Template) Legacy Key<\/span><span class=\"f_NormalList\"> from the drop-down list and make sure that the <\/span><span class=\"f_UI\">PKCS #10<\/span><span class=\"f_NormalList\"> Request format is selected. Click <\/span><span class=\"f_UI\">Next<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_07\" width=\"643\" height=\"466\" style=\"margin:0;width:643px;height:466px;border:none\" src=\".\/images\/using_custom_certificate_07.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">f)<\/span><span class=\"f_NormalList\">Click the arrow to expand the <\/span><span class=\"f_UI\">Details<\/span><span class=\"f_NormalList\"> section and then click <\/span><span class=\"f_UI\">Properties<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_08\" width=\"643\" height=\"466\" style=\"margin:0;width:643px;height:466px;border:none\" src=\".\/images\/using_custom_certificate_08.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">g)<\/span><span class=\"f_NormalList\">In the <\/span><span class=\"f_UI\">General<\/span><span class=\"f_NormalList\"> tab, type in a <\/span><span class=\"f_UI\">Friendly name<\/span><span class=\"f_NormalList\"> for your certificate, you can also type a Description (optional).<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 25px; margin: 0 0 10px 14px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">h)<\/span>In the <span class=\"f_UI\">Subject<\/span> tab, do the following:<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 10px 11px;\">In <span class=\"f_UI\">Subject name<\/span> section, select <span class=\"f_UI\">Common Name<\/span> from the drop-down list under <span class=\"f_UI\">Type<\/span>, type <span class=\"f_CodeHighlighted\">era server<\/span> in the <span class=\"f_UI\">Value<\/span> field and then click <span class=\"f_UI\">Add<\/span>. <span class=\"f_UI\">CN=era server<\/span> will appear in the information box on the right. If you are creating a certificate request for ESET Management Agent type <span class=\"f_CodeHighlighted\">era agent<\/span> in the Common name value field.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">The Common Name must contain one of these strings: &quot;<span class=\"f_UI\">server<\/span>&quot;or &quot;<span class=\"f_UI\">agent<\/span>&quot;, depending on which Certificate Request you want to create.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">i)<\/span><span class=\"f_NormalList\">In the <\/span><span class=\"f_UI\">Alternative name<\/span><span class=\"f_NormalList\"> section, choose <\/span><span class=\"f_UI\">DNS<\/span><span class=\"f_NormalList\"> from the drop-down list under <\/span><span class=\"f_UI\">Type<\/span><span class=\"f_NormalList\"> and type * (asterisk) into the <\/span><span class=\"f_UI\">Value<\/span><span class=\"f_NormalList\"> field, then click the <\/span><span class=\"f_UI\">Add<\/span><span class=\"f_NormalList\"> button.<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">Subject Alternative Name (SAN) should be defined as &quot;DNS:*&quot; for ESET PROTECT Server and for all the Agents.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_09\" width=\"516\" height=\"514\" style=\"margin:0;width:516px;height:514px;border:none\" src=\".\/images\/using_custom_certificate_09.png\"\/><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">j)<\/span>In the <span class=\"f_UI\">Extensions<\/span> tab, expand the <span class=\"f_UI\">Key usage<\/span> section by clicking the arrow. Add the following from the Available options: <span class=\"f_UI\">Digital signature<\/span>, <span class=\"f_UI\">Key agreement<\/span>, <span class=\"f_UI\">Key encipherment<\/span>. Deselect <span class=\"f_UI\">Make these key usages critical<\/span>.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">Make sure to select these 3 options under <span class=\"f_UI\">Key usage<\/span> &gt; <span class=\"f_UI\">Key certificate signing<\/span>:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Digital signature<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Key agreement<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Key encipherment<\/span><\/p><\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_10\" width=\"516\" height=\"514\" style=\"margin:0;width:516px;height:514px;border:none\" src=\".\/images\/using_custom_certificate_10.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">k)<\/span><span class=\"f_NormalList\">In the <\/span><span class=\"f_UI\">Private Key<\/span><span class=\"f_NormalList\"> tab, do the following:<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 40px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">i.<\/span><span class=\"f_NormalList\">Expand the <\/span><span class=\"f_UI\">Cryptographic Service Provider<\/span><span class=\"f_NormalList\"> section by clicking the arrow. A list of all cryptographic service providers (CSPs) will be displayed. Make sure that only <\/span><span class=\"f_UI\">Microsoft RSA SChannel Cryptographic Provider (Encryption)<\/span><span class=\"f_NormalList\"> is selected.<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">Deselect all CSPs other than <span class=\"f_UI\">Microsoft RSA SChannel Cryptographic Provider (Encryption)<\/span>.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_11\" width=\"516\" height=\"514\" style=\"margin:0;width:516px;height:514px;border:none\" src=\".\/images\/using_custom_certificate_11.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 40px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">i.<\/span><span class=\"f_NormalList\">Expand the <\/span><span class=\"f_UI\">Key<\/span><span class=\"f_NormalList\"> <\/span><span class=\"f_UI\">Options<\/span><span class=\"f_NormalList\"> section. In the <\/span><span class=\"f_UI\">Key size<\/span><span class=\"f_NormalList\"> menu, set a value of at least <\/span><span class=\"f_UI\">2048<\/span><span class=\"f_NormalList\">. Select <\/span><span class=\"f_UI\">Make private key exportable<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 59px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">ii.<\/span>Expand the <span class=\"f_UI\">Key Type<\/span> section and select <span class=\"f_UI\">Exchange<\/span>. Click <span class=\"f_UI\">Apply<\/span> and check your settings.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">l)<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">OK<\/span><span class=\"f_NormalList\">. Certificate information will be displayed. Click the <\/span><span class=\"f_UI\">Next<\/span><span class=\"f_NormalList\"> button to continue. Click <\/span><span class=\"f_UI\">Browse<\/span><span class=\"f_NormalList\"> to select the location where the certificate signing request (CSR) will be saved. Type the filename and make sure that <\/span><span class=\"f_UI\">Base 64<\/span><span class=\"f_NormalList\"> is selected.<\/span><\/p>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_12\" width=\"643\" height=\"466\" style=\"margin:0;width:643px;height:466px;border:none\" src=\".\/images\/using_custom_certificate_12.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">m)<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">Finish<\/span><span class=\"f_NormalList\"> to generate the CSR.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">&nbsp;<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin-left: 0;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">3.<\/span>To import your custom certificate request, follow the steps below:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">a)<\/span><span class=\"f_NormalList\">Open Server Manager and click <\/span><span class=\"f_UI\">Tools<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">Certification Authority<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 28px; margin: 0 0 10px 11px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">b)<\/span>In the <span class=\"f_UI\">Certification Authority (Local)<\/span> tree, select <span class=\"f_UI\">Your Server<\/span> (usually FQDN) &gt; <span class=\"f_UI\">Properties<\/span> and then select the <span class=\"f_UI\">Policy Module<\/span> tab. Click <span class=\"f_UI\">Properties<\/span> and select <span class=\"f_UI\">Set the certificate request status to pending. The administrator must explicitly issue the certificate<\/span>. Otherwise, it will not work properly.You must restart Active Directory certificate services if you need to change this setting.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_13\" width=\"414\" height=\"475\" style=\"margin:0;width:414px;height:475px;border:none\" src=\".\/images\/using_custom_certificate_13.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">c)<\/span><span class=\"f_NormalList\">In the <\/span><span class=\"f_UI\">Certification Authority (Local)<\/span><span class=\"f_NormalList\"> tree, select <\/span><span class=\"f_UI\">Your Server (usually FQDN)<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">All Tasks<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">Submit new request<\/span><span class=\"f_NormalList\"> and navigate to your previously generated <\/span><span class=\"f_UI\">CSR<\/span><span class=\"f_NormalList\"> file from step 2.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 28px; margin: 0 0 10px 11px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">d)<\/span>The certificate will be added under <span class=\"f_UI\">Pending Requests<\/span>. Select the <span class=\"f_UI\">CSR<\/span> in the right navigation pane. In the <span class=\"f_UI\">Action<\/span> menu, select <span class=\"f_UI\">All Tasks<\/span> &gt; <span class=\"f_UI\">Issue<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_14\" width=\"802\" height=\"458\" style=\"margin:0;width:802px;height:458px;border:none\" src=\".\/images\/using_custom_certificate_14.png\"\/><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin-left: 0;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">4.<\/span>Export <span class=\"f_UI\">Issued Custom Certificate<\/span> to <span class=\"f_Path\">.tmp<\/span> file.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">a)<\/span><span class=\"f_NormalList\">Select <\/span><span class=\"f_UI\">Issued<\/span><span class=\"f_NormalList\"> Certificates in the left pane. Right-click the certificate you want to export and click <\/span><span class=\"f_UI\">All Tasks<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">Export Binary Data<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">b)<\/span>In the <span class=\"f_UI\">Export Binary Data<\/span> dialog, choose <span class=\"f_UI\">Binary Certificate<\/span> from the drop-down list. In <span class=\"f_UI\">Export options<\/span>, click <span class=\"f_UI\">Save<\/span> <span class=\"f_UI\">binary data to a file<\/span> and then click <span class=\"f_UI\">OK<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_15\" width=\"348\" height=\"250\" style=\"margin:0;width:348px;height:250px;border:none\" src=\".\/images\/using_custom_certificate_15.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">c)<\/span><span class=\"f_NormalList\">In the Save Binary Data dialog box, move to the file location where you want to save the certificate and then click <\/span><span class=\"f_UI\">Save<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin-left: 0;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">5.<\/span>Import the <span class=\"f_Path\">.tmp<\/span> file.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">a)<\/span><span class=\"f_NormalList\">Navigate to Certificate (Local Computer) &gt; right-click Personal and select All Tasks &gt; Import.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">b)<\/span><span class=\"f_NormalList\">Click <\/span><span class=\"f_UI\">Next<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">c)<\/span><span class=\"f_NormalList\">Locate your saved <\/span><span class=\"f_Path\">.tmp<\/span><span class=\"f_NormalList\"> binary file using <\/span><span class=\"f_UI\">Browse<\/span><span class=\"f_NormalList\"> and click <\/span><span class=\"f_UI\">Open<\/span><span class=\"f_NormalList\">. Select Place all certificates in the following store &gt; <\/span><span class=\"f_UI\">Personal<\/span><span class=\"f_NormalList\">. Click <\/span><span class=\"f_UI\">Next<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">d)<\/span>Click <span class=\"f_UI\">Finish<\/span> to import the certificate.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin-left: 0;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">6.<\/span>Export the Certificate including a private key to <span class=\"f_Path\">.pfx<\/span> file.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">a)<\/span><span class=\"f_NormalList\">In <\/span><span class=\"f_UI\">Certificates (Local Computer)<\/span><span class=\"f_NormalList\"> expand <\/span><span class=\"f_UI\">Personal<\/span><span class=\"f_NormalList\"> and click <\/span><span class=\"f_UI\">Certificates<\/span><span class=\"f_NormalList\">, select your new certificate that you want to export, on the <\/span><span class=\"f_UI\">Action<\/span><span class=\"f_NormalList\"> menu, point to <\/span><span class=\"f_UI\">All Tasks<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">Export<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">b)<\/span><span class=\"f_NormalList\">In the <\/span><span class=\"f_UI\">Certificate Export Wizard<\/span><span class=\"f_NormalList\">, click <\/span><span class=\"f_UI\">Yes, export the private key<\/span><span class=\"f_NormalList\">. (This option will appear only if the private key is marked as exportable and you have access to the private key.)<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 39px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">c)<\/span>Under Export File Format, select <span class=\"f_UI\">Personal Information Exchange -PKCS #12 (.PFX)<\/span>, select the check box next to <span class=\"f_UI\">Include all certificates in the certification path if possible<\/span> and then click <span class=\"f_UI\">Next<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_16\" width=\"549\" height=\"528\" style=\"margin:0;width:549px;height:528px;border:none\" src=\".\/images\/using_custom_certificate_16.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">d)<\/span><span class=\"f_UI\">Password<\/span><span class=\"f_NormalList\">, type a password to encrypt the private key you are exporting. In the <\/span><span class=\"f_UI\">Confirm password<\/span><span class=\"f_NormalList\"> field, type the same password again and then click <\/span><span class=\"f_UI\">Next<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_warning\" >\n\r<tr class=\"Table_warning\">\n\r<td class=\"Table_warning\" style=\"width:4px; background-color:#E04239;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_warning\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"warning\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/warning.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_warning\"><p class=\"p_Normal\">The certificate passphrase must not contain the following characters: <span class=\"f_CodeHighlighted\">&quot; \\<\/span> These characters cause a critical error during the initialization of the Agent.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"using_custom_certificate_17\" width=\"549\" height=\"528\" style=\"margin:0;width:549px;height:528px;border:none\" src=\".\/images\/using_custom_certificate_17.png\"\/><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 20px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">e)<\/span><span class=\"f_UI\">File name<\/span><span class=\"f_NormalList\">, type a filename and path for the <\/span><span class=\"f_Path\">.pfx<\/span><span class=\"f_NormalList\"> file that will store the exported certificate and private key. Click <\/span><span class=\"f_UI\">Next<\/span><span class=\"f_NormalList\"> and then click <\/span><span class=\"f_UI\">Finish<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">The above example shows you how to create an ESET Management Agent certificate. Repeat the same steps for ESET PROTECT Server certificates.<\/p>\n\r<p class=\"p_Normal\">You cannot use this certificate to <a href=\"certificates_certificate_era.html\" class=\"topiclink\">sign another<\/a> new certificate in the Web Console.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin-left: 0;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">7.<\/span>Export Certification Authority:<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin: 0 0 10px 11px;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">a)<\/span>Open Server Manager and click <span class=\"f_UI\">Tools<\/span> &gt; <span class=\"f_UI\">Certification Authority<\/span>. <\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin: 0 0 10px 11px;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">b)<\/span>In the <span class=\"f_UI\">Certification Authority (Local)<\/span> tree, select the <span class=\"f_UI\">Your Server (usually FQDN)<\/span> &gt; <span class=\"f_UI\">Properties<\/span> &gt; <span class=\"f_UI\">General<\/span> tab and click <span class=\"f_UI\">View Certificate<\/span>. <\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin: 0 0 10px 11px;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">c)<\/span>In the <span class=\"f_UI\">Details<\/span> tab, click <span class=\"f_UI\">Copy to File<\/span>. The <span class=\"f_UI\">Certificate Export Wizard<\/span> will open.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 15px; margin: 0 0 10px 16px;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">d)<\/span>In the <span class=\"f_UI\">Export File Format<\/span> window, select <span class=\"f_UI\">DER encoded binary X.509 (.CER)<\/span> and click <span class=\"f_UI\">Next<\/span>.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin: 0 0 10px 11px;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">e)<\/span>Click <span class=\"f_UI\">Browse<\/span> to select the location where the <span class=\"f_Path\">.cer<\/span> file will be saved and then click <span class=\"f_UI\">Next<\/span>.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin: 0 0 10px 11px;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">f)<\/span>Click <span class=\"f_UI\">Finish<\/span> to export the Certification Authority.<\/p>\n\r<p class=\"p_Normal\">For step-by-step instructions to use custom certificates in ESET PROTECT, <a href=\"use_custom_certificates.html\" class=\"topiclink\">see the next chapter<\/a>.<\/p>\n\r"
})
