hmLoadTopic({
hmKeywords:"ESET Management Agents - individual workstation",
hmTitle:"Troubleshooting - Agent connection",
hmDescription:"When a client computer does not appear to be connecting to ESET PROTECT Server, we recommend that you perform ESET Management Agent troubleshooting locally on the client...",
hmPrevLink:"admin_pol_password_protection.html",
hmNextLink:"fs_agent_deploy_troubleshooting.html",
hmParentLink:"fs_deployment.html",
hmBreadCrumbs:"<a href=\"fs_deployment.html\">ESET Management Agent Deployment<\/a>",
hmTitlePath:"ESET Management Agent Deployment > Troubleshooting - Agent connection",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Troubleshooting - Agent connection<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">When a client computer does not appear to be connecting to ESET PROTECT Server, we recommend that you perform ESET Management Agent troubleshooting locally on the client machine.<\/p>\n\r<p class=\"p_Normal\">By default, the ESET Management Agent synchronizes with ESET PROTECT Server every minute. You can change this setting by creating a new policy for <a href=\"fs_create_new_policy.html\" class=\"topiclink\">the ESET Management Agent Connection Interval<\/a>.<\/p>\n\r<p class=\"p_Normal\">Check the latest ESET Management Agent log file. You can find it here:<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_small_no_header\" style=\"width:100%;\">\n\r<thead>\n\r<tr class=\"Table_small_no_header\">\n\r<th class=\"Table_small_no_header\" style=\"vertical-align:middle; width:110px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Windows<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_small_no_header\" style=\"vertical-align:middle; width:906px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Path\">C:\\ProgramData\\ESET\\RemoteAdministrator\\Agent\\EraAgentApplicationData\\Logs<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<\/thead>\n\r<tbody>\n\r<tr class=\"Table_small_no_header\">\n\r<td class=\"Table_small_no_header\" style=\"vertical-align:middle; width:110px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Linux<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small_no_header\" style=\"vertical-align:middle; width:906px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Path\">\/var\/log\/eset\/RemoteAdministrator\/Agent\/<\/span><br \/>\n\r<span class=\"f_Path\">\/var\/log\/eset\/RemoteAdministrator\/EraAgentInstaller.log<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small_no_header\">\n\r<td class=\"Table_small_no_header\" style=\"vertical-align:middle; width:110px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">macOS<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small_no_header\" style=\"vertical-align:middle; width:906px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Path\">\/Library\/Application Support\/com.eset.remoteadministrator.agent\/Logs\/<\/span><br \/>\n\r<span class=\"f_Path\">\/Users\/%user%\/Library\/Logs\/EraAgentInstaller.log<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/tbody>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">last-error.html<\/span><span class=\"f_NormalList\"> – protocol (table) that displays the last error recorded while the ESET Management Agent is running.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">software-install.log<\/span><span class=\"f_NormalList\"> – text protocol of the last remote installation task performed by the ESET Management Agent.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">trace.log<\/span> – a detailed report of all ESET Management Agent activity including any errors that have been recorded.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding: 0 0 0 0; margin: 0 0 0 19px;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">To enable full ESET Management Agent logging in the <span class=\"f_Path\">trace.log<\/span> file, create a dummy file named <span class=\"f_Path\">traceAll<\/span> without an extension in the same folder as a <span class=\"f_Path\">trace.log<\/span> and then restart the computer (to restart the ESET Management Agent service).<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">status.html<\/span> – a table showing the current state of communication (synchronization) of ESET Management Agent with ESET PROTECT Server. The log also contains HTTP Proxy configuration, a list of applied policies (including the applied exclusions), and a list Dynamic groups to which the device belongs.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding: 0 0 0 0; margin: 0 0 0 19px;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">We recommend that you read our <a href=\"https:\/\/support.eset.com\/kb7903\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Knowledgebase article<\/a> about using the status.html file for Agent connection troubleshooting.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">&nbsp;<\/span><\/p>\n\r<p class=\"p_Normal\">The most common issues that can prevent the ESET Management Agent from connecting to the ESET PROTECT Server are:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Your Internal network is not configured properly. Make sure that the computer where ESET PROTECT Server is installed can communicate with client computers where ESET Management Agent is installed.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Your ESET PROTECT server is not configured to listen on port 2222.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">DNS is not working properly, or ports are blocked by a firewall - check our <a href=\"https:\/\/help.eset.com\/getHelp?product=protect_install&amp;version=10.1&amp;lang=en-US&amp;topic=ports_used\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">list of ports<\/a> used by ESET PROTECT, or see our KB article <a href=\"https:\/\/support.eset.com\/kb332\/\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">What addresses and ports on my third-party firewall should I open to allow full functionality for my ESET product?<\/a><\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>An erroneously generated certificate containing false or limited features that do not match the public key of ESET PROTECT Server Certification Authority is in place - create a new <a href=\"certificates_certificate_era.html\" class=\"topiclink\">ESET Management Agent certificate<\/a> to resolve this.<\/p>"
})
