hmLoadTopic({
hmKeywords:"error message,issue,troubleshooting",
hmTitle:"Troubleshooting - Agent deployment",
hmDescription:"You may encounter problems with ESET Management Agent deployment. If deployment fails, there are a number of things that might be the cause. This section will help you:",
hmPrevLink:"fs_agent_connection_troubleshooting.html",
hmNextLink:"deployment_scenarios.html",
hmParentLink:"fs_deployment.html",
hmBreadCrumbs:"<a href=\"fs_deployment.html\">ESET Management Agent Deployment<\/a>",
hmTitlePath:"ESET Management Agent Deployment > Troubleshooting - Agent deployment",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Troubleshooting - Agent deployment<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">You may encounter problems with ESET Management Agent deployment. If deployment fails, there are a number of things that might be the cause. This section will help you:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_NormalList\">Find out what caused ESET Management Agent deployment to fail<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_NormalList\">Check for possible causes according to the table below<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_NormalList\">Resolve the issue and perform a successful deployment<\/span><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Windows<\/span><\/h2>\n\r<p class=\"p_Normal\">1. To find out why Agent deployment failed, navigate to <span class=\"f_UI\">Reports<\/span> &gt; <span class=\"f_UI\">Automation<\/span> &gt; click <span class=\"f_UI\">Agent Deployment task information in last 30 days<\/span>.<br \/>\n\rA table will displayed deployment information. The <span class=\"f_UI\">Progress<\/span> column displays error messages about why Agent deployment failed.<\/p>\n\r<p class=\"p_Normal\"><a id=\"tracelog\" class=\"hmanchor\"><\/a>If you need even more details, you can change the verbosity of the ESET PROTECT Server trace log. Navigate to <span class=\"f_UI\">More<\/span> &gt; <a href=\"admin_server_settings.html\" class=\"topiclink\">Settings<\/a> &gt; <span class=\"f_UI\">Advanced Settings<\/span> &gt; <span class=\"f_UI\">Logging<\/span> and select <span class=\"f_UI\">Error<\/span> from the drop-down menu. Run the Agent deployment again and when it fails check the ESET PROTECT Server trace log file for the latest log entries at the bottom of the file. The report will include suggestions about how to resolve the issue.<\/p>\n\r<p class=\"p_Normal\">The latest file can be found here:<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_small_no_header\" style=\"width:100%;\">\n\r<thead>\n\r<tr class=\"Table_small_no_header\">\n\r<th class=\"Table_small_no_header\" style=\"width:211px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">ESET PROTECT Server log<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_small_no_header\" style=\"width:1166px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Path\">C:\\ProgramData\\ESET\\RemoteAdministrator\\Server\\EraServerApplicationData\\Logs\\trace.log<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<\/thead>\n\r<tbody>\n\r<tr class=\"Table_small_no_header\">\n\r<td class=\"Table_small_no_header\" style=\"width:211px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">ESET Management Agent log<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small_no_header\" style=\"width:1166px;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_Path\">C:\\ProgramData\\ESET\\RemoteAdministrator\\Agent\\EraAgentApplicationData\\Logs<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/tbody>\n\r<\/table>\n\r<\/div>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">To enable full ESET Management Agent logging in the <span class=\"f_Path\">trace.log<\/span> file, create a dummy file named <span class=\"f_Path\">traceAll<\/span> without an extension in the same folder as a <span class=\"f_Path\">trace.log<\/span> and then restart the computer (to restart the ESET Management Agent service).<\/p>\n\r<p class=\"p_Normal\">In case of ESET Management Agent connection problems, see <a href=\"fs_agent_connection_troubleshooting.html\" class=\"topiclink\">Troubleshooting - Agent connection<\/a> for more information.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">2. The table below contains several reasons Agent deployment can fail:<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_small\" >\n\r<thead>\n\r<tr class=\"Table_small\">\n\r<th class=\"Table_small\" style=\"vertical-align:middle; width:245px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Error message<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_small\" style=\"vertical-align:middle; width:1176px;\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Possible cause(s)<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<\/thead>\n\r<tbody>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"vertical-align:middle; width:245px;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Could not connect<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"vertical-align:middle; width:1176px;\"><p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">Client is not reachable on the network, firewall blocks communication<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">Inbound ports 135, 137, 138, 139 and 445 are not open in firewall on the client or Windows Firewall: Allow inbound file and printer sharing exception is not used<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">Client\'s hostname could not be resolved, use valid FQDN computer names<\/span><\/p><\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"vertical-align:middle; width:245px; background-color:#F4F5F4;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Access denied<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"vertical-align:middle; width:1176px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">When deploying from a server joined to a domain, to a client joined to the domain, use the credentials of a user that is member of Domain Admin group in format: <\/span><span class=\"f_UI\">Domain\\DomainAdmin<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">When deploying from a server joined to a domain, to a client joined to the domain, you can temporarily elevate ESET PROTECT Server service from network service to run under domain administrator account.<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">When deploying from a server to a client that are not in a same domain, <a href=\"https:\/\/support.microsoft.com\/en-us\/kb\/951016\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">disable remote UAC filtering on target computer<\/a>.<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">When deploying from a server to a client in a different domain, use the credentials of a local user that is member of the Administrators group in format: <\/span><span class=\"f_UI\">Admin<\/span><span class=\"f_NormalTable\">. Target computer name will be automatically prepended to the login.<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">No password set for administrator account<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">Insufficient access rights<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_Path\">ADMIN\$<\/span><span class=\"f_NormalTable\"> administrative share is not available<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_Path\">IPC\$<\/span><span class=\"f_NormalTable\"> administrative share is not available<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 21px; margin-left: 0;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Simple file sharing is enabled<\/p><\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"vertical-align:middle; width:245px;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Package not found in repository<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1176px;\"><p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">Link to the repository is incorrect<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">Repository is unavailable<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">Repository does not contain required package<\/span><\/p><\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"vertical-align:middle; width:245px; background-color:#F4F5F4;\"><p class=\"p_NormalTableUI\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableUI\">Error 1603<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"width:1176px; background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">Check <\/span><span class=\"f_Path\">ra-agent-install.log<\/span><span class=\"f_NormalTable\"> file. It can be found here: <\/span><span class=\"f_Path\">C:\\Users\\%user%\\AppData\\Local\\Temp\\ra-agent-install.log <\/span><span class=\"f_NormalTable\">on the target computer.<\/span><\/p>\n\r<p class=\"p_NormalTable\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 8px;\"><span class=\"f_NormalTable\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalTable\">If the error persists, follow our <a href=\"https:\/\/support.eset.com\/kb7806\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Knowledgebase article<\/a>.<\/span><\/p><\/td>\n\r<\/tr>\n\r<\/tbody>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">3. Follow the appropriate troubleshooting steps according to the possible cause:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Client is not reachable on the network<\/span><span class=\"f_NormalList\"> - ping the client from the ESET PROTECT Server, if you get a response, try to log on to the client machine remotely (for example, via remote desktop).<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Firewall blocks communication<\/span><span class=\"f_NormalList\"> - check the firewall settings on both the server and the client, as well as any other firewall that exists between these two machines (if applicable).<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Client\'s hostname could not be resolved<\/span><span class=\"f_NormalList\"> - possible solutions to DNS issues can include but are not limited to:<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_NormalList\">Using the <\/span><span class=\"f_CodeHighlighted\">nslookup<\/span><span class=\"f_NormalList\"> command of the IP address and hostname of the server and\/or the clients having Agent deployment issues. The results should match the information from the machine. For instance, an <\/span><span class=\"f_CodeHighlighted\">nslookup<\/span><span class=\"f_NormalList\"> of a hostname should resolve to the IP address an <\/span><span class=\"f_CodeHighlighted\">ipconfig<\/span><span class=\"f_NormalList\"> command shows on the host in question. The <\/span><span class=\"f_CodeHighlighted\">nslookup<\/span><span class=\"f_NormalList\"> command will need to be run on the clients and the server.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 26px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span><span class=\"f_NormalList\">Manually examining DNS records for duplicates.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Ports 2222 and 2223 are not open in firewall<\/span><span class=\"f_NormalList\"> - same as above, make sure that these ports are open on all firewalls between the two machines (client and server).<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">No password set for administrator account<\/span><span class=\"f_NormalList\"> - set a proper password for the administrator account (do not use a blank password)<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Insufficient access rights<\/span> - try using the Domain Administrator\'s credentials when creating an <a href=\"server_tasks_agent_deployment1.html\" class=\"topiclink\">Agent deployment task<\/a>. If the client machine is in a Workgroup, use the local Administrator account on that specific machine.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">After successful deployment, ports 2222 and 2223 are not open in firewall. Make sure that these ports are open on all firewalls between the two machines (client and server).<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">To activate<\/span><span class=\"f_NormalList\"> the Administrator user account:<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 40px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">1.<\/span><span class=\"f_NormalList\">Open an administrative command prompt<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 40px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"display:inline-block;width:20px;margin-left:-20px\">2.<\/span><span class=\"f_NormalList\">Type the following command:<\/span><\/p>\n\r<p class=\"p_CodeHighlighted\" style=\"page-break-inside: avoid; margin: 0 0 0 52px;\"><span class=\"f_CodeHighlighted\">net&nbsp;user&nbsp;administrator&nbsp;\/active:yes<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">ADMIN\$ administrative share is not available<\/span><span class=\"f_NormalList\"> - The client machine must have the shared resource <\/span><span class=\"f_Path\">ADMIN\$<\/span><span class=\"f_NormalList\"> activated, make sure it is present among the other shares (<\/span><span class=\"f_UI\">Start<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">Control Panel<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">Administrative Tools<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">Computer Management<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">Shared Folders<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">Shares<\/span><span class=\"f_NormalList\">).<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">IPC\$ administrative share is not available<\/span> - verify that the server can access <span class=\"f_Path\">IPC\$<\/span> by issuing the following from a command prompt on the server:<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 10px 32px;\"><span class=\"f_CodeHighlighted\">net use \\\\clientname\\IPC\$<\/span> where <span class=\"f_CodeHighlighted\">clientname<\/span> is the name of the target computer<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Simple file sharing is enabled<\/span> - if you are getting the <span class=\"f_UI\">Access denied<\/span> error message and your environment is mixed (contains both a Domain and Workgroup), disable <span class=\"f_UI\">Use simple file sharing<\/span> or <span class=\"f_UI\">Use Sharing Wizard<\/span> on all machines that are having problems with Agent deployment. For example, in Windows 7 do the following:<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 26px; margin: 0 0 10px 24px;\"><span class=\"f_Normal\" style=\"font-family: \'Courier New\';display:inline-block;width:13px;margin-left:-13px\">o<\/span>Click <span class=\"f_UI\">Start<\/span>, type <span class=\"f_CodeHighlighted\">folder<\/span> into the <span class=\"f_UI\">Search<\/span> box, and then click <span class=\"f_UI\">Folder Options<\/span>. Click the <span class=\"f_UI\">View<\/span> tab and in the <span class=\"f_UI\">Advanced settings<\/span> box, scroll down the list and deselect the check box next to <span class=\"f_UI\">Use Sharing Wizard<\/span>.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Link to the repository is incorrect<\/span><span class=\"f_NormalList\"> - In ESET PROTECT Web Console, navigate to <\/span><span class=\"f_UI\">More<\/span><span class=\"f_NormalList\"> &gt; <a href=\"admin_server_settings.html\" class=\"topiclink\">Settings<\/a>, click <\/span><span class=\"f_UI\">Advanced settings<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">Repository<\/span><span class=\"f_NormalList\"> and make sure the URL of the repository is correct.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Package not found in repository<\/span> - this error message usually appears when there is no connection to the ESET PROTECT repository. Check your internet connection.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Linux and macOS<\/span><\/h2>\n\r<p class=\"p_Normal\">If Agent deployment does not work on Linux or macOS, the issue is usually related to SSH. Check the client computer and make sure SSH daemon is running. When fixed, run Agent deployment again.<\/p>\n\r"
})
