hmLoadTopic({
hmKeywords:"connection interval",
hmTitle:"Create a Policy for ESET Management Agent connection interval",
hmDescription:"In this example, we are going to create a new policy for the ESET Management Agent connection interval. This value should be adjusted based on the size of your infrastructure...",
hmPrevLink:"agent_settings.html",
hmNextLink:"admin_pol_planed_for_migration.html",
hmParentLink:"agent_settings.html",
hmBreadCrumbs:"<a href=\"fs_deployment.html\">ESET Management Agent Deployment<\/a> &gt; <a href=\"agent_settings.html\">ESET Management Agent settings<\/a>",
hmTitlePath:"ESET Management Agent Deployment > ESET Management Agent settings > Create a Policy for ESET Management Agent connection interval",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Create a Policy for ESET Management Agent connection interval<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">In this example, we are going to create a new policy for the ESET Management Agent connection interval. This value should be adjusted based on the <a href=\"https:\/\/help.eset.com\/getHelp?product=protect_install&amp;version=10.1&amp;lang=en-US&amp;topic=hw_requirements\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">size of your infrastructure<\/a> by using policies after you install ESET PROTECT and deploy ESET Management Agents and ESET endpoint products to client machines.<\/p>\n\r<p class=\"p_Normal\">Create a <a href=\"admin_create_new_static_subgroup.html\" class=\"topiclink\">New Static Group<\/a>. Add a new policy by clicking <span class=\"f_UI\">Policies<\/span>. Click <span class=\"f_UI\">Actions<\/span> at the bottom and select <span class=\"f_UI\">New<\/span>.<\/p>\n\r<p class=\"p_Path\"><img alt=\"policies_manage\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/policies_manage.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\">Type a <span class=\"f_UI\">Name<\/span> for the new policy (for example, &quot;Agent Connection Interval&quot;). The <span class=\"f_UI\">Description<\/span> field is optional.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Settings<\/span><\/h2>\n\r<p class=\"p_Normal\">Select <span class=\"f_UI\">ESET Management Agent<\/span> from the <span class=\"f_UI\">Product<\/span> drop-down menu.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_policies_wizard2\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/admin_policies_wizard2.png\"\/><\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Connection interval<\/span> &gt; <span class=\"f_UI\">Change interval<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_policies_wizard4\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/admin_policies_wizard4.png\"\/><\/p>\n\r<p class=\"p_Normal\">In the <span class=\"f_UI\">Regular interval field<\/span>, change the value to your preferred interval time (60 seconds is the default replication interval of the ESET Management Agent) and click <span class=\"f_UI\">Save<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_policies_wizard3\" width=\"485\" height=\"271\" style=\"margin:0;width:485px;height:271px;border:none\" src=\".\/images\/admin_policies_wizard3.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Assign<\/span><\/h2>\n\r<p class=\"p_Normal\">Specify the clients (individual computers\/mobile devices or whole groups) that are the recipients of this policy.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"admin_pol_assign\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/admin_pol_assign.png\"\/><\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Assign<\/span> to display all Static and Dynamic Groups and their members. Select your desired computers or groups and click <span class=\"f_UI\">OK<\/span>.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">To assign all computers in a group, assign the group instead of individual computers to prevent a Web Console slowdown.<\/p>\n\r<p class=\"p_Normal\">The Web Console displays a warning if you select a high number of computers.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><img alt=\"select_targets\" width=\"900\" height=\"634\" style=\"margin:0;width:900px;height:634px;border:none\" src=\".\/images\/select_targets.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\">Review the settings for this policy and click <span class=\"f_UI\">Finish<\/span>. The policy gets applied on the targets after their next connection to ESET PROTECT Server (depending on the Agent connection interval).<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">To apply the policy immediately, you can run the <span class=\"f_UI\">Send Wake-Up Call<\/span> action on targets in the <span class=\"f_UI\">Computers<\/span> sections.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
