hmLoadTopic({
hmKeywords:"Dynamic Groups based on HW Inventory,HW Inventory,Linux,macOS",
hmTitle:"Hardware Inventory",
hmDescription:"ESET PROTECT has the ability to retrieve hardware inventory details from connected devices such as details about a device\'s RAM, storage, and processor.",
hmPrevLink:"sysinspector_log_viewer.html",
hmNextLink:"reports_audit_log.html",
hmParentLink:"reports.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"reports.html\">Reports<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Reports > Hardware Inventory",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Hardware Inventory<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">ESET PROTECT has the ability to retrieve hardware inventory details from connected devices such as details about a device\'s RAM, storage, and processor.<\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Computers<\/span> &gt; click a connected device and select <span class=\"f_UI\">Details<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"show_details\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/show_details.png\"\/><\/p>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Details<\/span> and select the <span class=\"f_UI\">Hardware<\/span> tab.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"HW_details\" width=\"900\" height=\"550\" style=\"margin:0;width:900px;height:550px;border:none\" src=\".\/images\/hw_details.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Hardware inventory reports<\/span><\/h2>\n\r<p class=\"p_Normal\">You can find pre-defined hardware inventory reports in <span class=\"f_UI\">Reports<\/span> &gt; <span class=\"f_UI\">Hardware inventory<\/span>. You can create custom hardware inventory reports. When creating a <a href=\"create_a_new_report_template.html\" class=\"topiclink\">New Report Template<\/a>, under <span class=\"f_UI\">Data<\/span> select a sub-category from one of the <span class=\"f_UI\">HW inventory<\/span> filters. When you add the first table column or X-axis, only compatible data will be eligible for selection.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Dynamic Groups based on hardware inventory<\/span><\/h2>\n\r<p class=\"p_Normal\">You can <a href=\"admin_dg_dynamic_group_wizard.html\" class=\"topiclink\">create custom dynamic groups<\/a> based on the hardware inventory details of connected devices. When creating a <a href=\"fs_new_dynamic_group_template.html\" class=\"topiclink\">New Dynamic Group Template<\/a>, select <a href=\"rules_description.html\" class=\"topiclink\">rule(s)<\/a> from <span class=\"f_UI\">hardware inventory<\/span> categories to filter connected devices based on their hardware parameters.<\/p>\n\r<p class=\"p_Normal\">You can select from the following hardware inventory categories: Chassis, Device information, Display, Display adapter, Input device, Mass storage, Network adapter, Printer, Processor, RAM and Sound device. For example, you can create a dynamic group with devices filtered by their RAM capacity to get an overview of devices with a certain amount of RAM.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Operating systems compatible with hardware inventory<\/span><\/h2>\n\r<p class=\"p_Normal\">The hardware inventory feature is available on all <a href=\"https:\/\/help.eset.com\/getHelp?product=protect_install&amp;version=10.1&amp;lang=en-US&amp;topic=operating_systems\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">supported<\/a> Windows, Linux*, and macOS computers.<\/p>\n\r<p class=\"p_Normal\">* Install the <span class=\"f_CodeHighlighted\">lshw<\/span> package on the client\/server Linux machine for the ESET Management Agent to report the hardware inventory correctly.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_small\" >\n\r<thead>\n\r<tr class=\"Table_small\">\n\r<th class=\"Table_small\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Linux distribution<\/span><\/p>\n\r<\/th>\n\r<th class=\"Table_small\"><p class=\"p_Head_row\"><span class=\"f_Head_row\">Terminal command<\/span><\/p>\n\r<\/th>\n\r<\/tr>\n\r<\/thead>\n\r<tbody>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Debian<\/span><span class=\"f_NormalTable\">, <\/span><span class=\"f_NormalTable\">Ubuntu<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\"><p class=\"p_NormalTableCode\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableCode\">sudo apt-get install -y lshw<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\" style=\"background-color:#F4F5F4;\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">Red Hat<\/span><span class=\"f_NormalTable\">, <\/span><span class=\"f_NormalTable\">CentOS<\/span><span class=\"f_NormalTable\">, <\/span><span class=\"f_NormalTable\">RHEL<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\" style=\"background-color:#F4F5F4;\"><p class=\"p_NormalTableCode\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableCode\">sudo yum install -y lshw<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"Table_small\">\n\r<td class=\"Table_small\"><p class=\"p_NormalTable\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTable\">OpenSUSE<\/span><\/p>\n\r<\/td>\n\r<td class=\"Table_small\"><p class=\"p_NormalTableCode\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalTableCode\">sudo zypper install lshw<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/tbody>\n\r<\/table>\n\r<\/div>\n\r"
})
