hmLoadTopic({
hmKeywords:"",
hmTitle:"How to manage Endpoint products from ESET PROTECT",
hmDescription:"Before you can start managing ESET Business Solutions you need to perform initial configuration. We recommend that you use Status Overview, especially if you have skipped the...",
hmPrevLink:"troubleshooting_login.html",
hmNextLink:"epns.html",
hmParentLink:"fs.html",
hmBreadCrumbs:"<a href=\"fs.html\">Getting started with ESET PROTECT<\/a>",
hmTitlePath:"Getting started with ESET PROTECT > How to manage Endpoint products from ESET PROTECT",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">How to manage Endpoint products from ESET PROTECT<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">Before you can start managing ESET Business Solutions you need to perform initial configuration. We recommend that you use <a href=\"fs_post_installation_tasks.html\" class=\"topiclink\">Status Overview<\/a>, especially if you have skipped the <a href=\"product_tour.html\" class=\"topiclink\">ESET PROTECT Tour<\/a>. Administrator can perform variety of tasks from the ESET PROTECT Web Console to install products and control client computers.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Installation of ESET Management Agent and Endpoint security products<\/span><\/h2>\n\r<p class=\"p_Normal\">ESET PROTECT requires that theESET Management Agent to be installed on each managed client computer. The ESET Management Agent can be installed in combination with your Endpoint security product. Before installation, we recommend that you <a href=\"admin_license_management.html#add_license\" class=\"topiclink\">import your license<\/a> into ESET PROTECT so it can be used for your consequent installations. There are several methods to install your Endpoint product:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Use the <a href=\"fs_local_deployment_aio_create.html\" class=\"topiclink\">Agent and ESET security product installer<\/a> or <a href=\"deployment_tool.html\" class=\"topiclink\">ESET Remote Deployment Tool<\/a> to install your Endpoint product and ESET Management Agent at the same time.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Click a computer and select <img alt=\"icon_eset\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_eset.png\"\/> <span class=\"f_UI\">Solutions<\/span> &gt; <img alt=\"icon_antivirus\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_antivirus.png\"\/><span class=\"f_UI\">Deploy security product <\/span>to deploy an ESET security product to the computer.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"client_tasks_software_install.html\" class=\"topiclink\">Install your ESET Endpoint<\/a> product on clients where you have already installed ESET Management Agent using a Client Task.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Managing the Endpoint security product from ESET PROTECT<\/span><\/h2>\n\r<p class=\"p_Normal\">All Endpoint security products can be managed from ESET PROTECT Web Console. Policies are used to apply settings to single computers or groups. For example, you can <a href=\"admin_pol_policies_wizard.html\" class=\"topiclink\">create a policy<\/a> to block access to certain web localities, change <a href=\"https:\/\/help.eset.com\/getHelp?product=ees&amp;version=latest&amp;lang=en-US&amp;topic=idh_config_scanner\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">scanner settings detection sensitivity<\/a> (available in Endpoint 7.2 and later), or change all other ESET security settings. Policies can be <a href=\"admin_pol_merging.html\" class=\"topiclink\">merged<\/a>, as shown in our <a href=\"admin_pol_merging_example.html\" class=\"topiclink\">example<\/a>. Policies set using ESET PROTECT cannot be overwritten by a user on a client machine. However, the administrator can use the <a href=\"admin_pol_override.html\" class=\"topiclink\">override<\/a> feature to allow a user to make changes on a client temporarily. When you are finished making changes, you can <a href=\"admin_pol_override.html#example\" class=\"topiclink\">request the final configuration<\/a> from the client and save it as a new policy.<\/p>\n\r<p class=\"p_Normal\"><a href=\"admin_ct.html\" class=\"topiclink\">Tasks<\/a> can also be used to manage clients. Tasks are deployed from the Web Console and executed on the client by the ESET Management Agent. The most common Client Tasks for Windows Endpoints are:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\"><a href=\"client_tasks_virus_db_update.html\" class=\"topiclink\">Update modules<\/a> (also updates the virus database)<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Run <a href=\"client_tasks_on_demand_scan.html\" class=\"topiclink\">On-Demand scan<\/a><\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Run custom <a href=\"client_tasks_run_command.html\" class=\"topiclink\">command<\/a><\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Request the computer and product <a href=\"computer_details.html#config\" class=\"topiclink\">configuration<\/a><\/p>\n\r<h3 class=\"p_Heading3\" style=\"page-break-after: avoid;\"><span class=\"f_Heading3\">Upgrade ESET security products<\/span><\/h3>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin-left: 0;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">1.<\/span>Click <span class=\"f_UI\">Dashboard<\/span> &gt; <span class=\"f_UI\">Status Overview<\/span> &gt; <a href=\"dashboard.html#version_status\" class=\"topiclink\">Component version status<\/a>.<\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 20px; margin-left: 0;\"><span class=\"f_Normal\" style=\"display:inline-block;width:20px;margin-left:-20px\">2.<\/span>Click the yellow\/red graph representing outdated components or applications and select <span class=\"f_UI\">Update installed ESET components<\/span> to initiate an update.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Reporting the computer status and getting information from clients to ESET PROTECT<\/span><\/h2>\n\r<p class=\"p_Normal\">Each client computer is connected to ESET PROTECT through ESET Management Agent. The Agent reports all requested information about the client machine and its software to ESET PROTECT Server. The connection between the agent and server is set by default to 1 minute, but it can be <a href=\"fs_create_new_policy.html\" class=\"topiclink\">changed<\/a> in your ESET Management Agent policy. All logs from Endpoints or other ESET security products are sent to ESET PROTECT Server.<\/p>\n\r<p class=\"p_Normal\">Information about installed ESET products and other basic information about a client\'s OS and status can be found in <span class=\"f_UI\">Computers<\/span>. Select a client and click <span class=\"f_UI\">Details<\/span>. In the <img alt=\"gear_icon\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/gear_icon.png\"\/> <span class=\"f_UI\">Configuration<\/span> section of this window, a user can look up earlier configurations or request current configuration. In the <span class=\"f_UI\">SysInspector<\/span> section, a user can request logs (from Windows computers only).<\/p>\n\r<p class=\"p_Normal\">Web Console also allows you to access a list of all <a href=\"threats.html\" class=\"topiclink\">detections<\/a> from client devices. Detections from a single device can be viewed in <span class=\"f_UI\">Computers<\/span>. Select a client and click <span class=\"f_UI\">Details<\/span> &gt; <span class=\"f_UI\"><a href=\"computer_details.html#detections_and_quarantine\" class=\"topiclink\">Detections and Quarantine<\/a><\/span>. If the client computer runs ESET Inspect, you can view and manage ESET Inspect detections.<\/p>\n\r<p class=\"p_Normal\">You can generate custom <a href=\"reports.html\" class=\"topiclink\">reports<\/a> on-demand or using a scheduled task to view data about clients in your network. Pre-defined report templates offer a quick way to gather important data, or you can create your own <a href=\"create_a_new_report_template.html\" class=\"topiclink\">new templates<\/a>. Examples of reports include aggregated information about computers, detections, quarantine and necessary updates.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">A user can only use report templates for which he has sufficient <a href=\"admin_ar_permissions_sets.html\" class=\"topiclink\">permissions<\/a>. By default, all templates are stored in the group <span class=\"f_UI\">All<\/span>. A report can only include information about computers and events within that user\'s permission scope. Even if a report template is shared among more users, each user\'s report will only contain information about devices for which that user has permission. See the <a href=\"admin_ar_permissions_list.html\" class=\"topiclink\">list of permissions<\/a> for more information on access rights.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
