hmLoadTopic({
hmKeywords:"",
hmTitle:"Features of ESET PROTECT for MSP users",
hmDescription:"ESET PROTECT offers a set of features focused on MSP users. All MSP related features are enabled after you import an EMA 2 account to ESET PROTECT.",
hmPrevLink:"msp.html",
hmNextLink:"msp_process.html",
hmParentLink:"msp.html",
hmBreadCrumbs:"<a href=\"msp.html\">ESET PROTECT for Managed Service Providers<\/a>",
hmTitlePath:"ESET PROTECT for Managed Service Providers > Features of ESET PROTECT for MSP users",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Features of ESET PROTECT for MSP users<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\"> ESET PROTECT offers a set of features focused on MSP users. All MSP related features are enabled after you <a href=\"msp_import.html\" class=\"topiclink\">import<\/a> an <a href=\"msp_licenses.html\" class=\"topiclink\">EMA 2 account<\/a> to ESET PROTECT.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Customer Setup Wizard<\/span><\/h2>\n\r<p class=\"p_Normal\">The key MSP feature in the ESET PROTECT is the <a href=\"msp_company.html\" class=\"topiclink\">MSP customer setup<\/a>. This feature helps you create <a href=\"msp_users.html\" class=\"topiclink\">users<\/a> and customized ESET Management Agent <a href=\"msp_custom_installer.html\" class=\"topiclink\">installer<\/a> for your customer.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table style=\"border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; width:70%; padding:0; border:none\"><h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">MSP Tree<\/span><\/h2>\n\r<p class=\"p_Normal\">After importing the EMA 2 account, ESET PROTECT synchronizes with <a href=\"https:\/\/msp.eset.com\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">ESET MSP Portal<\/a> (EMA 2) and creates the MSP Tree. The MSP Tree is a structure in the <a href=\"computers.html\" class=\"topiclink\">Computers<\/a> menu, which represents the structure of companies in your EMA 2 account. Items in the MSP Tree uses different icons than standard ESET PROTECT devices and groups. You cannot modify the MSP Tree structure in the Web Console. Only after you <a href=\"msp_remove_company.html\" class=\"topiclink\">remove the EMA 2 account<\/a> from the License Management can you start editing and removing customers from the tree. Suspending a company in EMA 2 does not remove the company from the MSP Tree in ESET PROTECT.<\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\" style=\"text-align: center;\"><img alt=\"msp_tree\" width=\"242\" height=\"212\" style=\"margin:0 auto 0 auto;width:242px;height:212px;border:none\" src=\".\/images\/msp_tree.png\"\/><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Shared Objects Group<\/span><\/h2>\n\r<p class=\"p_Normal\">After the synchronization of the MSP account, ESET PROTECT creates the MSP tree. There is one <span class=\"f_UI\">Shared Objects<\/span> access group for each MSP and MSP manager. Access Group sets the object\'s Static Group and access to the object based on the user\'s access rights. You cannot store computers in <span class=\"f_UI\">Shared Objects<\/span>. <span class=\"f_UI\">Shared Objects<\/span> are not visible under <span class=\"f_UI\">Groups<\/span> in <span class=\"f_UI\">Computers<\/span>. MSPs can share objects like policies and tasks via the <span class=\"f_UI\">Shared Objects<\/span> access group.<\/p>\n\r<p class=\"p_Normal\">Each MSP user created using the <a href=\"msp_company.html\" class=\"topiclink\">company Setup Wizard<\/a> has read and use access to all <span class=\"f_UI\">Shared Objects<\/span> groups above the user. You can inspect the <a href=\"admin_ar_permissions_sets.html\" class=\"topiclink\">Permission Sets<\/a> assigned to the user to see the list of access groups. Users can access only upstream Shared Object groups, not groups from parallel MSP managers.<\/p>\n\r<p class=\"p_Normal\" style=\"text-align: center;\"><img alt=\"msp_shared_schema\" width=\"420\" height=\"214\" style=\"margin:0 auto 0 auto;width:420px;height:214px;border:none\" src=\".\/images\/msp_shared_schema.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Managed customers<\/span><\/h2>\n\r<p class=\"p_Normal\">After synchronizing the MSP account, the MSP user can see the managed customers list in the <img alt=\"msp_customer_normal\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/msp_customer_normal.png\"\/> <a href=\"managed_customers.html\" class=\"topiclink\">Managed Customers<\/a> section on the main ESET PROTECT menu.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><a id=\"certificates\" class=\"hmanchor\"><\/a><span class=\"f_Heading2\">ESET PROTECT certificates and MSP<\/span><\/h2>\n\r<p class=\"p_Normal\">When you <a href=\"msp_import.html\" class=\"topiclink\">import the EMA 2 account<\/a> in ESET PROTECT, your ESET PROTECT Server creates a new MSP <a href=\"admin_cert_authorities.html\" class=\"topiclink\">Certification Authority<\/a> (CA). The MSP CA is stored in the <span class=\"f_UI\">Shared Objects<\/span> static group under MSP root group. There is only one MSP CA, even if you import multiple accounts. If you remove the MSP CA, ESET PROTECT creates a new MSP CA after the next synchronization with the license servers. The synchronization occurs automatically once a day.<\/p>\n\r<p class=\"p_Normal\">ESET PROTECT creates a new <a href=\"admin_cert_peers.html\" class=\"topiclink\">peer Agent certificate<\/a> after a company is set up using the <a href=\"msp_company.html\" class=\"topiclink\">customer Setup Wizard<\/a>. The MSP CA signs these peer certificates. Each certificate is <a href=\"msp_tag.html\" class=\"topiclink\">tagged<\/a> with the company name. Creating a separate certificate for each company improves the overall security.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">If you want to use the <a href=\"advanced_security.html\" class=\"topiclink\">Advanced security<\/a>, we strongly recommend to set it up <span class=\"f_UI\">before<\/span> importing the MSP account.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">If you remove a CA, all computers using certificates signed by that CA would not able to connect to the ESET PROTECT Server anymore. Manual re-deployment of the ESET Management Agent would be necessary.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">MSP in the Status Overview<\/span><\/h2>\n\r<p class=\"p_Normal\">You get the access to the new MSP tile in the <a href=\"fs_post_installation_tasks.html\" class=\"topiclink\">Status Overview<\/a> after importing the EMA 2 account. The MSP tile displays basic information about your account.<\/p>\n\r"
})
