hmLoadTopic({
hmKeywords:"logical connectors,Operators description",
hmTitle:"Rules and logical connectors",
hmDescription:"A rule consists of an item, logical connector (logical operator) and defined value.",
hmPrevLink:"operation_description.html",
hmNextLink:"admin_dg_template_rules_evaluation.html",
hmParentLink:"rules_for_a_dg_template.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin.html\">More<\/a> &gt; <a href=\"dynamic_group_template.html\">Dynamic Group Templates<\/a> &gt; <a href=\"rules_for_a_dg_template.html\">Rules for a Dynamic Group template<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > More > Dynamic Group Templates > Rules for a Dynamic Group template > Rules and logical connectors",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Rules and logical connectors<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">A rule consists of an item, logical connector (logical operator) and defined value.<\/p>\n\r<p class=\"p_Normal\">When you click <span class=\"f_UI\">+ Add Rule<\/span> a window will open with a list of items divided into categories. For example:<\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_UI\">Installed software<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">Application name<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_UI\">Network adapters<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">MAC address<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_UI\">OS edition<\/span><span class=\"f_NormalList\"> &gt; <\/span><span class=\"f_UI\">OS name<\/span><\/p>\n\r<p class=\"p_Normal\">You can browse the list of all available rules in <a href=\"https:\/\/support.eset.com\/kb7820\/#DG_rules\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">this ESET Knowledgebase article<\/a>.<\/p>\n\r<p class=\"p_Normal\">To create a rule, select an item, choose a logical operator and specify a value. The rule will be evaluated according to the value you have specified and the logical operator used.<\/p>\n\r<p class=\"p_Normal\">Acceptable value types include number(s), string(s), enum(s), IP address(es), product masks and computer IDs. Each value type has different logical operators associated with it and ESET PROTECT Web Console will automatically show only supported ones.<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;= (equal)&quot;<\/span><span class=\"f_NormalList\"> - Symbol value and template value must match. Strings are compared without case sensitivity.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;&gt; (greater than)&quot;<\/span><span class=\"f_NormalList\"> - Symbol value must be greater than template value. Can also be used to create a range comparison for IP address symbols.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;≥ (greater or equal)&quot;<\/span><span class=\"f_NormalList\"> - Symbol value must be greater than or equal to template value. Can also be used to create a range comparison for IP address symbols.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;&lt; (less than)&quot;<\/span><span class=\"f_NormalList\"> - Symbol value must be less than template value. Can also be used to create a range comparison for IP address symbols.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;≤ (less or equal)&quot;<\/span><span class=\"f_NormalList\"> - Symbol value must be less than or equal to template value. Can also be used to create a range comparison for IP address symbols.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;contains&quot;<\/span><span class=\"f_NormalList\"> - Symbol value contains template value. In case of strings, this searches for a sub-string. Search is done without case sensitivity.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;has prefix&quot;<\/span><span class=\"f_NormalList\"> - Symbol value has the same text prefix as template value. Strings are compared without case sensitivity. Set the first characters from your search string, for example, for &quot;Microsoft Visual C++ 2010 x86 Redistributable - 10.0.30319&quot;, the prefix is &quot;Micros&quot; or &quot;Micr&quot; or &quot;Microsof&quot;etc.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;has postfix&quot;<\/span><span class=\"f_NormalList\"> - Symbol value has same text postfix as template value. Strings are compared without case sensitivity. Set the first characters from your search string, for example, for &quot;Microsoft Visual C++ 2010 x86 Redistributable - 10.0.30319&quot;, the postfix is &quot;319&quot; or &quot;0.30319&quot;, etc.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;has mask&quot;<\/span><span class=\"f_NormalList\"> - Symbol value must match a mask defined in a template. Mask formatting allows any characters, the special symbols \'*\' - zero, one or many characters and \'?\' exactly one character, e.g.: &quot;6.2.*&quot; or &quot;6.2.2033.?&quot;.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;regex&quot;<\/span> - Symbol value must match the regular expression (regex) from a template. Regex must be written in <span class=\"f_UI\">Perl<\/span> format.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">A regular expression, <span class=\"f_Path\">regex<\/span> or <span class=\"f_Path\">regexp<\/span> is a sequence of characters that define a search pattern. For example, <span class=\"f_Path\">gray|grey<\/span> and <span class=\"f_Path\">gr(a|e)y<\/span> are equivalent patterns which both match these two words: &quot;<span class=\"f_Path\">gray<\/span>&quot;, &quot;<span class=\"f_Path\">grey<\/span>&quot;.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;is one of&quot;<\/span><span class=\"f_NormalList\"> - Symbol value must match any value from a list in a template. To add an item, click <\/span><span class=\"f_UI\">+ Add<\/span><span class=\"f_NormalList\">. Each line in a new item in the list. Strings are compared without case sensitivity.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;is one of (string mask)&quot;<\/span><span class=\"f_NormalList\"> - Symbol value must match any mask from a list in a template. Strings are compared with case sensitivity. Examples: *endpoint-pc*, *Endpoint-PC*.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;has value&quot;<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">The time rules enable selecting the <span class=\"f_UI\">Measure time elapsed<\/span> check box to create a Dynamic Group template based on the time elapsed since a specific event. The managed computer must run the ESET Management Agent 10.0 and later.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Negated operators:<\/span><\/h2>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">Negated operators must be used with care, because in the case of multiple line logs such as &quot;Installed application&quot;, all lines are tested against these conditions. Please consult the included examples (<a href=\"admin_dg_template_rules_evaluation.html\" class=\"topiclink\">Template rules evaluation<\/a> and <a href=\"dynamic_group_examples.html\" class=\"topiclink\">Dynamic Group template - examples<\/a>) to see how negated operators or negated operations must be used to get expected results.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;≠ (not equal)&quot;<\/span><span class=\"f_NormalList\"> - Symbol value and template value must not match. Strings are compared without case sensitivity.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;doesn\'t contain&quot;<\/span><span class=\"f_NormalList\"> - Symbol value does not contain template value. Search is done without case sensitivity.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;doesn\'t have prefix&quot;<\/span><span class=\"f_NormalList\"> - Symbol value does not have the same text prefix as template value. Strings are compared without case sensitivity.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;doesn\'t have postfix&quot;<\/span><span class=\"f_NormalList\"> - Symbol value does not have text postfix as template value. Strings are compared without case sensitivity.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;doesn\'t have mask&quot;<\/span><span class=\"f_NormalList\"> - Symbol value must not match a mask defined in a template.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;not regex&quot;<\/span><span class=\"f_NormalList\"> - Symbol value must not match a regular expression (regex) from a template. Regex must be written in <\/span><span class=\"f_UI\">Perl<\/span><span class=\"f_NormalList\"> format. Negation operation is provided as a helper to negate matching regular expressions without rewrites.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;is not one of&quot;<\/span><span class=\"f_NormalList\"> - Symbol value must not match any value from the list in a template. Strings are compared without case sensitivity.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;is not one of (string mask)&quot;<\/span><span class=\"f_NormalList\"> - Symbol value must not match any mask from a list in a template.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">&quot;has no value&quot;<\/span><\/p>"
})
