hmLoadTopic({
hmKeywords:"agent deployment - server task",
hmTitle:"Agent Deployment",
hmDescription:"Agent Deployment Server Task performs remote deployment of the ESET Management Agent.",
hmPrevLink:"admin_server_tasks.html",
hmNextLink:"st_delete_not_connecting_computer.html",
hmParentLink:"admin_server_tasks.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin_ct.html\">Tasks<\/a> &gt; <a href=\"admin_server_tasks.html\">Server Tasks<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Tasks > Server Tasks > Agent Deployment",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Agent Deployment<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">Agent Deployment Server Task performs remote deployment of the ESET Management Agent.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">Agent Deployment task executes the installation of ESET Management Agent on target computers one by one (sequentially). As a result, when you run Agent Deployment task on many client computers, it may take long time to complete. Therefore, we recommend that you use <a href=\"deployment_tool.html\" class=\"topiclink\">ESET Remote Deployment Tool<\/a> instead. It executes the installation of ESET Management Agent on all target computers at the same time (in parallel), as well as saves the network bandwidth by using locally stored installer files; without the need to access the online repository.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">To create a new Server Task, click <span class=\"f_UI\">Tasks<\/span> &gt; <span class=\"f_UI\">New<\/span> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><span class=\"f_UI\">Server Task<\/span> or select the desired task type on the left and click <span class=\"f_UI\">New<\/span> &gt; <img alt=\"add_new_default\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/add_new_default.png\"\/><span class=\"f_UI\">Server Task<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Basic<\/span><\/h2>\n\r<p class=\"p_Normal\">In the <span class=\"f_UI\">Basic<\/span> section, type basic information about the task, such as a <span class=\"f_UI\">Name and Description (optional)<\/span>. Click <span class=\"f_UI\">Select tags<\/span> to <a href=\"tags.html#assign_tags\" class=\"topiclink\">assign tags<\/a>.<br \/>\n\rIn the <span class=\"f_UI\">Task<\/span> drop-down menu, select the task type you want to create and configure. If you have selected a specific task type before creating a new task, <span class=\"f_UI\">Task<\/span> is pre-selected based on your previous choice. <span class=\"f_UI\">Task<\/span> (see <a href=\"admin_ct.html\" class=\"topiclink\">the list of all Tasks<\/a>) defines the settings and the behavior for the task.<\/p>\n\r<p class=\"p_Normal\">You can also select from the following task trigger settings:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Run task immediately after finish<\/span><span class=\"f_NormalList\"> - Select this option to have the task run automatically after you click Finish.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Configure trigger<\/span><span class=\"f_NormalList\"> - Select this option to enable the <a href=\"admin_st_triggers.html\" class=\"topiclink\">Trigger<\/a> section, where you can configure trigger settings.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">To set the trigger later, leave the check boxes deselected.<\/span><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Agent deployment settings<\/span><\/h2>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Targets<\/span> - Click this to select the clients that will receive this task.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">If target computers were added to ESET PROTECT using the <a href=\"sg_server_tasks_synch.html\" class=\"topiclink\">Static Group Synchronization<\/a> task, make sure the names of computers are their full domain names. These names are used as client\'s addresses during deployment, if they are not correct, the deployment fails. Use the <span class=\"f_CodeHighlighted\">dNSHostName<\/span> attribute as the <span class=\"f_UI\">Computer Hostname Attribute<\/span> during synchronization for purposes of Agent deployment.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Server hostname (optional)<\/span> - You can type a server hostname if it is different on the client side and the server side.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Target computers credentials<\/span><\/h2>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Username \/ Password<\/span> - The username and the password for the user with sufficient rights to perform a remote installation of the agent.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Certificate settings<\/span><\/h2>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Peer certificate<\/span>:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">ESET PROTECT certificate<\/span><span class=\"f_NormalList\"> - A Peer Certificate for Agent installation and ESET PROTECT Certification Authority are selected automatically. To use a different certificate, click the <\/span><span class=\"f_UI\">ESET PROTECT Certificate Description<\/span><span class=\"f_NormalList\"> to select from a drop-down menu of available certificates.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Custom certificate<\/span> - If you use a <a href=\"https:\/\/help.eset.com\/getHelp?product=protect_admin&amp;version=10.1&amp;lang=en-US&amp;topic=custom_certificates\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">custom certificate<\/a> for authentication, click <span class=\"f_UI\">Custom Certificate<\/span> &gt; <span class=\"f_UI\">Select<\/span> , upload the .pfx certificate and select it when installing the Agent. For more information, see <a href=\"https:\/\/help.eset.com\/getHelp?product=protect_admin&amp;version=10.1&amp;lang=en-US&amp;topic=admin_certificates\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Certificates<\/a>.<\/p>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Certificate passphrase<\/span> - Type the certificate passphrase if needed - if you have specified a passphrase during ESET PROTECT Server installation (in the step where you created a Certification Authority) or you use a custom certificate with a passphrase. Otherwise, leave the <span class=\"f_UI\">Certificate passphrase<\/span> field blank.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_warning\" >\n\r<tr class=\"Table_warning\">\n\r<td class=\"Table_warning\" style=\"width:4px; background-color:#E04239;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_warning\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"warning\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/warning.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_warning\"><p class=\"p_Normal\">The certificate passphrase must not contain the following characters: <span class=\"f_CodeHighlighted\">&quot; \\<\/span> These characters cause a critical error during the initialization of the Agent.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">ESET PROTECT Server can select the appropriate Agent installation package for operating systems automatically:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Linux - Select a user with permission to use the <\/span><span class=\"f_CodeHighlighted\">sudo<\/span><span class=\"f_NormalList\"> command or <\/span><span class=\"f_CodeHighlighted\">root<\/span><span class=\"f_NormalList\"> user. If <\/span><span class=\"f_CodeHighlighted\">root<\/span><span class=\"f_NormalList\"> is used, the <\/span><span class=\"f_CodeHighlighted\">ssh<\/span><span class=\"f_NormalList\"> service must allow you to log-in as <\/span><span class=\"f_CodeHighlighted\">root<\/span><span class=\"f_NormalList\">.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Linux or macOS - Make sure the target machine has SSH daemon enabled and running on the port 22 and a firewall is not blocking this connection. Use the following command (replace the IP address with the IP of your ESET PROTECT Server) to add an exception in Linux firewall:<\/span><br \/>\n\r<span class=\"f_CodeHighlighted\">iptables -A INPUT -s 10.0.0.1 -p tcp --dport 22 -m state --state NEW -j ACCEPT<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>To prevent Agent Deployment task from failing, see the <a href=\"fs_agent_deploy_troubleshooting.html\" class=\"topiclink\">Agent deployment troubleshooting<\/a>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Other settings<\/span><\/h2>\n\r<p class=\"p_Normal\">Select the <span class=\"f_UI\">Participate in product improvement program<\/span> check box to send anonymous telemetry data and crash report to ESET (OS version and type, ESET product version and other product-specific information).<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Trigger<\/span><\/h2>\n\r<p class=\"p_Normal\">The <span class=\"f_UI\"><a href=\"admin_st_triggers.html\" class=\"topiclink\">Trigger<\/a><\/span> section contains information about the trigger(s) which would run a task. Each <span class=\"f_UI\">Server Task<\/span> can have up to one trigger. Each trigger can run only one <span class=\"f_UI\">Server Task<\/span>. If <span class=\"f_UI\">Configure trigger<\/span> is not selected in the <span class=\"f_UI\">Basic<\/span> section, a trigger is not created. A task can be created without trigger. Such a task can be run afterward manually or a trigger can be added later.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Advanced Settings - Throttling<\/span><\/h2>\n\r<p class=\"p_Normal\">By setting <a href=\"admin_st_throttling.html\" class=\"topiclink\">Throttling<\/a>, you can set advanced rules for the created trigger. Setting throttling is optional.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Summary<\/span><\/h2>\n\r<p class=\"p_Normal\">All configured options are displayed here. Review the settings and click <span class=\"f_UI\">Finish<\/span>.<\/p>\n\r<p class=\"p_Normal\">You can see the <a href=\"admin_ct_executions_progress.html\" class=\"topiclink\">progress indicator bar<\/a>, <a href=\"admin_ct_executions_status_icon.html\" class=\"topiclink\">status icon<\/a> and <a href=\"admin_ct_executions_drill_down.html\" class=\"topiclink\">details<\/a> for each created task in <span class=\"f_UI\">Tasks<\/span>.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Troubleshooting<\/span><\/h2>\n\r<p class=\"p_Normal\">If the Agent Deployment task fails, see the <a href=\"fs_agent_deploy_troubleshooting.html\" class=\"topiclink\">Agent deployment troubleshooting<\/a>.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_warning\" >\n\r<tr class=\"Table_warning\">\n\r<td class=\"Table_warning\" style=\"width:4px; background-color:#E04239;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_warning\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"warning\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/warning.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_warning\"><p class=\"p_Normal\">To re-deploy ESET Management Agent, never remove the currently installed Agent. Run the Agent Deployment task over the currently installed Agent. When you remove the Agent, the new Agent may start executing old tasks after the new deployment.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r"
})
