hmLoadTopic({
hmKeywords:"static group synchronization",
hmTitle:"Static Group Synchronization",
hmDescription:"The Static Group Synchronization task will search your network (Active Directory, Open Directory, LDAP, local network or VMware) for computers and put them into a Static group....",
hmPrevLink:"st_rename_computers.html",
hmNextLink:"sg_server_tasks_ad.html",
hmParentLink:"admin_server_tasks.html",
hmBreadCrumbs:"<a href=\"working_with_era.html\">ESET PROTECT Main Menu<\/a> &gt; <a href=\"admin_ct.html\">Tasks<\/a> &gt; <a href=\"admin_server_tasks.html\">Server Tasks<\/a>",
hmTitlePath:"ESET PROTECT Main Menu > Tasks > Server Tasks > Static Group Synchronization",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Static Group Synchronization<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">The <span class=\"f_UI\">Static Group Synchronization<\/span> task will search your network (Active Directory, Open Directory, LDAP, local network or VMware) for computers and put them into a <a href=\"admin_groups.html\" class=\"topiclink\">Static group<\/a>. If you select <span class=\"f_UI\">Synchronize with Active Directory<\/span> during <a href=\"https:\/\/help.eset.com\/getHelp?product=protect_install&amp;version=10.1&amp;lang=en-US&amp;topic=component_installation_server_windows\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">Server Installation<\/a>, found computers will be added to the <span class=\"f_UI\">All<\/span> group. To synchronize Linux computers joined to Windows domain, follow <a href=\"server_tasks_static_groups_linux.html\" class=\"topiclink\">these detailed instructions<\/a>.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">ESET PROTECT supports the <a href=\"https:\/\/support.microsoft.com\/en-us\/help\/4520412\/2020-ldap-channel-binding-and-ldap-signing-requirement-for-windows\" target=\"_blank\" onclick=\"return HMTrackTopiclink(this);\" class=\"weblink\">secured LDAP signing<\/a>.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">There are 3 <span class=\"f_UI\">Synchronization modes<\/span>:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\"><a href=\"sg_server_tasks_ad.html\" class=\"topiclink\">Active Directory\/Open Directory\/LDAP<\/a> - Type the basic Server connection information.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid; margin: 0 0 0 32px;\"><span class=\"f_NormalList\">&nbsp;<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding: 0 0 0 0; margin: 0 0 0 32px;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">You can run the <a href=\"server_tasks_agent_deployment1.html\" class=\"topiclink\">Agent Deployment server task<\/a>, deploying the ESET Management Agent to the computers synchronized from the Active Directory.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">&nbsp;<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"sg_windows_net_synch.html\" class=\"topiclink\">MS Windows Network<\/a> - Type a <span class=\"f_UI\">Workgroup<\/span> to be used, along with the appropriate user credentials.<\/p>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid; margin: 0 0 0 32px;\"><span class=\"f_NormalList\">&nbsp;<\/span><\/p>\n\r<div style=\"text-align: left; text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding: 0 0 0 0; margin: 0 0 0 32px;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">The <span class=\"f_UI\">MS Windows Network<\/span> synchronization mode may not work due to missing requirements (SMBv1) needed for its successful operation. ESET will remove this synchronization mode in the future.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_NormalList\" style=\"page-break-inside: avoid; page-break-after: avoid;\"><span class=\"f_NormalList\">&nbsp;<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><a href=\"st_synch_vmware.html\" class=\"topiclink\">VMware<\/a> - Type the VMware vCenter Server connection information.<\/p>"
})
