hmLoadTopic({
hmKeywords:"",
hmTitle:"Tags",
hmDescription:"ESET PROTECT allows marking all relevant objects (computers, detections, tasks, installers, policies, notifications, licenses, etc.) with user-defined tags, which can be...",
hmPrevLink:"filters_layout_customization.html",
hmNextLink:"import_csv_upload.html",
hmParentLink:"about_web_console.html",
hmBreadCrumbs:"<a href=\"fs.html\">Getting started with ESET PROTECT<\/a> &gt; <a href=\"about_web_console.html\">ESET PROTECT Web Console<\/a>",
hmTitlePath:"Getting started with ESET PROTECT > ESET PROTECT Web Console > Tags",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">Tags<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">ESET PROTECT allows marking all relevant objects (computers, detections, tasks, installers, policies, notifications, licenses, etc.) with user-defined tags, which can be further used for enhanced filtering and search. Tagging is integrated natively in all major screens of ESET PROTECT Web Console.<\/p>\n\r<p class=\"p_Normal\">Tags are user-defined key words (labels) that you can add to different objects to make them easier for grouping, filtering and finding. For example, you can assign a tag \'VIP\' for your relevant assets and quickly identify all objects that are associated with them.<\/p>\n\r<p class=\"p_Normal\">You can <a href=\"tags.html#create_tags\" class=\"topiclink\">create<\/a> and <a href=\"tags.html#assign_tags\" class=\"topiclink\">assign<\/a> tags manually. <a href=\"msp_tag.html\" class=\"topiclink\">MSP objects are tagged automatically<\/a> with the customer name.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Tags pane<\/span><\/h2>\n\r<p class=\"p_Normal\">You can see the existing tags in the <span class=\"f_UI\">Tags<\/span> section visible on the bottom left side of the ESET PROTECT Web Console menu screen:<\/p>\n\r<p class=\"p_Normal\"> <img alt=\"tags_section\" width=\"302\" height=\"278\" style=\"margin:0;width:302px;height:278px;border:none\" src=\".\/images\/tags_section.png\"\/> &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;<img alt=\"tags_section_existing_tags\" width=\"302\" height=\"172\" style=\"margin:0;width:302px;height:172px;border:none\" src=\".\/images\/tags_section_existing_tags.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Permissions for tags management<\/span><\/h2>\n\r<p class=\"p_Normal\">To manage tags for an object, a <a href=\"admin_ar_users.html\" class=\"topiclink\">user<\/a> needs to have the <span class=\"f_UI\">Use<\/span> access right (assigned <a href=\"admin_ar_permissions_sets.html\" class=\"topiclink\">permission set<\/a>) to the object. Additional users can manage tags, i.e. another user can delete a tag that you have created.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><a id=\"assign_tags\" class=\"hmanchor\"><\/a><span class=\"f_Heading2\">Assign tags<\/span><\/h2>\n\r<p class=\"p_Normal\">You can assign tags to one or more objects.<\/p>\n\r<p class=\"p_Normal\">To assign tags, select the check box(es) next to the object(s) and click <span class=\"f_UI\">Computer<\/span> &gt; <img alt=\"icon_tags\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_tags.png\"\/> <span class=\"f_UI\">Tags<\/span>:<\/p>\n\r<p class=\"p_Normal\"><img alt=\"tags_edit\" width=\"800\" height=\"162\" style=\"margin:0;width:800px;height:162px;border:none\" src=\".\/images\/tags_edit.png\"\/><\/p>\n\r<p class=\"p_Normal\">To assign already existing tags, click into the typing field a tag from the list and click <span class=\"f_UI\">Apply<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"tags_assign_existing\" width=\"801\" height=\"195\" style=\"margin:0;width:801px;height:195px;border:none\" src=\".\/images\/tags_assign_existing.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><a id=\"create_tags\" class=\"hmanchor\"><\/a><span class=\"f_Heading2\">Create a new tag<\/span><\/h2>\n\r<p class=\"p_Normal\">To create a new tag, type in the tag name, select <span class=\"f_UI\">Create &quot;tag_name&quot;<\/span> and then click <span class=\"f_UI\">Apply<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"tags_create\" width=\"800\" height=\"162\" style=\"margin:0;width:800px;height:162px;border:none\" src=\".\/images\/tags_create.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Filter objects by tags<\/span><\/h2>\n\r<p class=\"p_Normal\">Click a tag to apply a filter to the listed objects. The selected tags are blue.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"tags_filter\" width=\"302\" height=\"172\" style=\"margin:0;width:302px;height:172px;border:none\" src=\".\/images\/tags_filter.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Unassign tags<\/span><\/h2>\n\r<p class=\"p_Normal\">To unassign tags, select the check box(es) next to the object(s) and click <span class=\"f_UI\">Computer<\/span> &gt; <img alt=\"icon_tags\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_tags.png\"\/> <span class=\"f_UI\">Tags<\/span>. Remove the tag by clicking the X and click <span class=\"f_UI\">Apply<\/span>.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"tags_unassign\" width=\"800\" height=\"162\" style=\"margin:0;width:800px;height:162px;border:none\" src=\".\/images\/tags_unassign.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Delete a tag<\/span><\/h2>\n\r<p class=\"p_Normal\">To delete a tag, hover the mouse over the tag in the <span class=\"f_UI\">Tags<\/span> pane, click the <img alt=\"icon_close\" width=\"16\" height=\"16\" style=\"margin:0;width:16px;height:16px;border:none\" src=\".\/images\/icon_close.png\"\/> icon and click <span class=\"f_UI\">OK<\/span> to confirm that you want to delete the tag from all objects in the ESET PROTECT Web Console.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"tags_delete\" width=\"500\" height=\"216\" style=\"margin:0;width:500px;height:216px;border:none\" src=\".\/images\/tags_delete.png\"\/><\/p>\n\r"
})
