hmLoadTopic({
hmKeywords:"time settings,user settings",
hmTitle:"User settings",
hmDescription:"In this section, you can customize your user settings. Click User account at the top right corner of the ESET PROTECT Web Console (to the left of the Logout button) to display...",
hmPrevLink:"product_tour.html",
hmNextLink:"filters_layout_customization.html",
hmParentLink:"about_web_console.html",
hmBreadCrumbs:"<a href=\"fs.html\">Getting started with ESET PROTECT<\/a> &gt; <a href=\"about_web_console.html\">ESET PROTECT Web Console<\/a>",
hmTitlePath:"Getting started with ESET PROTECT > ESET PROTECT Web Console > User settings",
hmHeader:"<h1 class=\"p_Heading1\"><span class=\"f_Heading1\">User settings<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">In this section, you can customize your user settings. Click <span class=\"f_UI\">User account<\/span> at the top right corner of the ESET PROTECT Web Console (to the left of the <span class=\"f_UI\">Logout<\/span> button) to display all active users. You can be logged into ESET PROTECT Web Console from different web browsers, computers or mobile devices at the same time. You will see all your sessions here.<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">User settings only apply to the user who is currently logged on.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Theme Settings<\/span><\/h2>\n\r<p class=\"p_Normal\">You can select the theme setting for ESET PROTECT display:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Light (Default)<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Dark<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_UI\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_UI\">Operating system theme<\/span>—Web Console color theme matches the operating system color theme.<\/p>\n\r<p class=\"p_Normal\">Select the theme from the drop-down menu:<\/p>\n\r<p class=\"p_Normal\"><img alt=\"user_settings_theme\" width=\"254\" height=\"108\" style=\"margin:0;width:254px;height:108px;border:none\" src=\".\/images\/user_settings_theme.png\"\/><\/p>\n\r<p class=\"p_Normal\">The display remains in the selected theme after logging out from the Web Console and logging back in.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Time Settings<\/span><\/h2>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_note\" >\n\r<tr class=\"Table_note\">\n\r<td class=\"Table_note\" style=\"width:4px; background-color:#3DAAE1;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_note\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"note\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/note.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_note\"><p class=\"p_Normal\">Each user can have their own preferred time settings for ESET PROTECT Web Console. User-specific time settings are applied to each user regardless of where they access ESET PROTECT Web Console.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">All information is stored internally in ESET PROTECT using the UTC (Coordinated Universal Time) standard. UTC time is automatically converted to the time zone used by ESET PROTECT Web Console (taking daylight saving into account). ESET PROTECT Web Console displays the local time of the system where ESET PROTECT Web Console is running (not the internal UTC time). You can override this setting to set the time shown in ESET PROTECT Web Console manually.<\/p>\n\r<p class=\"p_Normal\">If you want to override the default <span class=\"f_UI\">Use Browser Local Time setting<\/span>, you can choose the <span class=\"f_UI\">Select manually<\/span> option, then specify the console time zone manually and decide whether to use daylight saving time or not.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"time_zone01\" width=\"420\" height=\"188\" style=\"margin:0;width:420px;height:188px;border:none\" src=\".\/images\/time_zone01.png\"\/><\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 10px 0;\"><table class=\"Table_important\" >\n\r<tr class=\"Table_important\">\n\r<td class=\"Table_important\" style=\"width:4px; background-color:#E9A514;\"><br \/>\n\r<\/td>\n\r<td class=\"Table_important\" style=\"width:20px;\"><p class=\"p_Normal\"><img alt=\"important\" width=\"20\" height=\"20\" style=\"margin:2px 0 0 0;width:20px;height:20px;border:none\" src=\".\/images\/important.svg\"\/><\/p>\n\r<\/td>\n\r<td class=\"Table_important\"><p class=\"p_Normal\">In some cases, the option to use a different time zone will be made available. When configuring a trigger, ESET PROTECT Web Console time zone is used by default. Alternatively, you can select the check box <span class=\"f_UI\">Use Target Local Time<\/span> to use local time zone of the target device instead of ESET PROTECT Console time zone for the trigger.<\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">Click <span class=\"f_UI\">Save Time Settings<\/span> to confirm your changes.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Stored User State<\/span><\/h2>\n\r<p class=\"p_Normal\">You can reset a stored user\'s UI state to default by clicking <span class=\"f_UI\">Reset Stored User State<\/span>. This includes <a href=\"product_tour.html\" class=\"topiclink\">ESET PROTECT Tour<\/a>, table column sizes, remembered filters, pinned side menu, etc.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"reset_stored_user_data\" width=\"647\" height=\"193\" style=\"margin:0;width:647px;height:193px;border:none\" src=\".\/images\/reset_stored_user_data.png\"\/><\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><a id=\"remembered_devices\" class=\"hmanchor\"><\/a><span class=\"f_Heading2\">Remembered devices<\/span><\/h2>\n\r<p class=\"p_Normal\"><span class=\"f_UI\">Forget remembered devices<\/span>—Require <a href=\"admin_ar_two_factor_authentification.html\" class=\"topiclink\">Two-Factor Authentication<\/a> on remembered devices for the current user.<\/p>\n\r<h2 class=\"p_Heading2\" style=\"page-break-after: avoid;\"><span class=\"f_Heading2\">Active sessions<\/span><\/h2>\n\r<p class=\"p_Normal\">Information about all active sessions of the current user contain:<\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Current username.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Details of the computer accessing the Web Console - web browser and operating system.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">IP address of a client computer or a device from which a user is connected to ESET PROTECT Web Console. The IP address of a web server that runs ESET PROTECT Web Console is displayed in brackets. If ESET PROTECT Web Console is running on the same machine as ESET PROTECT Server, <\/span><span class=\"f_UI\">via 127.0.0.1<\/span><span class=\"f_NormalList\"> is displayed.<\/span><\/p>\n\r<p class=\"p_NormalList\" style=\"text-indent: 0; page-break-inside: avoid; page-break-after: avoid; padding-left: 13px; margin-left: 19px;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span><span class=\"f_NormalList\">Date and time when a user logged in.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"text-indent: 0; padding-left: 32px; margin-left: 0;\"><span class=\"f_NormalList\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:13px;margin-left:-13px\">&#8226;<\/span>Selected language for ESET PROTECT Web Console.<\/p>\n\r<p class=\"p_Normal\"><img alt=\"active_sessions\" width=\"317\" height=\"179\" style=\"margin:0;width:317px;height:179px;border:none\" src=\".\/images\/active_sessions.png\"\/><\/p>\n\r<p class=\"p_Normal\">The current session is labeled <span class=\"f_UI\">This session<\/span>. If you want to disconnect an active session, click <span class=\"f_UI\">Disconnect<\/span>.<\/p>\n\r"
})
